<?php

if (!defined("MIN_PASSWORD_LENGTH"))
{
	define ("MIN_PASSWORD_LENGTH", 6); // Longueur minimale du mot de passe (ne pas modifier !)
}

if (!defined("MAX_FILE_SIZE"))
{
	define ("MAX_FILE_SIZE", 20000);
}

if (!defined("CLASSES_FIELDS_NUMBER"))
{
	define ('CLASSES_FIELDS_NUMBER', 6); // Nombre de champs  renseigner pour l'importation d'utilisateurs dans les lyces d'enseignement gnral ou technologique (organisation en classes)
}

if (!defined("PROMOS_FIELDS_NUMBER"))
{
	define ('PROMOS_FIELDS_NUMBER', 4); // Nombre de champs  renseigner pour l'importation d'utilisateurs dans les lyces d'enseignement professionnel ou les sections de techniciens suprieurs (organisation en promotions)
}

if (!defined("DEFAULT_MAIL_DOMAIN_VALUE"))
{
	$res = $babDB->db_query("
	SELECT
	`default_site_mail_domain`
	FROM
	`gestuser_parameters`,
	`bab_sites`
	WHERE
	`id_site` = `bab_sites`.`id`
	AND
	`name` = '".$babDB->db_escape_string($babSiteName)."'
	");
	if ($babDB->db_num_rows($res) === 0)
	{
		define ('DEFAULT_MAIL_DOMAIN_VALUE', '');
	}
	else
	{
		$var = $babDB->db_fetch_array($res);
		define ('DEFAULT_MAIL_DOMAIN_VALUE', $var['default_site_mail_domain']);
	}
}

if (!defined("CHARSET"))
{
	switch (mb_strtolower(mysql_client_encoding()))
	{
		case "utf8":
			define("CHARSET", "UTF-8");
			break;
		case 'latin1':
		default:
			define ("CHARSET", "ISO-8859-15");
			break;
	}
}
/*
// Dfinition des noms de groupes par dfaut en fonction du type d'enseignement
if (!defined("LGTELVGROUPID"))
{
	$res = $babDB->db_query("
	SELECT
	`id`
	FROM
	`bab_groups`
	WHERE
	`name` = '".$babDB->db_escape_string('Lgt'.STUDENTS_GROUP_SUFFIX)."'
	AND
	`id_parent` = '".$babDB->db_escape_string(STUDENTS_GROUP_ID)."'
	");
	$temp = $babDB->db_fetch_array($res);
	define ("LGTELVGROUPID", $temp['id']);
}

if (!defined("LGTGROUPID"))
{
	$res = $babDB->db_query("
	SELECT
	`id`
	FROM
	`bab_groups`
	WHERE
	`name` = '".$babDB->db_escape_string('LGT')."'
	AND
	`id_parent` = '".$babDB->db_escape_string(BAB_REGISTERED_GROUP)."'
	");
	$temp = $babDB->db_fetch_array($res);
	define ("LGTGROUPID", $temp['id']);
}

if (!defined("LPELVGROUPID"))
{
	$res = $babDB->db_query("
	SELECT
	`id`
	FROM
	`bab_groups`
	WHERE
	`name` = '".$babDB->db_escape_string('Lpt'.STUDENTS_GROUP_SUFFIX)."'
	AND
	`id_parent` = '".$babDB->db_escape_string(STUDENTS_GROUP_ID)."'
	");
	$temp = $babDB->db_fetch_array($res);
	define ("LPELVGROUPID", $temp['id']);
}

if (!defined("LPGROUPID"))
{
	$res = $babDB->db_query("
	SELECT
	`id`
	FROM
	`bab_groups`
	WHERE
	`name` = '".$babDB->db_escape_string('LP')."'
	AND
	`id_parent` = '".$babDB->db_escape_string(BAB_REGISTERED_GROUP)."'
	");
	$temp = $babDB->db_fetch_array($res);
	define ("LPGROUPID", $temp['id']);
}

if (!defined("STSELVGROUPID"))
{
	$res = $babDB->db_query("
	SELECT
	`id`
	FROM
	`bab_groups`
	WHERE
	`name` = '".$babDB->db_escape_string('Sts'.STUDENTS_GROUP_SUFFIX)."'
	AND
	`id_parent` = '".$babDB->db_escape_string(STUDENTS_GROUP_ID)."'
	");
	$temp = $babDB->db_fetch_array($res);
	define ("STSELVGROUPID", $temp['id']);
}

if (!defined("STSGROUPID"))
{
	$res = $babDB->db_query("
	SELECT
	`id`
	FROM
	`bab_groups`
	WHERE
	`name` = '".$babDB->db_escape_string('STS')."'
	AND
	`id_parent` = '".$babDB->db_escape_string(BAB_REGISTERED_GROUP)."'
	");
	$temp = $babDB->db_fetch_array($res);
	define ("STSGROUPID", $temp['id']);
}
*/
// Dcodage HTML
if (!function_exists('undecode_html'))
{
	function undecode_html($string)
	{
		return html_entity_decode($string, ENT_QUOTES, CHARSET);
	}
}

// Test de la validit de l'adresse de messagerie lectronique
if (!function_exists('is_regular_mail'))
{
	function is_regular_mail($email)
	{
	   $syntax='#^[\w.-]+@[\w.-]+\.[a-zA-Z]{2,6}$#'; 
	   if(preg_match($syntax,$email))
	   {
			return true;
		}
		else
		{
			return false;
		}
	}
}

// Inscription d'un utilisateur  partir de ses nom, prnom et adresse de messagerie dans la base de donnes d'Ovidentia
if (!function_exists('get_user_id_and_pwd'))
{
	function get_user_id_and_pwd($lastname, $firstname, $email, $login, $password)
	{
		global $babDB;
		require_once $GLOBALS['babInstallPath'].'admin/register.php';
		
		$lastname = trim($lastname);
		$firstname = trim($firstname);
		$middlename = "";

		$password1 = $password;
		$password2 = $password1;
		
		$nickname = trim($login);
		
		$confirmed = true;
		$error = "";
		$bgroup = true;
		
		// Cration ventuelle du nouvel utilisateur  partir de l'identifiant (login) et du mot de passe proposs
		$res = $babDB->db_query("
		SELECT
		`id`
		FROM
		`bab_users`
		WHERE
		`nickname` = '".$babDB->db_escape_string($login)."'
		ORDER BY `id`
		");
		if ($babDB->db_num_rows($res) === 0)
		{
			$user_id = bab_registerUser($firstname, $lastname, $middlename, $email, $nickname, $password1, $password2, $confirmed , $error, $bgroup);
			if ($user_id != false)
			{
				return array($user_id, $nickname, $password1);
			}
			else
			{
				$middlename = "0";
				while ($user_id === false)
				{
					$middlename++;
					$user_id = bab_registerUser($firstname, $lastname, $middlename, $email, $nickname, $password1, $password2, $confirmed , $error, $bgroup);
				}
				return array($user_id, $nickname, $password1);
			}
		}
		else
		{
			$temp = $babDB->db_fetch_array($res);
			$user_id = $temp['id'];
			return array($user_id, $nickname, "NC");
		}
	}
}

?>