<?php

function actionMessagingForm()
{
	global $babBody;
	class actionMessagingFormClass
	{
		function actionMessagingFormClass()
		{
			global $babDB;
			$this->idx = bab_rp('idx', 'private_home_pages');
			$this->bgcolor = true;
			$this->count = bab_pp('count', '');
			$this->group_label = bab_translate("Groups", $GLOBALS['babAddonFolder']);
			$this->messaging_features_label = bab_translate("Messaging features", $GLOBALS['babAddonFolder']);
			$this->return_label = bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']);
		}
		
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				$id_group = bab_pp('id_group'.$k, '');
				$this->group_name = bab_translate(bab_getGroupName($id_group, false), $GLOBALS['babAddonFolder']);
				$enabled_messaging = bab_pp('enabled_messaging'.$k, '');
				switch ($enabled_messaging)
				{
					case 'yes':
						$res = $babDB->db_query("
						UPDATE
						`bab_groups` 
						SET 
						`mail` = 'Y' 
						WHERE 
						`id` = '".$babDB->db_escape_string($id_group)."'
						");
						$this->status_report = bab_translate("The messaging features are enabled for the user of the group.", $GLOBALS['babAddonFolder']);
						$this->status_report .= "<br />\r\n";
						$this->status_report .= bab_translate("The group users can use the messaging through Ovidentia interface.", $GLOBALS['babAddonFolder']);
						$this->status_report .= "<br />\r\n";
						$this->status_report .= bab_translate("They must personalize their messaging options (Menu : User, Options - Tab : messaging)", $GLOBALS['babAddonFolder']);
						break;
				
					case 'no':
						$res = $babDB->db_query("
						UPDATE
						`bab_groups` 
						SET 
						`mail` = 'N' 
						WHERE 
						`id` = '".$babDB->db_escape_string($id_group)."'
						");
						$this->status_report = bab_translate("The messaging features are disabled for the user of the group.", $GLOBALS['babAddonFolder']);
						$this->status_report .= "<br />\r\n";
						$this->status_report .= bab_translate("The group users can not use the messaging through Ovidentia interface.", $GLOBALS['babAddonFolder']);
						break;
						
					default:	
						break;
				
				}
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionMessagingFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."site_customisation.messaging.html", "report_form"));

}

function displayMessagingForm()
{
	global $babBody;
	class displayMessagingFormClass
	{
		function displayMessagingFormClass()
		{
			global $babDB;
			$this->idx = bab_rp('idx', 'private_home_pages');
			$this->validate_label = bab_translate("Validate", $GLOBALS['babAddonFolder']);
			$this->imap_extension_loaded = extension_loaded('imap');
			if ($this->imap_extension_loaded)
			{
				$this->tip_label = bab_translate("The IMAP extension is loaded on the serveur: you should enable the messaging features.", $GLOBALS['babAddonFolder']);
				$this->res = $babDB->db_query("
				SELECT
				`id`,
				`name`,
				`description`
				FROM
				`bab_groups`
				WHERE
				`id` IN ('".$babDB->db_escape_string(BAB_ADMINISTRATOR_GROUP)."', '".$babDB->db_escape_string(STUDENTS_GROUP_ID)."', '".$babDB->db_escape_string(TEACHERS_GROUP_ID)."')
				");
			}
			else
			{
				$this->tip_label = bab_translate("The IMAP extension is not loaded on the serveur: you must disable the messaging features.", $GLOBALS['babAddonFolder']);
				$this->res = $babDB->db_query("
				SELECT
				`id`,
				`name`,
				`description`
				FROM
				`bab_groups`
				WHERE
				`id` = '".$babDB->db_escape_string(BAB_REGISTERED_GROUP)."'
				");	
			}
			$this->count = $babDB->db_num_rows($this->res);
			$this->information_label = bab_translate("Information", $GLOBALS['babAddonFolder']);
			$this->group_label = bab_translate("Groups", $GLOBALS['babAddonFolder']);
			$this->messaging_features_label = bab_translate("Messaging features", $GLOBALS['babAddonFolder']);
			$this->enabled_label = bab_translate("Enabled", $GLOBALS['babAddonFolder']);
			$this->disabled_label = bab_translate("Disabled", $GLOBALS['babAddonFolder']);
			$this->bgcolor = true;
		}
		
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				$temp = $babDB->db_fetch_array($this->res);
				$this->id_group = $temp['id'];
				$this->group_name = bab_translate($temp['name'], $GLOBALS['babAddonFolder']);
				$this->description = bab_translate($temp['description'], $GLOBALS['babAddonFolder']);
				
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayMessagingFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."site_customisation.messaging.html", "display_form"));

}
?>