<?php
require_once 'base.php';

require_once($babAddonPhpPath.'gestutilisateurs_ini.php');

if (!bab_isUserAdministrator())
{
	$babBody->addError(undecode_html(bab_translate("Access denied", $GLOBALS['babAddonFolder'])));
	return;
}

$idx = bab_rp('idx', 'private_home_pages');

switch($idx)
{
	case 'directories':
		require_once($babAddonPhpPath.'site_customisation.directories.inc.php');
		$babBody->addItemMenu("private_home_pages", undecode_html(bab_translate("Private home page", $GLOBALS['babAddonFolder'])), $GLOBALS['babAddonUrl']."site_customisation&idx=private_home_pages");
		$babBody->addItemMenu("messaging", undecode_html(bab_translate("Messaging features", $GLOBALS['babAddonFolder'])), $GLOBALS['babAddonUrl']."site_customisation&idx=messaging");
		$babBody->addItemMenu("directories", undecode_html(bab_translate("Directories", $GLOBALS['babAddonFolder'])), $GLOBALS['babAddonUrl']."site_customisation&idx=directories");
		$flag = bab_pp('flag', '');
		if (empty($flag))
		{
			$babBody->title = undecode_html(bab_translate("Display of the nicknames in directories", $GLOBALS['babAddonFolder']));
			$babBody->addError(undecode_html(bab_translate("Choice if you want to enable ou disable the display of nicknames in directories", $GLOBALS['babAddonFolder'])));
			displayNicknameInDirectoriesDisplayForm();
		}
		else
		{
			$babBody->title = undecode_html(bab_translate("Display of the nicknames in directories", $GLOBALS['babAddonFolder']));
			actionNicknameInDirectoriesDisplayForm();
		}
		break;	
	
	case 'messaging':
		require_once($babAddonPhpPath.'site_customisation.messaging.inc.php');
		$babBody->addItemMenu("private_home_pages", undecode_html(bab_translate("Private home page", $GLOBALS['babAddonFolder'])), $GLOBALS['babAddonUrl']."site_customisation&idx=private_home_pages");
		$babBody->addItemMenu("messaging", undecode_html(bab_translate("Messaging features", $GLOBALS['babAddonFolder'])), $GLOBALS['babAddonUrl']."site_customisation&idx=messaging");
		$flag = bab_pp('flag', '');
		if (empty($flag))
		{
			$babBody->title = undecode_html(bab_translate("Enabling/disabling of messaging features for users", $GLOBALS['babAddonFolder']));
			displayMessagingForm();
		}
		else
		{
			$babBody->title = undecode_html(bab_translate("Enabling/disabling of messaging features for users", $GLOBALS['babAddonFolder']));
			actionMessagingForm();
		}
		$babBody->addItemMenu("directories", undecode_html(bab_translate("Directories", $GLOBALS['babAddonFolder'])), $GLOBALS['babAddonUrl']."site_customisation&idx=directories");
		break;
	
	case 'private_home_pages':
	default:
		require_once($babAddonPhpPath.'site_customisation.private_home_pages.inc.php');
		$babBody->addItemMenu("private_home_pages", undecode_html(bab_translate("Private home page", $GLOBALS['babAddonFolder'])), $GLOBALS['babAddonUrl']."site_customisation&idx=private_home_pages");
		$code_op = bab_pp('code_op', '1');
		switch ($code_op)
		{
			case '4':
				$babBody->title = undecode_html(undecode_html(bab_translate("Personnalization of the private home page", $GLOBALS['babAddonFolder'])));
				displayStep4Form();
				break;
			
			case '3':
				$babBody->title = undecode_html(bab_translate("Personnalization of the private home page", $GLOBALS['babAddonFolder']));
				displayStep3Form();
				break;
			
			case '2':
				$babBody->title = undecode_html(bab_translate("Personnalization of the private home page", $GLOBALS['babAddonFolder']));
				displayStep2Form();
				break;
			
			case '1':
			default :
				$babBody->title = undecode_html(bab_translate("Personnalization of the private home page", $GLOBALS['babAddonFolder']));
				displayStep1Form();
				break;				
		}
		$babBody->addItemMenu("messaging", undecode_html(bab_translate("Messaging features", $GLOBALS['babAddonFolder'])), $GLOBALS['babAddonUrl']."site_customisation&idx=messaging");
		$babBody->addItemMenu("directories", undecode_html(bab_translate("Directories", $GLOBALS['babAddonFolder'])), $GLOBALS['babAddonUrl']."site_customisation&idx=directories");
		break;
}
$babBody->setCurrentItemMenu($idx);
?>