<?php

function displayStep4Form()
{
	global $babBody;
	class displayStep4FormClass
	{
		function displayStep4FormClass()
		{
			global $babBody;
			global $babDB;
			$this->idx = bab_rp('idx', 'private_home_pages');
			$babBody->addError(undecode_html(bab_translate("Copy/paste the generated code in the private home page", $GLOBALS['babAddonFolder'])));
			$this->warning_label = undecode_html(bab_translate("Warning", $GLOBALS['babAddonFolder']));
			$this->next_code_op = "1";
			$this->count = bab_pp('count', '0');
			$string = "";
			for ($i = 1; $i <= $this->count; $i++)
			{
				$id_topcat = bab_pp('id_topcat'.$i, '');
				$topcat_full_name = bab_pp('topcat_full_name'.$i, '');
				$news_number = bab_pp('news_number'.$i, '');
				$include = bab_pp('include'.$i, NULL);
				if (!is_null($include))
				{
					$string .= "<h3>".$topcat_full_name."</h3>\r\n";
					$string .= "<OCRecentArticles last=\"".$news_number."\" categoryid=\"".$id_topcat."\">\r\n";
					$string .= "<!--<OVArticleDate date=\"%j %M\" saveas=\"tmpdate\"> -->\r\n";
					$string .= "<dt><OVtmpdate></dt>\r\n";
					$string .= "<dd><h4>&amp;nbsp;<a href=\"<OVArticlePopupUrl>\" onclick=\"bab_popup( this.href ) ; return false;\"><OVArticleTitle strlen=\"40,...\"></a></h4></dd>\r\n";
					$string .= "</OCRecentArticles>\r\n";
					$string .= "\r\n";
				}
				else
				{
					$res = $babDB->db_query("
					SELECT
					`id`
					FROM
					`bab_topics`
					WHERE
					`id_cat` = '".$babDB->db_escape_string($id_topcat)."'
					");
					$topics_list = "";
					while($arr = $babDB->db_fetch_array($res))
					{
						if (empty($topics_list)) $topics_list = $arr['id']; else $topics_list .= ",".$arr['id'];
					}
					if (!empty($topics_list))
					{
						$string .= "<h3>".$topcat_full_name."</h3>\r\n";
						$string .= "<OCRecentArticles last=\"".$news_number."\" topicid=\"".$topics_list."\">\r\n";
						$string .= "<!--<OVArticleDate date=\"%j %M\" saveas=\"tmpdate\"> -->\r\n";
						$string .= "<dt><OVtmpdate></dt>\r\n";
						$string .= "<dd><h4>&amp;nbsp;<a href=\"<OVArticlePopupUrl>\" onclick=\"bab_popup( this.href ) ; return false;\"><OVArticleTitle strlen=\"40,...\"></a></h4></dd>\r\n";
						$string .= "</OCRecentArticles>\r\n";
						$string .= "\r\n";
					}
				}
				
			}
			$this->code = $string;
			$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
		}
	}
	$obj= new displayStep4FormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."site_customisation.private_home_pages.html", "step4"));
}

function displayStep3Form()
{
	global $babBody;
	class displayStep3FormClass
	{
		function displayStep3FormClass()
		{
			global $babBody;
			global $babDB;
			$this->idx = bab_rp('idx', 'private_home_pages');
			$this->count = bab_pp('count', '0');
			$i = 0;
			$this->nb_included_categories = 0;
			$this->is_category_selected = false;
			while ($i < $this->count)
			{
				$include_flag = bab_pp('include_topic'.$i, NULL);
				if (!is_null($include_flag))
				{
					$this->is_category_selected = true;
					$this->nb_included_categories++;
				}
				$i++;
			}
			if ($this->is_category_selected)
			{
				$babBody->addError(undecode_html(bab_translate("Fill the form and click on next step", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = "4";
				$this->categories_label = undecode_html(bab_translate("Categories", $GLOBALS['babAddonFolder']));
				$this->full_name_label = undecode_html(bab_translate("Full labels for the topics categories", $GLOBALS['babAddonFolder']));
				$this->include_label = undecode_html(bab_translate("Include subcategories in private home page", $GLOBALS['babAddonFolder']));
				$this->news_number_label = undecode_html(bab_translate("News number", $GLOBALS['babAddonFolder']));
				$this->error_in_topics_label = undecode_html(bab_translate("Error for the topics category:", $GLOBALS['babAddonFolder']));
				$this->error_in_full_name_label = undecode_html(bab_translate("The full label for the topics catgory is not set.", $GLOBALS['babAddonFolder']));
				$this->is_not_an_number_label = undecode_html(bab_translate("The news number to display is not a number.", $GLOBALS['babAddonFolder']));
				$this->is_null_label = undecode_html(bab_translate("The news number to display is null.", $GLOBALS['babAddonFolder']));
				$this->next_step_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
				$this->indice = 0;
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No topics category selected for the display of news on the private home page", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = "1";
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
			$this->bgcolor = true;
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$include_flag = bab_pp('include_topic'.$k, NULL);
				
				if (is_null($include_flag))
				{ 
					$this->include_flag = false;
				}
				else
				{
					$this->include_flag = true;
					$this->indice++;
					$this->bgcolor = !$this->bgcolor;
					$this->id_topcat = bab_pp('id_topcat'.$k, '');
					$res = $babDB->db_query("					
					SELECT 
					`title`
					FROM
					`bab_topics_categories` 
					WHERE 
					`id` = '".$babDB->db_escape_string($this->id_topcat)."'
					");
					$temp = $babDB->db_fetch_array($res);
					$this->topcat_name = $temp['title'];
					switch ($this->topcat_name)
					{
						case "VIE SECTION":
							$this->topcat_default_full_name = "Nouveauts toutes sections";
							break;
						case "SECONDE IGC":
							$this->topcat_default_full_name = "Seconde IGC";
							break;
						case "SECONDE PFEG":
							$this->topcat_default_full_name = "Seconde PFEG";
							break;
						case "PREMIERE STG":
							$this->topcat_default_full_name = "Premire STG";
							break;
						case "TERMINALE STG":
							$this->topcat_default_full_name = "Terminale STG";
							break;
						case "STS AD":
							$this->topcat_default_full_name = "BTS Assistant de direction";
							break;
						case "STS AG":
							$this->topcat_default_full_name = "BTS Assistant de gestion de PME PMI";
							break;
						case "STS AM":
							$this->topcat_default_full_name = "BTS Assistant de manager";
							break;
						case "STS CGO":
							$this->topcat_default_full_name = "BTS Comptabilit et gestion des organisations";
							break;
						case "STS CI":
							$this->topcat_default_full_name = "BTS Commerce international";
							break;
						case "STS COM":
							$this->topcat_default_full_name = "BTS Communication des entreprises";
							break;
						case "STS MUC":
							$this->topcat_default_full_name = "BTS Management des units commerciales";
							break;
						case "STS NRC":
							$this->topcat_default_full_name = "BTS Ngociation et relation clients";
							break;
						default:
							$this->topcat_default_full_name = $this->topcat_name;
							break;
					}
				}
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayStep3FormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."site_customisation.private_home_pages.html", "step3"));
}

function displayStep2Form()
{
	global $babBody;
	class displayStep2FormClass
	{
		function displayStep2FormClass()
		{
			global $babBody;
			global $babDB;
			$this->idx = bab_rp('idx', 'private_home_pages');
			$this->next_code_op = "3";
			$this->topics_categories_label = undecode_html(bab_translate("Topics categories", $GLOBALS['babAddonFolder']));
			$this->include_label = undecode_html(bab_translate("Include in private home page", $GLOBALS['babAddonFolder']));
			$this->res = $babDB->db_query("
			SELECT 
			`bab_topics_categories`.`id`, 
			`title` 
			FROM 
			`bab_topics_categories`, 
			`bab_sections_order` 
			WHERE 
			(`id_section` = bab_topics_categories.id) 
			AND 
			(`type` = 3) 
			AND 
			(`enabled` = 'Y') 
			AND 
			(`id_parent` = '0')
			ORDER BY 
			`ordering` ASC
			");
			$this->count = $babDB->db_num_rows($this->res);
			if ($this->count > 0)
			{
				$babBody->addError(undecode_html(bab_translate("Select the topics categories to include recent news list in private home page", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = "3";
				$this->next_step_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("There is no defined topics categories", $GLOBALS['babAddonFolder'])));
				$this->next_step_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
				$this->next_code_op = "1";
				
			}
			$this->bgcolor = true;
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				$temp = $babDB->db_fetch_array($this->res);
				$this->id_topcat = $temp['id'];
				$this->topcat_name = $temp['title'];
				
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayStep2FormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."site_customisation.private_home_pages.html", "step2"));
}



function displayStep1Form()
{
	global $babBody;
	class displayStep1FormClass
	{
		function displayStep1FormClass()
		{
			global $babDB;
			$this->idx = bab_rp('idx', 'private_home_pages');
			$this->next_code_op = "2";
			$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
			$this->tip1 = undecode_html(bab_translate("You can customize the private home pages showing the list of the most recent articles in the selected topics categories.", $GLOBALS['babAddonFolder']));
			$this->tip2 = undecode_html(bab_translate("The news list will be established in the order in which different topics categories are displayed on the site.", $GLOBALS['babAddonFolder']));
			$this->tip3 = undecode_html(bab_translate("Note: You can change this order through the menu Administration, Sections, Order.", $GLOBALS['babAddonFolder']));
			$this->next_step_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				
				
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayStep1FormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."site_customisation.private_home_pages.html", "step1"));
}
 
?>