<?php
function categories_and_topics($type, $delegation_name)
{
	switch (mb_strtolower($delegation_name))
	{
		case mb_strtolower("PFEG") :
			$category = "SECONDE PFEG";
			$space = "Espace PFEG";
			$stages = NULL;
			$topic = array();
			break;

		case mb_strtolower("1SMTG") :
			$category = "PREMI&Egrave;RE SMTG";
			$space = "Espace Premi&egrave;res";
			$stages = NULL;
			$topic = array();
			$topic[0] = "&Eacute;conomie Droit";
			$topic[1] = "Management des organisations";
			$topic[2] = "Sciences de gestion";
			$topic[3] = "Accompagnement personnalis&eacute;";
			break;
		
		case mb_strtolower("TSTMG") :
			$category = "TERMINALE STMG";
			$space = "Espace Terminales";
			$stages = NULL;
			$topic = array();
			$topic[0] = "&Eacute;conomie Droit";
			$topic[1] = "Management";
			$topic[2] = "Mercatique";
			$topic[3] = "Comptabilit&eacute; et finance des entreprises";
			$topic[4] = "Gestion des systmes d'informations";
			$topic[5] = "Communication et gestion des ressources humaines";
			break;

		case mb_strtolower("MUC") :
			$category = "STS MUC";
			$space = "Espace MUC";
			$stages = "Stages et projets";
			$topic[0] = "&Eacute;conomie Droit";
			$topic[1] = "Management et gestion des unit&eacute;s commerciales";
			$topic[2] = "Gestion de la relation commerciale";
			$topic[3] = "D&eacute;veloppement de l'unit&eacute; commerciale";
			$topic[4] = "Informatique commerciale";
			$topic[5] = "Communication";
			break;

		case mb_strtolower("NRC") :
			$category = "STS NRC";
			$space = "Espace NRC";
			$stages = "Projets";
			$topic[0] = "&Eacute;conomie Droit";
			$topic[1] = "Mercatique";
			$topic[2] = "Gestion commerciale";
			$topic[3] = "Management commercial";
			$topic[4] = "Technologies commerciales";
			$topic[5] = "Communication et n&eacute;gociation";
			break;
			
		default:
			if ($type == "STS") $category = "STS"." ".mb_strtoupper($delegation_name); else $category = mb_strtoupper($delegation_name);
			$space = bab_translate("Space", $GLOBALS['babAddonFolder'])." ".$delegation_name;
			switch ($type)
			{
				case 'LGT':
					$stages = NULL;
					break;
				case 'LP':
				case 'STS':
					$stages = bab_translate("Stages and projects", $GLOBALS['babAddonFolder']);
					break;
			}
			for ($i = 0; $i < TOPICS_DEFAULT_NUMBER; $i++)
			{
				$topic[$i] = mb_strtoupper($delegation_name)." - ".bab_translate("Topic", $GLOBALS['babAddonFolder'])." N ".($i + 1);
			}			
			break;
	}
	return (array("category" => $category, "space" => $space, "stages"=> $stages, "topics_array" => $topic));
}
?>