<?php
	require_once('base.php');
	
	require_once($GLOBALS["babAddonPhpPath"].'functions.php');

	// Groupe des gestionnaires du site d'tablissement
	define ("ETABGEST_GROUP_NAME", "EtabGest");
	$etabgest_group_description = undecode_html(bab_translate("Group of the site managers", $GLOBALS["babAddonFolder"]));
	
	// Groupe des administrateurs dlgus
	define ("ADMINS_GROUP_NAME", "Admins");
	$admins_group_description = undecode_html(bab_translate("Group of delegated administrators", $GLOBALS["babAddonFolder"]));
	
	// Groupe des gestionnaires dlgus
	define ("GESTS_GROUP_NAME", "Gests");
	$gests_group_description = undecode_html(bab_translate("Group of delegated managers", $GLOBALS["babAddonFolder"]));
	
	//Groupe des lves et tudiants de l'tablissement
	define ("STUDENTS_GROUP_NAME", "EtabElv");
	$students_group_description = undecode_html(bab_translate("Group of all students of the establishment", $GLOBALS["babAddonFolder"]));
	define ("STUDENTS_GROUP_ID", FindGroupIdFromName(STUDENTS_GROUP_NAME, BAB_REGISTERED_GROUP));
	
	//Groupe des enseignants de l'tablissement
	define ("TEACHERS_GROUP_NAME", "EtabProf");
	$teachers_group_description = undecode_html(bab_translate("Group of all teachers of the establishment", $GLOBALS["babAddonFolder"]));
	define ("TEACHERS_GROUP_ID", FindGroupIdFromName(TEACHERS_GROUP_NAME, BAB_REGISTERED_GROUP));
	
	// Suffixes des noms de groupe
	define ("STUDENTS_GROUP_SUFFIX", "Elv");
	define ("TEACHERS_GROUP_SUFFIX", "Prof");
	define ("MANAGERS_GROUP_SUFFIX", "Gest");
	define ("PARTNERS_GROUP_SUFFIX", "Part");
	define ("PROJECT_RESPONSIBLE_GROUP_SUFFIX", "ProfProjet");
	
	// Suffixe des nom des administrateurs dlgus et gestionnaires
	define("ADMIN_FIRSTNAME", "Admin");
	define("GEST_FIRSTNAME", "Gest");	

	// Suffixe des schmas de modration
	define ("FLOW_APPROVERS_SUFFIX", "ProfMod");
	define ("PROJECT_FLOW_APPROVERS_SUFFIX", "ProfProjetMod");
	
	// Suffixe du nom du rpertoire des stages
	define ("STAGES_SUFFIX", "Stages");
	
	// Suffixe des groupe projets
	define ("PROJECT_SUFFIX", "Projet");
	
	// Suffixe du rpertoire spcifiques aux enseignements
	define ("ENSEIGNEMENT_SUFFIX", "Ens");
	

	// Nombre par dfaut de thmes par catgories de thmes
	if (!defined("TOPICS_DEFAULT_NUMBER"))
	{
		define ("TOPICS_DEFAULT_NUMBER", 6);
	}
	
	// Adresse de messagerie par dfault
	if (!defined("DEFAULT_MAIL"))
	{
		define ("DEFAULT_MAIL", "a_saisir@serveur.ext");
	}
	
	// Paramtres transversaux relatifs aux crations de section des apprenants
	
	if (!defined("MIN_PASSWORD_LENGTH"))
	{
		define ("MIN_PASSWORD_LENGTH", 6); // Longueur minimale du mot de passe (ne pas modifier !)
	}
	
	if (!defined("LEVELS_NUMBERS"))
	{
		define ("LEVELS_NUMBERS", 15); // Nombre maximal de niveaux crs  la fois
	}
	
	if (!defined("MAX_YEARS_NUMBER"))
	{
		define ("MAX_YEARS_NUMBER", 3); // Nombre maximal d'annes de formation par cycle (LP ou STS)
	}
	
	if (!defined("MAX_SECTIONS_OR_LEVELS"))
	{
		define ("MAX_SECTIONS_OR_LEVELS", 15); // Nombre maximal de sections (LP ou STS) ou de niveaux (LGT) crs  la fois
	}
	
	if (!defined("WAITING_ACCOUNTS_NUMBER_DEFAULT"))
	{
		define ("WAITING_ACCOUNTS_NUMBER_DEFAULT", 2); // Nombre de comptes d'attente par dfaut
	}
	
	if (!defined("TEACHER_ACCOUNTS_NUMBER"))
	{
		define ("TEACHER_ACCOUNTS_NUMBER", 15); // Nombre maximal de comptes d'enseignant crs  la fois
	}
	
	// Description des types de sections relevant des lyces d'enseignement professionnel
	global $degree;
	$degree[0] = "CAP"; 
	$degree[1] = "BEP";
	$degree[2] = "Bac Pro";
	$degree[3] = "BP";
	$degree[4] = "MC";	
	
?>
