<?php

function actionNicknameInDirectoriesDisplayForm()
{
	global $babBody;
	class actionNicknameInDirectoriesDisplayFormClass
	{
		function actionNicknameInDirectoriesDisplayFormClass()
		{
			global $babBody;
			global $babDB;
			$this->idx = bab_rp('idx', 'private_home_pages');
			$this->bgcolor = true;
			$this->count = bab_pp('count', '');
			$this->group_label = bab_translate("Groups", $GLOBALS['babAddonFolder']);
			$this->messaging_features_label = bab_translate("Messaging features", $GLOBALS['babAddonFolder']);
			$this->return_label = bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']);
			$enabled_display = bab_pp('enabled_display', '');
			$this->bgcolor = true;
			$res = $babDB->db_query("
			SELECT
			`id`
			FROM
			`bab_dbdir_fields`
			WHERE
			`name` = 'cn'
			");
			if ($babDB->db_num_rows($res) > 0)
			{
				$temp = $babDB->db_fetch_array($res);
				$id_field = $temp['id'];
			}

			switch ($enabled_display)
			{
				case "yes":
					$this->enabled_display = true;
					break;

				case "no":
				default:
					$this->enabled_display = false;
			}
			
			$res = $babDB->db_query("
			SELECT
			`ordering`
			FROM
			`bab_dbdir_fieldsextra`
			WHERE
			(`id_field` = '".$babDB->db_escape_string($id_field)."')
			AND
			(`id_directory` = '0')
			");
			$temp = $babDB->db_fetch_array($res);
			$ordering = $temp['ordering'];

			if ($this->enabled_display)
			{
				if ($ordering > 1)
				{
					$res = $babDB->db_query("
					UPDATE
					`bab_dbdir_fieldsextra`
					SET
					`ordering` = `ordering` + 1
					WHERE
					(`ordering` > 0)
					AND
					(`ordering` < ".$babDB->db_escape_string($ordering).")
					AND
					(`id_directory` = 0)
					");
				}
				else
				{
					if ($ordering == 0)
					{
						$res = $babDB->db_query("
						UPDATE
						`bab_dbdir_fieldsextra`
						SET
						`ordering` = `ordering` + 1
						WHERE
						(`ordering` > 0)
						AND
						(`id_directory` = '0')
						");
					}
				}
				$res = $babDB->db_query("
				UPDATE
				`bab_dbdir_fieldsextra`
				SET
				`ordering` = '1 '
				WHERE
				(`id_field` = ".$babDB->db_escape_string($id_field).")
				AND
				(`id_directory` = 0)
				");
				
				$res = $babDB->db_query("
				UPDATE 
				`bab_dbdir_fieldsextra` 
				SET 
				`disabled` = 'N', 
				`modifiable` = 'N' 
				WHERE 
				(`id_field` = '".$babDB->db_escape_string($id_field)."') 
				AND 
				(`id_directory` = '0')
				");

				$this->res = $babDB->db_query("
				SELECT
				`id_user`,
				`nickname`
				FROM
				`bab_dbdir_entries`,
				`bab_users`
				WHERE
				(`bab_users`.`id` = `id_user`)
				AND
				(`id_directory` = '0')
				ORDER BY
				`nickname` ASC
				");
				$this->count = $babDB->db_num_rows($this->res);
				$babBody->addError(undecode_html(bab_translate("The display of nicknames in directories is enabled.", $GLOBALS['babAddonFolder'])));
			}
			else
			{
				if ($ordering > 0)
				{
					$res = $babDB->db_query("
					UPDATE 
					`bab_dbdir_fieldsextra` 
					SET 
					`ordering` = `ordering` - 1 
					WHERE 
					(`id_directory` = '0') 
					AND 
					(`ordering` > ".$babDB->db_escape_string($ordering).")
					");
				}
				$res = $babDB->db_query("
				UPDATE 
				`bab_dbdir_fieldsextra` 
				SET 
				`ordering` = '0' 
				WHERE 
				(`id_directory` = '0') 
				AND
				(`id_field` = '".$babDB->db_escape_string($id_field)."')
				");
				
				$res = $babDB->db_query("
				UPDATE 
				`bab_dbdir_fieldsextra` 
				SET 
				`disabled` = 'N', 
				`modifiable` = 'Y' 
				WHERE 
				(`id_field` = '".$babDB->db_escape_string($id_field)."') 
				AND 
				(`id_directory` = '0')
				");
				
				$this->count = 0;
				
				$babBody->addError(undecode_html(bab_translate("The display of nicknames in directories is disabled.", $GLOBALS['babAddonFolder'])));
			}
		}

		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				$temp = $babDB->db_fetch_array($this->res);
				$id_user = $temp['id_user'];
				$this->nickname = $temp['nickname'];
				$res = $babDB->db_query("
				UPDATE
				`bab_dbdir_entries`
				SET
				`cn` = '".$babDB->db_escape_string($this->nickname)."'
				WHERE
				(`id_user` = '".$babDB->db_escape_string($id_user)."')
				AND
				(`id_directory` = '0')
				");
				
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionNicknameInDirectoriesDisplayFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."site_customisation.directories.html", "report_form"));

}

function displayNicknameInDirectoriesDisplayForm()
{
	global $babBody;
	class displayNicknameInDirectoriesDisplayFormClass
	{
		function displayNicknameInDirectoriesDisplayFormClass()
		{
			global $babDB;
			$this->idx = bab_rp('idx', 'private_home_pages');
			$this->validate_label = bab_translate("Validate", $GLOBALS['babAddonFolder']);
			$this->tip1_label = bab_translate("You can choice to enable ou disable the display of the nicknames in the directories", $GLOBALS['babAddonFolder']);
			$this->tip2_label = bab_translate("If you choice to enable the display of the nicknames in the directories:", $GLOBALS['babAddonFolder']);
			$this->tip21_label = bab_translate("The field Surname for all Ovidentia users will be initialised with their nickname", $GLOBALS['babAddonFolder']);
			$this->tip22_label = bab_translate("This field will be unmodifiable by the users", $GLOBALS['babAddonFolder']);
			$this->tip3_label = bab_translate("If you choice to disable the display of the nicknames in the directories:", $GLOBALS['babAddonFolder']);
			$this->tip31_label = bab_translate("The field Surname will be keep off the list of displayed fields for the group directories", $GLOBALS['babAddonFolder']);
			$this->tip32_label = bab_translate("It will be reinstated in the directory user-modifiable field list.", $GLOBALS['babAddonFolder']);
			$this->enabled_label = bab_translate("On", $GLOBALS['babAddonFolder']);
			$this->disabled_label = bab_translate("Off", $GLOBALS['babAddonFolder']);
			$this->directory_label = bab_translate("Directory", $GLOBALS['babAddonFolder']);
			$this->nickname_display_label = bab_translate("Nickname display", $GLOBALS['babAddonFolder']);
			$this->users_directory = bab_translate("Directory of the Ovidentia users", $GLOBALS['babAddonFolder']);
		}
	}
	$obj= new displayNicknameInDirectoriesDisplayFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."site_customisation.directories.html", "display_form"));

}
?>