<?php
require_once('base.php');

function actionPonctualManagementForm()
{
	global $babBody;
	class actionPonctualManagementFormClass
	{
		function actionPonctualManagementFormClass()
		{
			global $babDB;
			$this->idx = bab_pp('idx', '');
			$this->type = bab_pp('type', '');
			$this->class_name_array = bab_pp('class_name', array());
			$this->accounts_number_array = bab_pp('accounts_number', array());
			$this->id_group_array = bab_pp('id_group', array());
			$this->password = bab_pp('password1', '');
			$this->count = count($this->accounts_number_array);
			switch ($this->type)
			{
				case 'LGT':
					$this->class_name_label = bab_translate("Classe:", $GLOBALS['babAddonFolder']);
					break;
					
				case 'LP':
				case 'STS':
					$this->class_name_label = bab_translate("Promotion:", $GLOBALS['babAddonFolder']);
					break;
					
				default:
					$this->class_name_label = "";
					break;
			}
			$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
			$this->default_password_label = undecode_html(bab_translate("The default password for all created complementary accounts is:", $GLOBALS['babAddonFolder']));
			$this->next_code_op = 'S3';
			$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
		}
		
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{	
				$this->class_name = $this->class_name_array[$k];
				$this->accounts_number = $this->accounts_number_array[$k];
				if ($this->accounts_number == 1)
				{
					$this->added_accounts_label = undecode_html(bab_translate("created complementary account", $GLOBALS['babAddonFolder']));
				}
				else
				{
					$this->added_accounts_label = undecode_html(bab_translate("created complementary accounts", $GLOBALS['babAddonFolder']));
				}
				$this->id_group = $this->id_group_array[$k];
				$group_name =  bab_getGroupName($this->id_group, false);
				$group_name = mb_substr($group_name, 0, mb_strlen($group_name) - mb_strlen(STUDENTS_GROUP_SUFFIX));
				$id_deleg_group = FindParentIdGroupFromId($this->id_group);
				$id_parent_group = FindParentIdGroupFromId($id_deleg_group);
				switch (mb_strtoupper($this->type))
				{
					case 'LGT':
						$id_type_elv_group = FindGroupIdFromName('LgtElv', STUDENTS_GROUP_ID);
						$deleg_group_name = bab_getGroupName($id_deleg_group, false);
						$id_elv_deleg_group_name = FindGroupIdFromName($deleg_group_name.STUDENTS_GROUP_SUFFIX, $id_deleg_group);
						$group_name = undecode_html(bab_translate("of pupils of the class", $GLOBALS['babAddonFolder']))." <b>".$group_name."</b>";
						break;
						
					case 'LP':
						$id_type_elv_group = FindGroupIdFromName('LpElv', STUDENTS_GROUP_ID);
						$deleg_group_name = bab_getGroupName($id_deleg_group, false);
						if (mb_substr($group_name, 0, mb_strlen($deleg_group_name)) == $deleg_group_name)
						{
							$year = mb_substr($group_name, mb_strlen($deleg_group_name), mb_strlen($group_name) - mb_strlen($deleg_group_name));
							if (empty($year))
							{
								$group_name = undecode_html(bab_translate("of pupils of the section", $GLOBALS['babAddonFolder']))." <b>".$deleg_group_name."</b>";
							}
							else
							{
								$group_name = undecode_html(bab_translate("of pupils of the section", $GLOBALS['babAddonFolder']))." <b>".$deleg_group_name." ".ordinal($year)." ".bab_translate("year", $GLOBALS['babAddonFolder'])."</b>";
							}
						}	
						break;
						
					case 'STS':
						$id_type_elv_group = FindGroupIdFromName('StsElv', STUDENTS_GROUP_ID);
						$deleg_group_name = bab_getGroupName($id_deleg_group, false);
						if (mb_substr($group_name, 0, mb_strlen($deleg_group_name)) == $deleg_group_name)
						{
							$year = mb_substr($group_name, mb_strlen($deleg_group_name), mb_strlen($group_name) - mb_strlen($deleg_group_name));
							if (empty($year))
							{
								$group_name = undecode_html(bab_translate("of students of the section", $GLOBALS['babAddonFolder']))." <b>".$deleg_group_name."</b>";
							}
							else
							{
								$group_name = undecode_html(bab_translate("of students of the section", $GLOBALS['babAddonFolder']))." <b>".$deleg_group_name." ".ordinal($year)." ".bab_translate("year", $GLOBALS['babAddonFolder'])."</b>";
							}
						}
						break;
				}
				$this->group_name = bab_getGroupName($this->id_group, false);
				$this->group_name = mb_substr($this->group_name, 0, mb_strlen($this->group_name) - mb_strlen(STUDENTS_GROUP_SUFFIX));
				$res = $babDB->db_query("
				SELECT
				MAX(SUBSTRING(`nickname` FROM (LENGTH(`nickname`) - 1) FOR 2)) AS `indice`
				FROM
				`bab_users`
				WHERE
				UPPER(`nickname`) LIKE UPPER('".$babDB->db_escape_string($this->class_name)."__')
				");
				$temp = $babDB->db_fetch_array($res);
				$this->indice = $temp['indice'];
				$i = 0;
				$this->creation_list = "";
				$bgcolor = true;
				while ($i < $this->accounts_number && ($this->indice + $i + 1 < 100))
				{
					$indice = $this->indice + $i + 1;
					if ($indice < 10) 
					{
						$nickname = mb_strtolower($this->class_name)."0".$indice;
					}
					else
					{
						$nickname = mb_strtolower($this->class_name).$indice;
					}
					$firstname = "a_saisir";
					$lastname = $nickname;
					$middlename = "";
					$email = DEFAULT_MAIL;
					$password1 = $this->password;
					$password2 = $password1;
					$confirmed = true;
					$bgroup = true;
					$id_user = bab_registerUser($firstname, $lastname, $middlename, $email, $nickname, $password1, $password2, $confirmed, $error, $bgroup);
					if ($id_user > 0)
					{
						$info = bab_getUserInfos($id_user);
						$info['cn'] = $nickname;
						$error = "";
						bab_updateUserById($id_user, $info, $error); 
						bab_attachUserToGroup($id_user, STUDENTS_GROUP_ID);
						bab_attachUserToGroup($id_user, $id_type_elv_group);
						bab_attachUserToGroup($id_user, $this->id_group);
						bab_attachUserToGroup($id_user, $id_deleg_group);
						bab_attachUserToGroup($id_user, $id_parent_group);
						if (mb_strtoupper($this->type) == 'LGT')
						{
							bab_attachUserToGroup($id_user, $id_elv_deleg_group_name);
						}
						$bgcolor = !$bgcolor;
					}
					if ($bgcolor) $this->creation_list .= "<tr class=\"BabMonthCalendarCurentDayBackground\">"; else $this->creation_list .= "<tr>";
					$this->creation_list .= "<td>".undecode_html(bab_translate("Creation of the account with nickname", $GLOBALS['babAddonFolder']))." <b>".$nickname."</b> ".bab_translate("inside the group", $GLOBALS['babAddonFolder'])." ".$group_name."</td>";
					$this->creation_list .= "</tr>\r\n";
					$i++;
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionPonctualManagementFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "punctual_management_report"));
}


function displayPasswordChoiceForm()
{
	global $babBody;
	class displayPasswordChoiceFormClass
	{
		function displayPasswordChoiceFormClass()
		{
			global $babBody;
			global $babDB;
			$this->idx = bab_pp('idx', '');
			$this->type = bab_pp('type', '');
			$this->count = bab_pp('count', '0');
			$this->accounts_add = false;
			$i = 0;
			while ($i < $this->count && !$this->accounts_add)
			{
				if (bab_pp('accounts_number'.$i, '0') != 0) $this->accounts_add = true;
				$i++;				
			}
			if ($this->accounts_add)
			{
				switch (bab_pp('code_op', ''))
				{
					case 'S311':
						$this->next_code_op = 'S312';
						break;
						
					case 'S321':
						$this->next_code_op = 'S322';
						break;
					
					case 'S331':
						$this->next_code_op = 'S332';
						break;
					
					default:
						$this->next_code_op = '';
						break;
				}
				$this->password_label = undecode_html(bab_translate("Enter the password", $GLOBALS['babAddonFolder']));
				$this->confirm_label = undecode_html(bab_translate("Confirm the password", $GLOBALS['babAddonFolder']));
				$this->min_length = MIN_PASSWORD_LENGTH;
				$this->min_length_label = undecode_html(bab_translate("characters min.", $GLOBALS['babAddonFolder']));
				$babBody->addError(undecode_html(bab_translate("Choice a default password for the complementary added accounts", $GLOBALS['babAddonFolder'])));
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
				$this->passwords_do_not_match_message = undecode_html(bab_translate("The passwords for all added complementary accounts do not match.", $GLOBALS['babAddonFolder']));
				$this->minimal_length_message = undecode_html(bab_translate("The password for all added complementary accounts does not respect the minimal limit.", $GLOBALS['babAddonFolder']));
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No complementary account will be added", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = 'S3';
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}	
		}
		
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{	
				
				$this->is_not_null = false;
				$this->accounts_number = bab_pp('accounts_number'.$k, '0');
				if ($this->accounts_number > 0)
				{
					$this->is_not_null = true;
					$this->id_group = bab_pp('id_group'.$k, '0');
					$this->class_name = bab_pp('class_name'.$k, '');
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayPasswordChoiceFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "password_choice_form"));
}

function displayPonctualManagementInTechniciansSectionsForm()
{
	global $babBody;
	class displayPonctualManagementInTechniciansSectionsFormClass
	{
		function displayPonctualManagementInTechniciansSectionsFormClass()
		{
			global $babBody;
			global $babDB;
			$this->idx = bab_pp('idx', '');
			$this->type = 'STS';
			$this->res = $babDB->db_query("
			SELECT
			SUBSTRING(`nickname` FROM 1 FOR (LENGTH(`nickname`) - 2)) AS `promotion`,
			`deleg_group`.`id`
			FROM
			`bab_users`,
			`bab_users_groups`,
			`bab_groups` AS `class_group`,
			`bab_groups` AS `deleg_group`,
			`bab_groups` AS `parent_group`
			WHERE
			(`id_object`  = `bab_users`.`id`)
			AND 
			(`id_group` = `class_group`.`id`)
			AND
			(UPPER(`class_group`.`name` LIKE UPPER('%".$babDB->db_escape_string(STUDENTS_GROUP_SUFFIX)."')))
			AND
			(`class_group`.`id_parent` = `deleg_group`.`id`)
			AND
			(`deleg_group`.`id_parent` = `parent_group`.`id`)
			AND
			(UPPER(`parent_group`.`name`) = UPPER('".$babDB->db_escape_string($this->type )."'))
			GROUP BY
			`promotion`
			");
			$this->count = $babDB->db_num_rows($this->res);
			if ($this->count > 0)
			{
				$babBody->addError(undecode_html(bab_translate("For each promotion, indicate  the complementary accounts number, select the course and level and validate.", $GLOBALS['babAddonFolder'])));
				$this->promotion_name_label = undecode_html(bab_translate("Promotion", $GLOBALS['babAddonFolder'])); 
				$this->accounts_number_label = undecode_html(bab_translate("Number of complementary accounts", $GLOBALS['babAddonFolder'])); 
				$this->course_level_label = undecode_html(bab_translate("Course/level", $GLOBALS['babAddonFolder'])); 
				$this->next_code_op = "S331";
				$this->errors_label = undecode_html(bab_translate("Error for the promotion", $GLOBALS['babAddonFolder']));
				$this->non_integer_accounts_field_label = undecode_html(bab_translate("The number of complementary accounts is not an integer.", $GLOBALS['babAddonFolder']));
				$this->non_selected_level_field_label = undecode_html(bab_translate("The course and level is not selected.", $GLOBALS['babAddonFolder']));
				$this->bgcolor = true;
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder'])); 
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No promotion has been created!", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = "S3";
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
		}
		
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$temp = $babDB->db_fetch_array($this->res);
				$this->class_name = $temp['promotion'];
				$this->id_deleg_group = $temp['id'];
				$res  = $babDB->db_query("
				SELECT
				`id`,
				SUBSTRING(`name` FROM 1 FOR (LENGTH(`name`) - LENGTH('".$babDB->db_escape_string(STUDENTS_GROUP_SUFFIX)."'))) AS `class_name`
				FROM
				`bab_groups`
				WHERE
				(UPPER(`name`) LIKE UPPER('%".$babDB->db_escape_string(STUDENTS_GROUP_SUFFIX)."'))
				AND
				(`id_parent` = '".$babDB->db_escape_string($this->id_deleg_group)."')
				ORDER BY
				`class_name`
				");
				$this->options_list = "<option value=\"\">".undecode_html(bab_translate("Select a value", $GLOBALS['babAddonFolder']))."</option>\r\n";
				while ($arr = $babDB->db_fetch_array($res))
				{
					$id_group = $arr['id'];
					$deleg_name = bab_getGroupName($this->id_deleg_group, false);
					$name = $arr['class_name'];
					$year =  mb_substr($name, mb_strlen($deleg_name));
					if (!empty($year))
					{
						$this->options_list .= "<option value=\"".$id_group."\">".$deleg_name." ".ordinal($year)." ".bab_translate("year", $GLOBALS['babAddonFolder'])."</option>\r\n";
					}
					else
					{
						$this->options_list .= "<option value=\"".$id_group."\">".$deleg_name."</option>\r\n";
					}
				}
				$this->bgcolor = !$this->bgcolor;
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayPonctualManagementInTechniciansSectionsFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "punctual_management_in_professionnal_school_or_technicians_courses"));
}

function displayPonctualManagementInProfessionnalSchoolForm()
{
	global $babBody;
	class displayPonctualManagementInProfessionnalSchoolFormClass
	{
		function displayPonctualManagementInProfessionnalSchoolFormClass()
		{
			global $babBody;
			global $babDB;
			$this->idx = bab_pp('idx', '');
			$this->type = 'LP';
			$this->res = $babDB->db_query("
			SELECT
			SUBSTRING(`nickname` FROM 1 FOR (LENGTH(`nickname`) - 2)) AS `promotion`,
			`deleg_group`.`id`
			FROM
			`bab_users`,
			`bab_users_groups`,
			`bab_groups` AS `class_group`,
			`bab_groups` AS `deleg_group`,
			`bab_groups` AS `parent_group`
			WHERE
			(`id_object`  = `bab_users`.`id`)
			AND 
			(`id_group` = `class_group`.`id`)
			AND
			(UPPER(`class_group`.`name` LIKE UPPER('%".$babDB->db_escape_string(STUDENTS_GROUP_SUFFIX)."')))
			AND
			(`class_group`.`id_parent` = `deleg_group`.`id`)
			AND
			(`deleg_group`.`id_parent` = `parent_group`.`id`)
			AND
			(UPPER(`parent_group`.`name`) = UPPER('".$babDB->db_escape_string($this->type)."'))
			GROUP BY
			`promotion`
			");
			$this->count = $babDB->db_num_rows($this->res);
			if ($this->count > 0)
			{
				$babBody->addError(undecode_html(bab_translate("For each promotion, indicate  the complementary accounts number, select the course and level and validate.", $GLOBALS['babAddonFolder'])));
				$this->promotion_name_label = undecode_html(bab_translate("Promotion", $GLOBALS['babAddonFolder'])); 
				$this->accounts_number_label = undecode_html(bab_translate("Number of complementary accounts", $GLOBALS['babAddonFolder'])); 
				$this->course_level_label = undecode_html(bab_translate("Course/level", $GLOBALS['babAddonFolder'])); 
				$this->next_code_op = "S321";
				$this->errors_label = undecode_html(bab_translate("Error for the promotion", $GLOBALS['babAddonFolder']));
				$this->non_integer_accounts_field_label = undecode_html(bab_translate("The number of complementary accounts is not an integer.", $GLOBALS['babAddonFolder']));
				$this->non_selected_level_field_label = undecode_html(bab_translate("The course and level is not selected.", $GLOBALS['babAddonFolder']));
				$this->bgcolor = true;
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder'])); 
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No promotion has been created!", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = "S3";
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
		}
		
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$temp = $babDB->db_fetch_array($this->res);
				$this->class_name = $temp['promotion'];
				$this->id_deleg_group = $temp['id'];
				$res  = $babDB->db_query("
				SELECT
				`id`,
				SUBSTRING(`name` FROM 1 FOR (LENGTH(`name`) - LENGTH('".$babDB->db_escape_string(STUDENTS_GROUP_SUFFIX)."'))) AS `class_name`
				FROM
				`bab_groups`
				WHERE
				(UPPER(`name`) LIKE UPPER('%".$babDB->db_escape_string(STUDENTS_GROUP_SUFFIX)."'))
				AND
				(`id_parent` = '".$babDB->db_escape_string($this->id_deleg_group)."')
				ORDER BY
				`class_name`
				");
				$this->options_list = "<option value=\"\">".bab_translate("Select a value", $GLOBALS['babAddonFolder'])."</option>\r\n";
				while ($arr = $babDB->db_fetch_array($res))
				{
					$id_group = $arr['id'];
					$deleg_name = bab_getGroupName($this->id_deleg_group, false);
					$name = $arr['class_name'];
					$year =  mb_substr($name, mb_strlen($deleg_name));
					if (!empty($year))
					{
						$this->options_list .= "<option value=\"".$id_group."\">".$deleg_name." ".ordinal($year)." ".undecode_html(bab_translate("year", $GLOBALS['babAddonFolder']))."</option>\r\n";
					}
					else
					{
						$this->options_list .= "<option value=\"".$id_group."\">".$deleg_name."</option>\r\n";
					}
				}
				$this->bgcolor = !$this->bgcolor;
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayPonctualManagementInProfessionnalSchoolFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "punctual_management_in_professionnal_school_or_technicians_courses"));
}


function displayPonctualManagementInHighSchoolForm()
{
	global $babBody;
	class displayPonctualManagementInHighSchoolFormClass
	{
		function displayPonctualManagementInHighSchoolFormClass()
		{
			global $babBody;
			global $babDB;
			$this->idx = bab_pp('idx', '');
			$this->type = 'LGT';
			$this->res = $babDB->db_query("
			SELECT
			`class_group`.`id`,
			SUBSTRING(`class_group`.`name` FROM 1 FOR (LENGTH(`class_group`.`name`) - LENGTH('".$babDB->db_escape_string(STUDENTS_GROUP_SUFFIX)."'))) AS `class_name`,
			`id_group`
			FROM
			`bab_dg_groups`,
			`bab_groups` AS `class_group`,
			`bab_groups` AS `deleg_group`,
			`bab_groups` AS `parent_group`
			WHERE
			(UPPER(`class_group`.`name`) LIKE UPPER('%".$babDB->db_escape_string(STUDENTS_GROUP_SUFFIX)."'))
			AND
			(UPPER(`class_group`.`name`) != CONCAT(`deleg_group`.`name`, '".$babDB->db_escape_string(STUDENTS_GROUP_SUFFIX)."'))
			AND
			(`id_group` = `deleg_group`.`id`)
			AND
			(`class_group`.`id_parent` = `deleg_group`.`id`)
			AND
			(`deleg_group`.`id_parent` = `parent_group`.`id`)
			AND
			(UPPER(`parent_group`.`name`) = UPPER('".$babDB->db_escape_string($this->type)."'))
			
			");
			$this->count = $babDB->db_num_rows($this->res);
			if ($this->count > 0)
			{
				$babBody->addError(undecode_html(bab_translate("Indicate for each class the complementary accounts number and validate.", $GLOBALS['babAddonFolder'])));
				$this->class_name_label = undecode_html(bab_translate("Class", $GLOBALS['babAddonFolder'])); 
				$this->accounts_number_label = undecode_html(bab_translate("Number of complementary accounts", $GLOBALS['babAddonFolder'])); 
				$this->next_code_op = "S311";
				$this->errors_label = undecode_html(bab_translate("Error for the class", $GLOBALS['babAddonFolder']));
				$this->non_integer_accounts_field_label = undecode_html(bab_translate("The number of complementary accounts is not an integer.", $GLOBALS['babAddonFolder']));
				$this->bgcolor = true;
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder'])); 
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No class has been created!", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = "S3";
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}		
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$temp = $babDB->db_fetch_array($this->res);
				$this->id_group = $temp['id'];
				$this->class_name = $temp['class_name'];
				$this->id_deleg_group = $temp['id_group'];
				$this->bgcolor = !$this->bgcolor;
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayPonctualManagementInHighSchoolFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "punctual_management_in_high_school"));
}


function displayPonctualManagementMenuForm()
{
	global $babBody;
	class displayPonctualManagementMenuFormClass
	{
		function displayPonctualManagementMenuFormClass()
		{
			global $babDB;
			$this->idx = bab_pp('idx', '');
			$this->high_school_label = undecode_html(bab_translate("Ponctual pupils management in high school", $GLOBALS['babAddonFolder']));
			$this->high_school_description = undecode_html(bab_translate("Pontual add of students accounts in classes in high school", $GLOBALS['babAddonFolder']));
			$this->professionnal_school_label = undecode_html(bab_translate("Ponctual students management in professionnal school", $GLOBALS['babAddonFolder']));
			$this->professionnal_school_description = undecode_html(bab_translate("Pontual add of students accounts in promotions in professionnal school", $GLOBALS['babAddonFolder']));
			$this->technicians_courses_label = undecode_html(bab_translate("Ponctual students management in technicians courses", $GLOBALS['babAddonFolder']));
			$this->technicians_courses_description = undecode_html(bab_translate("Pontual add of students accounts in promotions in techncians courses", $GLOBALS['babAddonFolder']));
			$this->previous_menu_label  = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder'])); 
		}
	}
	$obj= new displayPonctualManagementMenuFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "punctual_management_menu"));
}


function displayAnnualOperationInTechniciansCoursesForm()
{
	global $babBody;
	class displayAnnualOperationInTechniciansCoursesFormClass
	{
		function displayAnnualOperationInTechniciansCoursesFormClass()
		{
			global $babBody;
			global $babDB;
			$this->idx = bab_pp('idx', '');
			$this->type = bab_pp('type', '');
			$id_elv_group = bab_pp('id_elv_group', '');
			$elv_group_name = bab_getGroupName($id_elv_group, false);
			$id_delegated_group = FindParentIdGroupFromId($id_elv_group);
			$this->delegated_group_name = bab_getGroupName($id_delegated_group, false);
			$year = mb_substr($elv_group_name, mb_strlen($this->delegated_group_name), mb_strlen($elv_group_name) - mb_strlen($this->delegated_group_name) -mb_strlen(STUDENTS_GROUP_SUFFIX));
			$level_name = $this->delegated_group_name;
			if (!empty($year))  $level_name .= " - ".ordinal($year)." ".bab_translate("year", $GLOBALS['babAddonFolder']);
			
			$res = $babDB->db_query("
			SELECT
			`id`
			FROM
			`bab_groups`
			WHERE
			(`id_parent` = '".$babDB->db_escape_string($id_delegated_group)."')
			AND
			( UPPER(`name`) = UPPER('".$babDB->db_escape_string($this->delegated_group_name.($year + 1).STUDENTS_GROUP_SUFFIX)."') )
			");
			$this->terminal_year = false;
			if ($babDB->db_num_rows($res) === 0)
			{
				$this->terminal_year = true;
				$this->next_year_id_elv_group = "NULL";
				$this->current_year_id_elv_group = $id_elv_group;
			}
			else
			{
				$temp = $babDB->db_fetch_array($res);
				$this->next_year_id_elv_group = $temp['id'];
				$this->current_year_id_elv_group = $id_elv_group;
			}
			$this->res = $babDB->db_query("
			SELECT
			`bab_users`.`id` AS `id_user`,
			`nickname`,
			`lastname`,
			`firstname`
			FROM
			`bab_users`,
			`bab_users_groups`
			WHERE
			(`bab_users`.`id` = `id_object`)
			AND
			(`id_group` = '".$babDB->db_escape_string($id_elv_group)."')
			ORDER BY
			`lastname` ASC,
			`firstname` ASC
			");
			$this->students_number = $babDB->db_num_rows($this->res);
			if ($this->students_number > 0)
			{
				$babBody->addError(undecode_html(bab_translate("Select the end year decision for each student in the level", $GLOBALS['babAddonFolder'])." ".$level_name." ".bab_translate("and validate.", $GLOBALS['babAddonFolder'])));
				$this->nickname_label = undecode_html(bab_translate("Nickname", $GLOBALS['babAddonFolder']));
				$this->firstname_label = undecode_html(bab_translate("Firstname", $GLOBALS['babAddonFolder']));
				$this->lastname_label = undecode_html(bab_translate("Lastname", $GLOBALS['babAddonFolder']));
				$this->next_code_op = "S252";
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));

				$this->end_label = undecode_html(bab_translate("End of cycle or abandonment", $GLOBALS['babAddonFolder']));
				$this->upper_level_label = undecode_html(bab_translate("Upper level", $GLOBALS['babAddonFolder']));
				$this->same_level_label = undecode_html(bab_translate("Same level", $GLOBALS['babAddonFolder']));
				$this->escape_label = undecode_html(bab_translate("Abandonment", $GLOBALS['babAddonFolder']));
				$this->bgcolor = true;
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("There is no student found in this level!", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = "S2";
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->students_number)
			{
				$temp = $babDB->db_fetch_array($this->res);
				$this->id_user = $temp['id_user'];
				$this->lastname = $temp['lastname'];
				$this->firstname = $temp['firstname'];
				$this->nickname = $temp['nickname'];
				$this->bgcolor = !$this->bgcolor;
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayAnnualOperationInTechniciansCoursesFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "promotion_orientation_form"));
}

function displayAnnualOperationInTechniciansCoursesSelect()
{
	global $babBody;
	class displayAnnualOperationInTechniciansCoursesSelectClass
	{
		function displayAnnualOperationInTechniciansCoursesSelectClass()
		{
			global $babBody;
			global $babDB;
			$this->idx = bab_pp('idx', '');
			$this->type = "STS";
			$this->learners_label = bab_translate("students", $GLOBALS['babAddonFolder']);
			$this->id_type_group = FindGroupIdFromName($this->type, BAB_REGISTERED_GROUP);
			$this->res = $babDB->db_query("
			SELECT
			`bab_dg_groups`.`name` AS `delegation_name`,
			`bab_dg_groups`.`id`,
			`bab_groups1`.`name` AS `delegated_group_name`,
			`bab_groups1`.`id`,
			`bab_groups2`.`name`,
			`bab_groups2`.`id` AS `id_elv_group`,
			SUBSTRING(`bab_groups2`.`name` FROM CHAR_LENGTH(`bab_groups1`.`name`) + 1 FOR CHAR_LENGTH(`bab_groups2`.`name`) - CHAR_LENGTH(`bab_groups1`.`name`) - CHAR_LENGTH('".STUDENTS_GROUP_SUFFIX."')) AS `year`
			FROM
			`bab_dg_groups`,
			`bab_groups` AS `bab_groups1`,
			`bab_groups` AS `bab_groups2`
			WHERE
			(`bab_dg_groups`.`id_group` = `bab_groups1`.`id`)
			AND
			(`bab_groups1`.`id_parent` = '".$this->id_type_group."')
			AND
			(`bab_groups2`.`name` LIKE '%".STUDENTS_GROUP_SUFFIX."')
			AND
			(`bab_groups2`.`id_parent` = `bab_groups1`.`id`)
			ORDER BY
			`bab_dg_groups`.`name` ASC,
			`bab_groups2`.`name` DESC
			");
			$this->count = $babDB->db_num_rows($this->res);
			if ($this->count > 0)
			{
				$babBody->addError(undecode_html(bab_translate("Select a course and a level in the list", $GLOBALS['babAddonFolder'])));
				$this->choice_label = undecode_html(bab_translate("Choice", $GLOBALS['babAddonFolder']));
				$this->next_code_op = "S251";
				$this->validate_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
				$this->error_message = undecode_html(bab_translate("ERROR ! You must select a course and a level.", $GLOBALS['babAddonFolder']));
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No found course", $GLOBALS['babAddonFolder'])));
				$this->error_label = undecode_html(bab_translate("Critical error", $GLOBALS['babAddonFolder']));
				$this->message_label = undecode_html(bab_translate("You must before have created sections", $GLOBALS['babAddonFolder']));
				$this->next_code_op = "S2";
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$temp = $babDB->db_fetch_array($this->res);
				$this->id_elv_group = $temp['id_elv_group'];
				$this->delegation_name = $temp['delegation_name'];
				if (empty($temp['year']))
				{
					$this->year = "";
				}
				else
				{
					$this->year = "- ".ordinal($temp['year'])." ".undecode_html(bab_translate("year", $GLOBALS['babAddonFolder']));
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayAnnualOperationInTechniciansCoursesSelectClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "promotion_select_form"));
}


function actionAnnualOrientationForm()
{
	global $babBody;
	require_once($GLOBALS['babInstallPath'].'utilit/calincl.php');
	require_once($GLOBALS['babInstallPath'].'utilit/delincl.php');
	class actionAnnualOrientationFormClass
	{
		function actionAnnualOrientationFormClass()
		{
			$this->idx = bab_pp('idx', '');
			$this->type = bab_pp('type', '');
			$this->current_year_id_elv_group = bab_pp('current_year_id_elv_group', '');
			$current_elv_group_name = bab_getGroupName($this->current_year_id_elv_group, false);
			$this->id_delegated_group = FindParentIdGroupFromId($this->current_year_id_elv_group);
			$delegated_group_name = bab_getGroupName($this->id_delegated_group, false);
			$current_year = mb_substr($current_elv_group_name, mb_strlen($delegated_group_name), mb_strlen($current_elv_group_name) - mb_strlen($delegated_group_name) -mb_strlen(STUDENTS_GROUP_SUFFIX));
			
			if (empty($current_year))
			{
				$this->current_group_name = $delegated_group_name;
			}
			else
			{
				$this->current_group_name = $delegated_group_name." ".ordinal($current_year)." ".bab_translate("year", $GLOBALS['babAddonFolder']);
				$next_year = $current_year + 1;
				$this->next_group_name = $delegated_group_name." ".ordinal($next_year)." ".bab_translate("year", $GLOBALS['babAddonFolder']);
				$current_prof_group_name = $delegated_group_name.$current_year.TEACHERS_GROUP_SUFFIX;
				$this->current_prof_group_id = FindGroupIdFromName($current_prof_group_name, $this->id_delegated_group);
				$next_prof_group_name = $delegated_group_name.$next_year.TEACHERS_GROUP_SUFFIX;
				$this->next_prof_group_id = FindGroupIdFromName($next_prof_group_name, $this->id_delegated_group);
			}
			$this->students_number = bab_pp('students_number', 0);
			$this->nickname_label = undecode_html(bab_translate("Nickname", $GLOBALS['babAddonFolder']));
			$this->firstname_label = undecode_html(bab_translate("Firstname", $GLOBALS['babAddonFolder']));
			$this->lastname_label = undecode_html(bab_translate("Lastname", $GLOBALS['babAddonFolder']));
			$this->orientation_label = undecode_html(bab_translate("Orientation decision", $GLOBALS['babAddonFolder']));
			$this->next_code_op = "S2";
			$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->bgcolor = true;
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->students_number)
			{
				$id_user = bab_pp('id_user'.$k, 0);
				$this->name = bab_getUserName($id_user);
				$this->nickname = bab_getUserNickname($id_user);
				$this->next_id_group = bab_pp('next_id_group'.$k, '');
				// Recherches des ventuels groupe personnel et dossier personnel partag de l'utilisateur
				list($personal_group_id, $personal_shared_folder_id) = is_existing_personal_group_and_personal_shared_folder($id_user, $this->id_delegated_group);
				
				switch ($this->next_id_group)
				{
					case "NULL":
						$this->orientation = bab_translate("Abandonment: the account is desactivated.", $GLOBALS['babAddonFolder']);
						// Suppression de l'utilisateur des groupes dont il tait membre
						$groups = bab_getUserGroups($id_user);
						foreach ($groups['id'] as $id_group)
						{
							bab_detachUserFromGroup($id_user, $id_group);

						}
						// Suppression de l'agenda personnel
						$res = $babDB->db_query("
						SELECT
						`id`
						FROM
						`bab_calendar`
						WHERE
						(`owner` = '".$babDB->db_escape_string($id_user)."')
						AND
						(`type` = '".BAB_CAL_USER_TYPE."')
						");
						while($arr = $babDB->db_fetch_array($res))
						{
							bab_deleteCalendar($arr['id']);
						}
						// Suppression des contacts de l'utilisateur
						$res = $babDB->db_query("
						DELETE FROM
						`bab_contacts`
						WHERE
						`owner` = '".$babDB->db_escape_string($id_user)."'
						");
						// Suppression des brouillons ainsi que des fichiers et des notes attaches
						$res = $babDB->db_query("
						SELECT
						`id`
						FROM
						`bab_art_drafts`
						WHERE
						`id_author` = '".$babDB->db_escape_string($id_user)."'
						");
						while($arr = $babDB->db_fetch_array($res))
						{
							bab_deleteDraft($arr['id']);
						}
						// Dsactivation du compte d'utilisateur
						$res = $babDB->db_query("
						UPDATE
						`bab_users`
						SET
						`disabled` = '1'
						WHERE
						`id` = '".$babDB->db_escape_string($id_user)."'
						");
						// Suppression ventuelle du groupe personnel partag
						if (!is_null($personal_group_id)) bab_removeGroup($personal_group_id);
						// Suppression ventuelle du rpertoire personnel partag
						if (!is_null($personal_shared_folder_id)) bab_deleteFolder($personal_shared_folder_id);
						break;
						
					case $this->current_year_id_elv_group:
						if ($this->type == 'STS') 
						{
							$this->orientation = undecode_html(bab_translate("Same level: the account is maintened in the students group of", $GLOBALS['babAddonFolder']))." ".$this->current_group_name;
						}
						else
						{
							$this->orientation = undecode_html(bab_translate("Same level: the account is maintened in the pupils group of", $GLOBALS['babAddonFolder']))." ".$this->current_group_name;
						}
						break;
					
					case $this->next_id_group:
					default :
						if ($this->type == 'STS') 
						{
							$this->orientation = undecode_html(bab_translate("Upper level: the account in placed in the students group of", $GLOBALS['babAddonFolder']))." ".$this->next_group_name;
						}
						else
						{
							$this->orientation = undecode_html(bab_translate("Upper level: the account in placed in the pupils group of", $GLOBALS['babAddonFolder']))." ".$this->next_group_name;
						}
						bab_detachUserFromGroup($id_user, $this->current_year_id_elv_group);
						bab_attachUserToGroup($id_user, $this->next_id_group);
						// Transfert des droits pour les enseignants sur l'ventuel rpertoire personnel partag
						if (!is_null($personal_shared_folder_id))
						{
							transfert_right_on_folder($personal_shared_folder_id, 'upload', $babDB->db_escape_string($this->current_prof_group_id), $babDB->db_escape_string($this->next_prof_group_id));  
							transfert_right_on_folder($personal_shared_folder_id, 'download', $babDB->db_escape_string($this->current_prof_group_id), $babDB->db_escape_string($this->next_prof_group_id));  
							transfert_right_on_folder($personal_shared_folder_id, 'update', $babDB->db_escape_string($this->current_prof_group_id), $babDB->db_escape_string($this->next_prof_group_id));  
							transfert_right_on_folder($personal_shared_folder_id, 'manage', $babDB->db_escape_string($this->current_prof_group_id), $babDB->db_escape_string($this->next_prof_group_id));  
							transfert_right_on_folder($personal_shared_folder_id, 'notify', $babDB->db_escape_string($this->current_prof_group_id), $babDB->db_escape_string($this->next_prof_group_id));  
						}
						break;
				}
				$this->bgcolor = !$this->bgcolor;
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionAnnualOrientationFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "promotion_orientation_report"));
}

function displayAnnualOperationInProfessionalSchoolForm()
{
	global $babBody;
	class displayAnnualOperationInProfessionalSchoolFormClass
	{

		function displayAnnualOperationInProfessionalSchoolFormClass()
		{
			global $babDB;
			global $babBody;
			$this->idx = bab_pp('idx', '');
			$this->type = bab_pp('type', '');
			$id_elv_group = bab_pp('id_elv_group', '');
			$elv_group_name = bab_getGroupName($id_elv_group, false);
			$id_delegated_group = FindParentIdGroupFromId($id_elv_group);
			$this->delegated_group_name = bab_getGroupName($id_delegated_group, false);
			$year = mb_substr($elv_group_name, mb_strlen($this->delegated_group_name), mb_strlen($elv_group_name) - mb_strlen($this->delegated_group_name) -mb_strlen(STUDENTS_GROUP_SUFFIX));
			$level_name = $this->delegated_group_name;
			if (!empty($year))  $level_name .= " - ".ordinal($year)." ".bab_translate("year", $GLOBALS['babAddonFolder']);
			$res = $babDB->db_query("
			SELECT
			`id`
			FROM
			`bab_groups`
			WHERE
			(`id_parent` = '".$babDB->db_escape_string($id_delegated_group)."')
			AND
			( UPPER(`name`) = UPPER('".$babDB->db_escape_string($this->delegated_group_name.($year + 1).STUDENTS_GROUP_SUFFIX)."') )
			");
			$this->terminal_year = false;
			if ($babDB->db_num_rows($res) === 0)
			{
				$this->terminal_year = true;
				$this->next_year_id_elv_group = "NULL";
				$this->current_year_id_elv_group = $id_elv_group;
			}
			else
			{
				$temp = $babDB->db_fetch_array($res);
				$this->next_year_id_elv_group = $temp['id'];
				$this->current_year_id_elv_group = $id_elv_group;
			}
			$this->res = $babDB->db_query("
			SELECT
			`bab_users`.`id` AS `id_user`,
			`nickname`,
			`lastname`,
			`firstname`
			FROM
			`bab_users`,
			`bab_users_groups`
			WHERE
			(`bab_users`.`id` = `id_object`)
			AND
			(`id_group` = '".$babDB->db_escape_string($id_elv_group)."')
			ORDER BY
			`lastname` ASC,
			`firstname` ASC
			");
			$this->students_number = $babDB->db_num_rows($this->res);
			if ($this->students_number > 0)
			{
				$babBody->addError(undecode_html(bab_translate("Select the end year decision for each pupil in the level", $GLOBALS['babAddonFolder'])." ".$level_name." ".bab_translate("and validate.", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = "S232";
				$this->nickname_label = undecode_html(bab_translate("Nickname", $GLOBALS['babAddonFolder']));
				$this->firstname_label = undecode_html(bab_translate("Firstname", $GLOBALS['babAddonFolder']));
				$this->lastname_label = undecode_html(bab_translate("Lastname", $GLOBALS['babAddonFolder']));
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));

				$this->end_label = undecode_html(bab_translate("End of cycle or abandonment", $GLOBALS['babAddonFolder']));
				$this->upper_level_label = undecode_html(bab_translate("Upper level", $GLOBALS['babAddonFolder']));
				$this->same_level_label = undecode_html(bab_translate("Same level", $GLOBALS['babAddonFolder']));
				$this->escape_label = undecode_html(bab_translate("Abandonment", $GLOBALS['babAddonFolder']));
				$this->bgcolor = true;
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("There is no pupil found in this level!", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = "S2";
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
			
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->students_number)
			{
				$temp = $babDB->db_fetch_array($this->res);
				$this->id_user = $temp['id_user'];
				$this->lastname = $temp['lastname'];
				$this->firstname = $temp['firstname'];
				$this->nickname = $temp['nickname'];
				$this->bgcolor = !$this->bgcolor;
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayAnnualOperationInProfessionalSchoolFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "promotion_orientation_form"));
}
function displayAnnualOperationInProfessionalSchoolSelect()
{
	global $babBody;
	class displayAnnualOperationInProfessionalSchoolSelectClass
	{

		function displayAnnualOperationInProfessionalSchoolSelectClass()
		{
			global $babBody;
			global $babDB;
			$this->idx = bab_pp('idx', '');
			$this->type = "LP";
			$this->learners_label = bab_translate("lves", $GLOBALS['babAddonFolder']);
			$this->id_type_group = FindGroupIdFromName($this->type, BAB_REGISTERED_GROUP);
			$this->res = $babDB->db_query("
			SELECT
			`bab_dg_groups`.`name` AS `delegation_name`,
			`bab_dg_groups`.`id`,
			`bab_groups1`.`name` AS `delegated_group_name`,
			`bab_groups1`.`id`,
			`bab_groups2`.`name`,
			`bab_groups2`.`id` AS `id_elv_group`,
			SUBSTRING(`bab_groups2`.`name` FROM CHAR_LENGTH(`bab_groups1`.`name`) + 1 FOR CHAR_LENGTH(`bab_groups2`.`name`) - CHAR_LENGTH(`bab_groups1`.`name`) - CHAR_LENGTH('".STUDENTS_GROUP_SUFFIX."')) AS `year`
			FROM
			`bab_dg_groups`,
			`bab_groups` AS `bab_groups1`,
			`bab_groups` AS `bab_groups2`
			WHERE
			(`bab_dg_groups`.`id_group` = `bab_groups1`.`id`)
			AND
			(`bab_groups1`.`id_parent` = '".$this->id_type_group."')
			AND
			(`bab_groups2`.`name` LIKE '%".STUDENTS_GROUP_SUFFIX."')
			AND
			(`bab_groups2`.`id_parent` = `bab_groups1`.`id`)
			ORDER BY
			`bab_dg_groups`.`name` ASC,
			`bab_groups2`.`name` DESC
			");
			$this->count = $babDB->db_num_rows($this->res);
			if ($this->count > 0)
			{
				$babBody->addError(undecode_html(bab_translate("Select a course and a level in the list", $GLOBALS['babAddonFolder'])));
				$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
				$this->choice_label = undecode_html(bab_translate("Choice", $GLOBALS['babAddonFolder']));
				$this->next_code_op = "S231";
				$this->validate_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
				$this->error_message = undecode_html(bab_translate("ERROR ! You must select a course and a level.", $GLOBALS['babAddonFolder']));
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No found course", $GLOBALS['babAddonFolder'])));
				$this->error_label = undecode_html(bab_translate("Critical error", $GLOBALS['babAddonFolder']));
				$this->message_label = undecode_html(bab_translate("You must before have created sections", $GLOBALS['babAddonFolder']));
				$this->next_code_op = "S2";
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$temp = $babDB->db_fetch_array($this->res);
				$this->id_elv_group = $temp['id_elv_group'];
				$this->delegation_name = $temp['delegation_name'];
				if (empty($temp['year']))
				{
					$this->year = "";
				}
				else
				{
					$this->year = " - ".ordinal($temp['year'])." ".undecode_html(bab_translate("year", $GLOBALS['babAddonFolder']));
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayAnnualOperationInProfessionalSchoolSelectClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "promotion_select_form"));
}

function displayAnnualCreationInTechniciansSectionsForm()
{
	global $babBody;

	class displayAnnualCreationInTechniciansSectionsFormClass
	{

		function displayAnnualCreationInTechniciansSectionsFormClass()
		{
			global $babDB;
			$this->idx = bab_pp('idx', '');
			$this->type = bab_pp('type', '');
			$this->id_type_group = bab_pp('id_type_group', '');
			$this->count = LEVELS_NUMBERS;
			$res = $babDB->db_query("
			SELECT
			`bab_dg_groups`.`name` AS `delegation_name`,
			`bab_groups1`.`id` AS `id_delegated_group`,
			`bab_groups2`.`id` AS `id_elv_group`,
			SUBSTRING(`bab_groups2`.`name` FROM CHAR_LENGTH(`bab_groups1`.`name`) + 1 FOR CHAR_LENGTH(`bab_groups2`.`name`) - CHAR_LENGTH(`bab_groups1`.`name`) - 3) AS `year`
			FROM `bab_dg_groups`,
			`bab_groups` AS `bab_groups1`,
			`bab_groups` AS `bab_groups2`
			WHERE
			(`bab_dg_groups`.`id_group` = `bab_groups1`.`id`)
			AND
			(`bab_groups1`.`id_parent` = '".$this->id_type_group."')
			AND
			(`bab_groups2`.`name` LIKE '%Elv')
			AND
			(`bab_groups2`.`id_parent` = `bab_groups1`.`id`)
			ORDER BY
			`bab_dg_groups`.`name` ASC,
			`bab_groups2`.`name` ASC
			");
			$this->options_list = "<option value=''>".bab_translate("Choice", $GLOBALS['babAddonFolder'])."</option>";
			while($arr = $babDB->db_fetch_array($res))
			{
				if (empty($arr['year']))
				{
					$this->options_list .= "<option value=\"".$arr['id_elv_group']."\">".$arr['delegation_name']."</option>\r\n";
				}
				else
				{
					$this->options_list .= "<option value=\"".$arr['id_elv_group']."\">".$arr['delegation_name']." ".ordinal($arr['year'])." ".bab_translate("year", $GLOBALS['babAddonFolder'])."</option>\r\n";
				}
			}
			$this->class_name_label = undecode_html(bab_translate("Promotion", $GLOBALS['babAddonFolder'])) ;
			$this->pupils_number_label = undecode_html(bab_translate("Number of students", $GLOBALS['babAddonFolder']));
			$this->waiting_accounts_number_label = undecode_html(bab_translate("Waiting accounts", $GLOBALS['babAddonFolder'])) ;
			$this->waiting_accounts_default_value = WAITING_ACCOUNTS_NUMBER_DEFAULT;
			$this->level_label = undecode_html(bab_translate("Course/year", $GLOBALS['babAddonFolder'])) ;
			$this->next_code_op = "S262";
			$this->next_step_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder'])) ;
			$this->empty_students_field_label = undecode_html(bab_translate("The field for the number of students is empty", $GLOBALS['babAddonFolder']));
			$this->non_integer_students_field_label = undecode_html(bab_translate("The field for the number of students is not an integer", $GLOBALS['babAddonFolder']));
			$this->non_integer_waiting_accounts_label = undecode_html(bab_translate("The field for the number of waiting accounts is not an integer", $GLOBALS['babAddonFolder']));
			$this->number_of_accounts_is_nul_label = undecode_html(bab_translate("The total number of accounts to create is nul", $GLOBALS['babAddonFolder']));
			$this->too_much_accounts_label = undecode_html(bab_translate("The total number of accounts to create is bigger than 99", $GLOBALS['babAddonFolder']));
			$this->level_is_not_defined_label = undecode_html(bab_translate("No defined level for the promotion", $GLOBALS['babAddonFolder']));
			$this->errors_label = undecode_html(bab_translate("Error for the promotion", $GLOBALS['babAddonFolder']));
			$this->bgcolor = true;

		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayAnnualCreationInTechniciansSectionsFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "new_promotions_form"));
}

function displayAnnualCreationInTechniciansSectionsWarning()
{
	global $babBody;

	class displayAnnualCreationInTechniciansSectionsWarningClass
	{

		function displayAnnualCreationInTechniciansSectionsWarningClass()
		{
			global $babBody;
			global $babDB;
			$this->type = 'STS';
			$this->id_type_group = FindGroupIdFromName($this->type, BAB_REGISTERED_GROUP);
			$res = $babDB->db_query("
			SELECT
			`bab_dg_groups`.`id`
			FROM
			`bab_dg_groups`,
			`bab_groups`
			WHERE
			(`id_group` = `bab_groups`.`id`)
			AND
			(`id_parent` = '".$babDB->db_escape_string($this->id_type_group)."')			
			");
			$this->count = $babDB->db_num_rows($res);
			if ($this->count > 0)
			{
				$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
				$babBody->addError(undecode_html(bab_translate("Click on Next step button to continue", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = 'S261';
				$this->validate_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));			
			}
			else
			{
				$this->error_label = undecode_html(bab_translate("Critical error", $GLOBALS['babAddonFolder']));
				$this->message_label = undecode_html(bab_translate("You must before have created sections", $GLOBALS['babAddonFolder']));
				$babBody->addError(undecode_html(bab_translate("No found course", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = 'S2';
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
		}
	}
	$obj= new displayAnnualCreationInTechniciansSectionsWarningClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "new_promotions_in_technicians_sections_warning"));
}

function actionCreatePromotionForm()
{
	global $babBody;

	class actionCreatePromotionFormClass
	{

		function actionCreatePromotionFormClass()
		{
			global $babDB;
			$this->idx = bab_pp('idx', '');
			$this->type = bab_pp('type', '');
			$this->password1 = bab_pp('password1', '');
			$this->password3 = bab_pp('password3', '');
			$this->class_name_array = bab_pp('class_name', array());
			$this->students_number_array = bab_pp('students_number', array());
			$this->waiting_accounts_number_array = bab_pp('waiting_accounts_number', array());
			$this->id_elv_group_array = bab_pp('id_elv_group', array());
			$this->creation_promotion_label = undecode_html(bab_translate("Creation of the promotion", $GLOBALS['babAddonFolder']));
			$this->inside_level_label = undecode_html(bab_translate("inside the level", $GLOBALS['babAddonFolder']));
			$this->creation_of_label = undecode_html(bab_translate("Creation of", $GLOBALS['babAddonFolder']));
			$this->to_label = undecode_html(bab_translate("to", $GLOBALS['babAddonFolder']));
			$this->password_label = undecode_html(bab_translate("The default password is", $GLOBALS['babAddonFolder']));
			$this->previous_code_op = "S2";
			$this->previous_menu_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->bgcolor = true;
			$this->count = LEVELS_NUMBERS;
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->creation_flag = false;
				$this->class_name = $this->class_name_array[$k];
				if (!empty($this->class_name))
				{
					$this->bgcolor = !$this->bgcolor;
					$this->creation_flag = true;
					$this->students_number = $this->students_number_array[$k];
					$this->waiting_accounts_number = $this->waiting_accounts_number_array[$k];
					$this->id_elv_group = $this->id_elv_group_array[$k];
					$this->elv_group_name = bab_getGroupName($this->id_elv_group, false);
					$this->id_delegated_group = FindParentIdGroupFromId($this->id_elv_group);
					$this->delegated_group_name = bab_getGroupName($this->id_delegated_group, false);
					$this->id_type_group = FindParentIdGroupFromId($this->id_delegated_group);
					$this->id_type_elv_group = FindGroupIdFromName($this->type.STUDENTS_GROUP_SUFFIX, STUDENTS_GROUP_ID);
					$this->year = mb_substr($this->elv_group_name, mb_strlen($this->delegated_group_name), mb_strlen($this->elv_group_name) - mb_strlen($this->delegated_group_name) - mb_strlen(STUDENTS_GROUP_SUFFIX));
					if (!empty($this->year)) $this->year = ordinal($this->year)." ".bab_translate("year", $GLOBALS['babAddonFolder']);
					
					if ( empty($this->students_number) || ($this->students_number == 0) )
					{
						$this->students_number = 0;
					}
					if ( empty($this->waiting_accounts_number) || ($this->waiting_accounts_number == 0) )
					{
						$this->waiting_accounts_number = 0;
					}
					// Test de la prexistance des comptes
					$this->is_existing_class = false;
					for ($i = 0; $i < $this->students_number + $this->waiting_accounts_number; $i++)
					{
						if ($i < 10) $nickname = $this->class_name."0".$i; else $nickname =$this->class_name.$i;
						$nickname = str_replace(" ", "", mb_strtolower($nickname));
						if (bab_getUserIdByNickname($nickname) != 0) $this->is_existing_class = true;
					}
						
					// Cration des comptes des lves de la classe
					if ($this->is_existing_class)
					{
						$this->no_creation_label  = undecode_html(bab_translate("Existing promotion", $GLOBALS['babAddonFolder']));
					}
					else
					{
						$bgcolor = true;
						$this->creation_report = "";
						if ($this->students_number > 0)
						{
							$j = 0;
							while ($j < $this->students_number)
							{
								if ($j < 9) $nickname = $this->class_name."0".($j + 1); else $nickname = $this->class_name.($j + 1);
								$nickname = str_replace(" ", "", mb_strtolower($nickname));
								if (bab_getUserIdByNickname($nickname) == 0)
								{
									$firstname = "a_saisir";
									$lastname = $nickname;
									$middlename = "";
									$email = DEFAULT_MAIL;
									$password1 = $this->password1;
									$password2 = $password1;
									$confirmed = true;
									$bgroup = true;
									$id_user = bab_registerUser($firstname, $lastname, $middlename, $email, $nickname, $password1, $password2, $confirmed, $error, $bgroup);
									if ($id_user > 0)
									{
										$info = bab_getUserInfos($id_user);
										$info['cn'] = $nickname;
										$error = "";
										bab_updateUserById($id_user, $info, $error); 
										bab_attachUserToGroup($id_user, STUDENTS_GROUP_ID);
										bab_attachUserToGroup($id_user, $this->id_type_elv_group);
										bab_attachUserToGroup($id_user, $this->id_type_group);
										bab_attachUserToGroup($id_user, $this->id_delegated_group);
										bab_attachUserToGroup($id_user, $this->id_elv_group);
										$bgcolor = !$bgcolor;
										if ($bgcolor) $this->creation_report .= "<tr class=\"BabMonthCalendarCurentDayBackground\">\r\n"; else $this->creation_report .= "<tr>\r\n";
										if (mb_strtoupper($this->type) == 'LP')
										{
											$this->creation_report .= "<td>".undecode_html(bab_translate("Creation of the account with nickname", $GLOBALS['babAddonFolder']))." <b>".$nickname."</b> ".undecode_html(bab_translate("and password", $GLOBALS['babAddonFolder'])." <b>".$password1."</b> ".undecode_html(bab_translate("inside the group of pupils of", $GLOBALS['babAddonFolder'])))." ".$this->delegated_group_name." ".$this->year."</td>\r\n";
										}
										else
										{
											$this->creation_report .= "<td>".undecode_html(bab_translate("Creation of the account with nickname", $GLOBALS['babAddonFolder']))." <b>".$nickname."</b> ".undecode_html(bab_translate("and password", $GLOBALS['babAddonFolder']))." <b>".$password1."</b> ".undecode_html(bab_translate("inside the group of students of", $GLOBALS['babAddonFolder']))." ".$this->delegated_group_name." ".$this->year."</td>\r\n";
										}
										$this->creation_report .= "<tr>";
									}
								}
								$j++;
							}
						}
						if ($this->waiting_accounts_number > 0)
						{
							$j = $this->students_number;
							while ($j < $this->students_number + $this->waiting_accounts_number)
							{
								if ($j < 9) $nickname = $this->class_name."0".($j + 1); else $nickname = $this->class_name.($j + 1);
								$nickname = str_replace(" ", "", mb_strtolower($nickname));
								if (bab_getUserIdByNickname($nickname) == 0)
								{
									$firstname = "a_saisir";
									$lastname = $nickname;
									$middlename = "";
									$email = DEFAULT_MAIL;
									$password1 = $this->password3;
									$password2 = $password1;
									$confirmed = true;
									$bgroup = true;
									$id_user = bab_registerUser($firstname, $lastname, $middlename, $email, $nickname, $password1, $password2, $confirmed, $error, $bgroup);
									if ($id_user > 0)
									{
										$info = bab_getUserInfos($id_user);
										$info['cn'] = $nickname;
										$error = "";
										bab_updateUserById($id_user, $info, $error); 
										bab_attachUserToGroup($id_user, STUDENTS_GROUP_ID);
										bab_attachUserToGroup($id_user, $this->id_type_elv_group);
										bab_attachUserToGroup($id_user, $this->id_type_group);
										bab_attachUserToGroup($id_user, $this->id_delegated_group);
										bab_attachUserToGroup($id_user, $this->id_elv_group);
										$bgcolor = !$bgcolor;
										if ($bgcolor) $this->creation_report .= "<tr class=\"BabMonthCalendarCurentDayBackground\">\r\n"; else $this->creation_report .= "<tr>\r\n";
										if (mb_strtoupper($this->type) == 'LP')
										{
											$this->creation_report .= "<td>".undecode_html(bab_translate("Creation of the account with nickname", $GLOBALS['babAddonFolder']))." <b>".$nickname."</b> ".undecode_html(bab_translate("and password", $GLOBALS['babAddonFolder']))." <b>".$password1."</b> ".undecode_html(bab_translate("inside the group of pupils of", $GLOBALS['babAddonFolder']))." ".$this->delegated_group_name." ".$this->year."</td>\r\n";
										}
										else
										{
											$this->creation_report .= "<td>".undecode_html(bab_translate("Creation of the account with nickname", $GLOBALS['babAddonFolder']))." <b>".$nickname."</b> ".undecode_html(bab_translate("and password", $GLOBALS['babAddonFolder']))." <b>".$password1."</b> ".undecode_html(bab_translate("inside the group of students of", $GLOBALS['babAddonFolder']))." ".$this->delegated_group_name." ".$this->year."</td>\r\n";
										}
										$this->creation_report .= "<tr>";
									}
								}
								$j++;
							}
						}
					}
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionCreatePromotionFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "promotion_creation_report"));
}

function displayAnnualCreationInProfessionalSchoolForm()
{
	global $babBody;

	class displayAnnualCreationInProfessionalSchoolFormClass
	{

		function displayAnnualCreationInProfessionalSchoolFormClass()
		{
			global $babDB;
			$this->idx = bab_pp('idx', '');
			$this->type = bab_pp('type', '');
			$this->id_type_group = bab_pp('id_type_group', '');
			$this->count = LEVELS_NUMBERS;
			$res = $babDB->db_query("
			SELECT
			`bab_dg_groups`.`name` AS `delegation_name`,
			`bab_groups1`.`id` AS `id_delegated_group`,
			`bab_groups2`.`id` AS `id_elv_group`,
			SUBSTRING(`bab_groups2`.`name` FROM CHAR_LENGTH(`bab_groups1`.`name`) + 1 FOR CHAR_LENGTH(`bab_groups2`.`name`) - CHAR_LENGTH(`bab_groups1`.`name`) - CHAR_LENGTH('".STUDENTS_GROUP_SUFFIX."')) AS `year`
			FROM `bab_dg_groups`,
			`bab_groups` AS `bab_groups1`,
			`bab_groups` AS `bab_groups2`
			WHERE
			(`bab_dg_groups`.`id_group` = `bab_groups1`.`id`)
			AND
			(`bab_groups1`.`id_parent` = '".$this->id_type_group."')
			AND
			(`bab_groups2`.`name` LIKE '%".STUDENTS_GROUP_SUFFIX."')
			AND
			(`bab_groups2`.`id_parent` = `bab_groups1`.`id`)
			ORDER BY
			`bab_dg_groups`.`name` ASC,
			`bab_groups2`.`name` ASC
			");
			$this->options_list = "<option value=''>".bab_translate("Choice", $GLOBALS['babAddonFolder'])."</option>";
			while($arr = $babDB->db_fetch_array($res))
			{
				if (empty($arr['year']))
				{
					$this->options_list .= "<option value=\"".$arr['id_elv_group']."\">".$arr['delegation_name']."</option>\r\n";
				}
				else
				{
					$this->options_list .= "<option value=\"".$arr['id_elv_group']."\">".$arr['delegation_name']." ".ordinal($arr['year'])." ".bab_translate("year", $GLOBALS['babAddonFolder'])."</option>\r\n";
				}
			}
			$this->class_name_label = undecode_html(bab_translate("Promotion", $GLOBALS['babAddonFolder'])) ;
			$this->pupils_number_label = undecode_html(bab_translate("Number of pupils", $GLOBALS['babAddonFolder']));
			$this->waiting_accounts_number_label = undecode_html(bab_translate("Waiting accounts", $GLOBALS['babAddonFolder'])) ;
			$this->waiting_accounts_default_value = WAITING_ACCOUNTS_NUMBER_DEFAULT;
			$this->level_label = undecode_html(bab_translate("Course/year", $GLOBALS['babAddonFolder'])) ;
			$this->next_code_op = "S242";
			$this->next_step_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder'])) ;
			$this->empty_students_field_label = undecode_html(bab_translate("The field for the number of pupils is empty", $GLOBALS['babAddonFolder']));
			$this->non_integer_students_field_label = undecode_html(bab_translate("The field for the number of pupils is not an integer", $GLOBALS['babAddonFolder']));
			$this->non_integer_waiting_accounts_label = undecode_html(bab_translate("The field for the number of waiting accounts is not an integer", $GLOBALS['babAddonFolder']));
			$this->number_of_accounts_is_nul_label = undecode_html(bab_translate("The total number of accounts to create is nul", $GLOBALS['babAddonFolder']));
			$this->too_much_accounts_label = undecode_html(bab_translate("The total number of accounts to create is bigger than 99", $GLOBALS['babAddonFolder']));
			$this->level_is_not_defined_label = undecode_html(bab_translate("No defined level for the promotion", $GLOBALS['babAddonFolder']));
			$this->errors_label = undecode_html(bab_translate("Error for the promotion", $GLOBALS['babAddonFolder']));
			$this->bgcolor = true;

		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayAnnualCreationInProfessionalSchoolFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "new_promotions_form"));
}

function displayAnnualCreationInProfessionalSchoolWarning()
{
	global $babBody;

	class displayAnnualCreationInProfessionalSchoolWarningClass
	{

		function displayAnnualCreationInProfessionalSchoolWarningClass()
		{
			global $babBody;
			global $babDB;
			$this->type = 'LP';
			$this->id_type_group = FindGroupIdFromName($this->type, BAB_REGISTERED_GROUP);
			$res = $babDB->db_query("
			SELECT
			`bab_dg_groups`.`id`
			FROM
			`bab_dg_groups`,
			`bab_groups`
			WHERE
			(`id_group` = `bab_groups`.`id`)
			AND
			(`id_parent` = '".$babDB->db_escape_string($this->id_type_group)."')			
			");
			$this->count = $babDB->db_num_rows($res);
			if ($this->count > 0)
			{
				$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
				$babBody->addError(undecode_html(bab_translate("Click on Next step button to continue", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = 'S241';
				$this->validate_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));			
			}
			else
			{
				$this->error_label = undecode_html(bab_translate("Critical error", $GLOBALS['babAddonFolder']));
				$this->message_label = undecode_html(bab_translate("You must before have created sections", $GLOBALS['babAddonFolder']));
				$babBody->addError(undecode_html(bab_translate("No found course", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = 'S2';
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
		}
	}
	$obj= new displayAnnualCreationInProfessionalSchoolWarningClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "new_promotions_in_professionnal_school_warning"));
}


function actionAnnualRemovingInHighSchoolForm()
{
	global $babBody;
	require_once ($GLOBALS['babInstallPath'].'utilit/delincl.php');
	require_once ($GLOBALS['babInstallPath'].'utilit/calincl.php');
	require_once ($GLOBALS['babInstallPath'].'utilit/tmIncl.php');

	class actionAnnualRemovingInHighSchoolFormClass
	{

		function actionAnnualRemovingInHighSchoolFormClass()
		{
			global $babBody;
			$this->class_name_array = bab_pp('class_name', array());
			$this->id_delegation_array = bab_pp('id_delegation', array());
			$this->id_elv_group_array = bab_pp('id_elv_group', array());
			$this->id_prof_group_array = bab_pp('id_prof_group', array());
			$this->delete_class_array = bab_pp('delete_class', array());
			$this->deleted_class_count = count($this->delete_class_array);
			if ($this->deleted_class_count > 0)
			{
				$babBody->addError(undecode_html(bab_translate("List of the removed classes", $GLOBALS['babAddonFolder'])));
				$this->classes_name_label = undecode_html(bab_translate("Removed classes", $GLOBALS['babAddonFolder']));
				$this->bgcolor = true;
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No removed class", $GLOBALS['babAddonFolder'])));
			}
			$this->previous_code_op = 'S2';
			$this->previous_menu_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->deleted_class_count)
			{
				$i = $this->delete_class_array[$k];
				$this->bgcolor = !$this->bgcolor;
				$this->class_name = $this->class_name_array[$i];
				$this->id_delegation = $this->id_delegation_array[$i];
				$res = $babDB->db_query("
				SELECT
				`id_group`
				FROM
				`bab_dg_groups`
				WHERE
				`id` = '".$babDB->db_escape_string($this->id_delegation)."'
				");
				$arr = $babDB->db_fetch_array($res);
				$this->id_delegated_group = $arr['id_group'];
				$this->id_elv_group = $this->id_elv_group_array[$i];
				$this->id_prof_group = $this->id_prof_group_array[$i];
				// Suppression des comptes lves
				$students_array = bab_getGroupsMembers($this->id_elv_group);
				$students_number = count($students_array);
				for ($j = 0; $j < $students_number; $j++)
				{
					$students = $students_array[$j];
					$id_user = $students['id'];
					// Gestion ventuelle du groupe personnel et du dossier personnel partag
					list($personal_group_id, $personal_shared_folder_id) = is_existing_personal_group_and_personal_shared_folder($id_user, $this->id_delegated_group);
					// Suppression ventuelle du groupe personnel partag
					if (!is_null($personal_group_id)) bab_removeGroup($personal_group_id);
					// Suppression ventuelle du rpertoire personnel partag
					if (!is_null($personal_shared_folder_id)) bab_deleteFolder($personal_shared_folder_id);
					
					if (!is_null($id_user)) bab_deleteUser($id_user);
				}
				// Suppression du rpertoire de la classe et de ses sous-rpertoires
				$res = $babDB->db_query("
				SELECT
				`id`
				FROM
				`bab_fm_folders`
				WHERE
				(`id_dgowner`='".$babDB->db_escape_string($this->id_delegation)."')
				AND
				(UPPER(`sRelativePath`) LIKE UPPER('".$babDB->db_escape_string($this->class_name."/*")."'))
				");
				while($arr = $babDB->db_fetch_array($res))
				{
					bab_deleteFolder($arr['id']);
				}

				$res = $babDB->db_query("
				SELECT
				`id`
				FROM
				`bab_fm_folders`
				WHERE
				(`id_dgowner`='".$babDB->db_escape_string($this->id_delegation)."')
				AND
				(UPPER(`folder`) = UPPER('".$babDB->db_escape_string($this->class_name)."'))
				");
				while($arr = $babDB->db_fetch_array($res))
				{
					bab_deleteFolder($arr['id']);
				}

				// Suppression du forum de la classe
				$res = $babDB->db_query("
				SELECT
				`id`
				FROM
				`bab_forums`
				WHERE
				(UPPER(`name`) = UPPER('".$babDB->db_escape_string($this->class_name)."'))
				AND
				(`id_dgowner` ='".$babDB->db_escape_string($this->id_delegation)."')
				");
				if ($babDB->db_num_rows($res) > 0)
				{
					$temp = $babDB->db_fetch_array($res);
					$id_forum = $temp['id'];
					bab_deleteForum($id_forum);
				}

				// Suppression des thmes d'articles  l'intrieur de la catgorie de thmes <classe> dans la section <niveau>
				$res = $babDB->db_query("
				SELECT
				`id`
				FROM
				`bab_topics_categories`
				WHERE
				(UPPER(`title`) = UPPER('".$babDB->db_escape_string($this->class_name)."'))
				AND
				(`id_dgowner` ='".$babDB->db_escape_string($this->id_delegation)."')
				");
				if ($babDB->db_num_rows($res) > 0)
				{
					$temp = $babDB->db_fetch_array($res);
					$id_topics_category = $temp['id'];

					$res = $babDB->db_query("
					SELECT
					`id`
					FROM
					`bab_topics`
					WHERE
					`id_cat` = '".$id_topics_category."'
					");
					while($arr = $babDB->db_fetch_array($res))
					{
						bab_deleteTopicCategory($arr['id']);
					}
					bab_deleteTopicCategory($id_topics_category);
				}

				// Suppression de l'agenda collectif commun aux lves et aux enseignants de la classe, de celui des lves et de celui des enseignants de la classe
				$res = $babDB->db_query("
				SELECT
				`bab_calendar`.`id`
				FROM `bab_cal_public`,
				`bab_calendar`
				WHERE
				(
					(UPPER(`name`) = UPPER('".$babDB->db_escape_string($this->class_name)."'))
					OR
					(UPPER(`name`) = UPPER('".$babDB->db_escape_string($this->class_name.STUDENTS_GROUP_SUFFIX)."'))
					OR
					(UPPER(`name`) = UPPER('".$babDB->db_escape_string($this->class_name.TEACHERS_GROUP_SUFFIX)."'))
				)
				AND
				(`id_dgowner` ='".$babDB->db_escape_string($this->id_delegation)."')
				AND
				(`owner` = `bab_cal_public`.`id`)
				AND
				(`type` = '".BAB_CAL_PUB_TYPE."')
				");
				while($arr = $babDB->db_fetch_array($res))
				{
					bab_deleteCalendar($arr['id']);
				}

				// Suppresion des projets dans l'espace de projets de la classe puis de cet espace projet
				$res = $babDB->db_query("
				SELECT
				`id`
				FROM
				`bab_tskmgr_projects_spaces`
				WHERE
				(UPPER(`name`) = UPPER('".$babDB->db_escape_string($this->class_name)."'))
				AND
				(`idDelegation` ='".$babDB->db_escape_string($this->id_delegation)."')
				");
				if ($babDB->db_num_rows($res) > 0)
				{
					$temp = $babDB->db_fetch_array($res);
					$id_projects_space = $temp['id'];

					$res = $babDB->db_query("
					SELECT
					`id`
					FROM
					`bab_tskmgr_projects`
					WHERE
					`idProjectSpace` = '".$babDB->db_escape_string($id_projects_space)."'
					");
					while($arr = $babDB->db_fetch_array($res))
					{
						bab_deleteProject($id_projects_space, $arr['id']);
					}
					bab_deleteProjectSpace($id_projects_space);
				}
				// Suppression du groupe des lves de la classe et de celui des enseignants de la classe
				$res = $babDB->db_query("
				SELECT
				`id`
				FROM
				`bab_groups`
				WHERE
				(`id` = '".$babDB->db_escape_string($this->id_elv_group)."')
				OR
				(`id` = '".$babDB->db_escape_string($this->id_prof_group)."')
				");
				while($arr = $babDB->db_fetch_array($res))
				{
					bab_deleteGroupAclTables($arr['id']);
					bab_deleteGroup($arr['id']);
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionAnnualRemovingInHighSchoolFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "classes_removing_report"));

}

function displayAnnualRemovingInHighSchoolForm()
{
	global $babBody;
	class displayAnnualRemovingInHighSchoolFormClass
	{
		function displayAnnualRemovingInHighSchoolFormClass()
		{
			global $babBody;
			global $babDB;
			$this->type = "LGT";
			$this->count = 0;
			$id_parent_delegated_group = FindGroupIdFromName($this->type, BAB_REGISTERED_GROUP);
			if ($id_parent_delegated_group)
			{
				$this->res = $babDB->db_query("
				SELECT
				`bab_dg_groups`.`name`,
				`bab_dg_groups`.`id`AS `id_delegation`,
				`delegated_group`.`id` ,
				`class_elv_group`.`id` AS `id_elv_group`,
				LEFT(`class_elv_group`.`name`, LENGTH(`class_elv_group`.`name`) - LENGTH('".STUDENTS_GROUP_SUFFIX."')) AS `class_name`,
				`class_prof_group`.`id` AS `id_prof_group`
				FROM
				`bab_groups` AS `delegated_group`,
				`bab_groups` AS `class_elv_group`,
				`bab_groups` AS `class_prof_group`,
				`bab_dg_groups`
				WHERE
				(`delegated_group`.`id_parent` = '".$babDB->db_escape_string($id_parent_delegated_group)."')
				AND
				(`id_group` = `delegated_group`.`id`)
				AND
				(`class_elv_group`.`name` LIKE '%".STUDENTS_GROUP_SUFFIX."')
				AND
				(`class_elv_group`.`name` != CONCAT(`delegated_group`.`name`,'".STUDENTS_GROUP_SUFFIX."'))
				AND
				(`class_elv_group`.`id_parent` = `delegated_group`.`id`)
				AND
				(`class_prof_group`.`name` = CONCAT(LEFT(`class_elv_group`.`name`, LENGTH(`class_elv_group`.`name`) -3),'".TEACHERS_GROUP_SUFFIX."'))
				AND
				(`class_prof_group`.`id_parent` = `delegated_group`.`id`)
				ORDER BY
				`bab_dg_groups`.`name` ASC,
				`class_elv_group`.`name` ASC
				");
				$this->count = $babDB->db_num_rows($this->res);
			}	
			if ($this->count > 0)
			{
				$babBody->addError(undecode_html(bab_translate("Select the classes to remove", $GLOBALS['babAddonFolder'])));
				$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
				$this->class_name_label = undecode_html(bab_translate("Class name", $GLOBALS['babAddonFolder']));
				$this->delete_label = undecode_html(bab_translate("Remove", $GLOBALS['babAddonFolder'])) ;
				$this->next_code_op = 'S211';
				$this->select_all = undecode_html(bab_translate("Select all", $GLOBALS['babAddonFolder'])) ;
				$this->unselect_all = undecode_html(bab_translate("Unselect all", $GLOBALS['babAddonFolder'])) ;
				$this->bgcolor = true;
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder'])) ;
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No found class", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = 'S2';
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder'])) ;
			}
		}

		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				$temp = $babDB->db_fetch_array($this->res);
				$this->id_delegation = $temp["id_delegation"];
				$this->class_name = $temp["class_name"];
				$this->id_elv_group = $temp["id_elv_group"];
				$this->id_prof_group = $temp["id_prof_group"];
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayAnnualRemovingInHighSchoolFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "classes_removing_form"));
}

function actionAnnualCreationInHighSchoolForm()
{
	global $babBody;
	require_once ($GLOBALS['babInstallPath'].'utilit/artapi.php');
	require_once ($GLOBALS['babInstallPath'].'admin/acl.php');
	require_once ($GLOBALS['babInstallPath'].'utilit/delincl.php');

	class actionAnnualCreationInHighSchoolFormClass
	{
		function actionAnnualCreationInHighSchoolFormClass()
		{
			global $babBody;
			global $babDB;
			$this->type = bab_pp('type', '');
			$this->type_elv_group_id = FindGroupIdFromName($this->type.STUDENTS_GROUP_SUFFIX, STUDENTS_GROUP_ID);
			$this->password1 = bab_pp('password1', '');
			$this->password3 = bab_pp('password3', '');
			$this->class_name_array = bab_pp('class_name', array());
			$this->students_number_array = bab_pp('students_number', array());
			$this->waiting_accounts_number_array = bab_pp('waiting_accounts_number', array());
			$this->level_array = bab_pp('level', array());
			$this->count = count($this->class_name_array);
			$babBody->addError(undecode_html(bab_translate ("Creation report", $GLOBALS['babAddonFolder'])));
			$this->class_name_label = undecode_html(bab_translate ("Class", $GLOBALS['babAddonFolder']));
			$this->inside_level_label = undecode_html(bab_translate("inside the level", $GLOBALS['babAddonFolder']));
			$this->creation_of_label = undecode_html(bab_translate("Creation of", $GLOBALS['babAddonFolder']));
			$this->accounts_with_nickname_starting_from_label = undecode_html(bab_translate("account(s) for the pupils with nickname starting from", $GLOBALS['babAddonFolder']));
			$this->waiting_accounts_with_nickname_starting_from_label = undecode_html(bab_translate("waiting account(s) for the pupils with nickname starting from", $GLOBALS['babAddonFolder']));
			$this->to_label = undecode_html(bab_translate("to", $GLOBALS['babAddonFolder']));
			$this->password_label = undecode_html(bab_translate("The default password is", $GLOBALS['babAddonFolder']));
			$this->previous_code_op = "S2";
			$this->previous_menu_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
		}
		
		function next()
		{
			global $babDB;
			static $i=0;
			if( $i < $this->count)
			{
				$this->class_name = $this->class_name_array[$i];
				$this->creation_flag = false;
				if (!empty(	$this->class_name))
				{
					$this->creation_flag = true;
					$this->class_name = mb_strtolower(str_replace(" ", "", $this->class_name));
					$this->students_number = $this->students_number_array[$i];
					$this->waiting_accounts_number = $this->waiting_accounts_number_array[$i];
					$this->Class_name = ucfirst($this->class_name);
					$this->level = $this->level_array[$i];
					$class_variables_array = create_class ($this->Class_name, $this->level, $this->type);
					$this->is_existing_class = $class_variables_array["is_existing_class"];
					$this->id_delegated_group = $class_variables_array["id_delegated_group"];
					$this->id_delegation = $class_variables_array["id_delegation"];
					$this->id_parent_group = $class_variables_array["id_parent_group"];
					$this->id_gest_group = $class_variables_array["id_gest_group"];
					$this->id_elv_delegated_group = $class_variables_array["id_elv_delegated_group"];
					$this->id_prof_delegated_group = $class_variables_array["id_prof_delegated_group"];
					$this->id_elv_group = $class_variables_array["id_elv_group"];
					$this->id_prof_group = $class_variables_array["id_prof_group"];
					$this->id_flow_approvers = $class_variables_array["id_flow_approvers"];
					
					if ($this->is_existing_class === true)
					{
						$this->no_creation_label = bab_translate("The class", $GLOBALS['babAddonFolder'])." <b>".$this->Class_name."</b> ".bab_translate("is existing : it is not created", $GLOBALS['babAddonFolder']);
					}
					else
					{	
						// Crations de tous les objets au sein de la classe
						create_objects_in_class($this->Class_name, $class_variables_array);
						// Cration des comptes des lves de la classe
						$this->creation_report = "";
						$bgcolor = true;
						if ( empty($this->students_number) || ($this->students_number == 0) )
						{
							$this->students_number = 0;
						}
						if ($this->students_number > 0)
						{
							$j = 0;
							while ($j < $this->students_number)
							{
								if ($j < 9) $nickname = $this->class_name."0".($j + 1); else $nickname = $this->class_name.($j + 1);
								if (bab_getUserIdByNickname($nickname) == 0)
								{
									$firstname = "a_saisir";
									$lastname = $nickname;
									$middlename = "";
									$email = DEFAULT_MAIL;
									$password1 = $this->password1;
									$password2 = $password1;
									$confirmed = true;
									$bgroup = true;
									$id_user = bab_registerUser($firstname, $lastname, $middlename, $email, $nickname, $password1, $password2, $confirmed, $error, $bgroup);
									if ($id_user > 0)
									{
										$info = bab_getUserInfos($id_user);
										$info['cn'] = $nickname;
										$error = "";
										bab_updateUserById($id_user, $info, $error); 
										bab_attachUserToGroup($id_user, STUDENTS_GROUP_ID);
										bab_attachUserToGroup($id_user, $this->type_elv_group_id);
										bab_attachUserToGroup($id_user, $this->id_parent_group);
										bab_attachUserToGroup($id_user, $this->id_delegated_group);
										bab_attachUserToGroup($id_user, $this->id_elv_delegated_group);
										bab_attachUserToGroup($id_user, $this->id_elv_group);
										$bgcolor = !$bgcolor;
										if ($bgcolor) $this->creation_report .= "<tr class=\"BabMonthCalendarCurentDayBackground\">\r\n"; else $this->creation_report .= "<tr>\r\n";
										$this->creation_report .= "<td>".undecode_html(bab_translate("Creation of the account with nickname", $GLOBALS['babAddonFolder']))." <b>".$nickname."</b> ".undecode_html(bab_translate("and password", $GLOBALS['babAddonFolder']))." <b>".$password1."</b> ".undecode_html(bab_translate("inside the group of the pupils of the class", $GLOBALS['babAddonFolder']))."</td>\r\n";
										$this->creation_report .= "<tr>";
									}

								}
								$j++;
							}
						}
						if ( empty($this->waiting_accounts_number) || ($this->waiting_accounts_number == 0) )
						{
							$this->waiting_accounts_number = 0;
						}
						if ($this->waiting_accounts_number > 0)
						{
							$j = $this->students_number;
							while ($j < $this->students_number + $this->waiting_accounts_number)
							{
								if ($j < 9) $nickname = $this->class_name."0".($j + 1); else $nickname = $this->class_name.($j + 1);
								if (bab_getUserIdByNickname($nickname) == 0)
								{
									$firstname = "a_saisir";
									$lastname = $nickname;
									$middlename = "";
									$email = DEFAULT_MAIL;
									$password1 = $this->password3;
									$password2 = $password1;
									$confirmed = true;
									$bgroup = true;
									$id_user = bab_registerUser($firstname, $lastname, $middlename, $email, $nickname, $password1, $password2, $confirmed, $error, $bgroup);
									if ($id_user > 0)
									{
										$info = bab_getUserInfos($id_user);
										$info['cn'] = $nickname;
										$error = "";
										bab_updateUserById($id_user, $info, $error); 
										bab_attachUserToGroup($id_user, STUDENTS_GROUP_ID);
										bab_attachUserToGroup($id_user, $this->type_elv_group_id);
										bab_attachUserToGroup($id_user, $this->id_parent_group);
										bab_attachUserToGroup($id_user, $this->id_delegated_group);
										bab_attachUserToGroup($id_user, $this->id_elv_delegated_group);
										bab_attachUserToGroup($id_user, $this->id_elv_group);
										$bgcolor = !$bgcolor;
										if ($bgcolor) $this->creation_report .= "<tr class=\"BabMonthCalendarCurentDayBackground\">\r\n"; else $this->creation_report .= "<tr>\r\n";
										$this->creation_report .= "<td>".undecode_html(bab_translate("Creation of the account with nickname", $GLOBALS['babAddonFolder']))." <b>".$nickname."</b> ".undecode_html(bab_translate("and password", $GLOBALS['babAddonFolder']))." <b>".$password1."</b> ".undecode_html(bab_translate("inside the group of the pupils of the class", $GLOBALS['babAddonFolder']))."</td>\r\n";
										$this->creation_report .= "<tr>";
									}
								}
								$j++;
							}
						}
						$this->start1 = "01";
						if ($this->students_number < 10) $this->stop1 = "0".$this->students_number; else $this->stop1 = $this->students_number;
						$this->start2 = $this->students_number + 1;
						if ($this->start2 < 10) $this->start2 = "0".$this->start2;
						$this->stop2 = $this->students_number + $this->waiting_accounts_number;
						if ($this->stop2 < 10) $this->stop2 = "0".$this->stop2;
						if ($this->is_existing_class)
						{
							$this->no_creation_label = undecode_html(bab_translate("The class", $GLOBALS['babAddonFolder']))." <b>".$this->Class_name."</b> ".undecode_html(bab_translate("is existing : it is not created", $GLOBALS['babAddonFolder']));
						}
					}

				}
				$i++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionAnnualCreationInHighSchoolFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "report_class_creation"));
}

function displayPasswordsChoiceForm()
{
	global $babBody;
	class displayPasswordsChoiceFormClass
	{
		function displayPasswordsChoiceFormClass()
		{
			global $babBody;
			
			$this->type = bab_pp('type', '');
			$this->count = MAX_SECTIONS_OR_LEVELS ;
			$i = 0;
			$this->creation_flag = false;
			while ($i < $this->count && !$this->creation_flag)
			{
				if (bab_pp('class_name'.$i, '') != '') $this->creation_flag = true;
				$i++;
			}
			if ($this->creation_flag)
			{
				$babBody->addError(undecode_html(bab_translate("Fill the default password", $GLOBALS['babAddonFolder'])));
				switch (bab_pp('code_op', ''))
				{
					case 'S222':
						$this->next_code_op = "S223";
						break;
					case 'S242':
						$this->next_code_op = "S243";
						break;
					case 'S262':
						$this->next_code_op = "S263";
						break;
				}
				$this->password1_label = undecode_html(bab_translate("Default password for all created principal accounts", $GLOBALS['babAddonFolder']));
				$this->password_label = undecode_html(bab_translate("Enter the password", $GLOBALS['babAddonFolder']));
				$this->confirm_label = undecode_html(bab_translate("Confirm the password", $GLOBALS['babAddonFolder']));
				$this->min_length = MIN_PASSWORD_LENGTH;
				$this->min_length_label = undecode_html(bab_translate("characters min.", $GLOBALS['babAddonFolder']));
				$this->password3_label = undecode_html(bab_translate("Default password for all waiting accounts (different from the precedent)", $GLOBALS['babAddonFolder']));
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
				$this->passwords_do_not_match_1_message = undecode_html(bab_translate("The passwords for all created principal accounts do not match", $GLOBALS['babAddonFolder']));
				$this->minimal_length_1_message = undecode_html(bab_translate("The password for all created principal accounts does not respect the minimal limit", $GLOBALS['babAddonFolder']));
				$this->passwords_do_not_match_3_message = undecode_html(bab_translate("The passwords for all waiting accounts do not match", $GLOBALS['babAddonFolder']));
				$this->minimal_length_3_message = undecode_html(bab_translate("The password for all waiting accounts does not respect the minimal limit", $GLOBALS['babAddonFolder']));
				$this->identical_password = undecode_html(bab_translate("The two password are the same", $GLOBALS['babAddonFolder']));
				$id_delegation_array = bab_pp('id_delegation', array());
				switch ($this->type)
				{
					case 'LGT':
						$this->field_label = "level";
						break;
					case 'LP':
					case 'STS':
						$this->field_label = "id_elv_group";
						break;
					default;
						break;
				}
			}
			else
			{
				switch ($this->type)
				{
					case 'LGT':
						$babBody->addError(undecode_html(bab_translate("No level will be created", $GLOBALS['babAddonFolder'])));
						break;
					case 'LP':
					case 'STS':
						$babBody->addError(undecode_html(bab_translate("No promotion will be created", $GLOBALS['babAddonFolder'])));
						break;
					default;
						break;
				}
				$this->next_code_op = 'S2';
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
		}
		function next()
		{
			static $i=0;
			if( $i < $this->count)
			{
				$this->class_name = bab_pp('class_name'.$i, '');
				$this->students_number = bab_pp('students_number'.$i, '0');
				$this->waiting_accounts_number = bab_pp('waiting_accounts_number'.$i, '0');
				$this->field_value = bab_pp($this->field_label.$i, '');
				$i++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayPasswordsChoiceFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "passwords_form"));
}

function displayAnnualCreationInHighSchoolForm()
{
	global $babBody;
	class displayAnnualCreationInHighSchoolForm
	{
		function displayAnnualCreationInHighSchoolForm()
		{
			global $babBody;
			global $babDB;
			$this->type = bab_pp('type', '');
			$this->next_code_op = "S222";
			$this->next_step_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
			$this->class_name_label = undecode_html(bab_translate("Class name", $GLOBALS['babAddonFolder']));
			$this->pupils_number_label = undecode_html(bab_translate("Number of pupils", $GLOBALS['babAddonFolder']));
			$this->waiting_accounts_number_label = undecode_html(bab_translate("Waiting accounts", $GLOBALS['babAddonFolder']));
			$this->level_label = undecode_html(bab_translate("Levels", $GLOBALS['babAddonFolder']));
			$this->empty_students_field_label = undecode_html(bab_translate("The field for the number of pupils is empty", $GLOBALS['babAddonFolder']));
			$this->non_integer_students_field_label = undecode_html(bab_translate("The field for the number of students is not an integer", $GLOBALS['babAddonFolder']));
			$this->non_integer_waiting_accounts_label = undecode_html(bab_translate("The field for the number of waiting accounts is not an integer", $GLOBALS['babAddonFolder']));
			$this->number_of_accounts_is_nul_label = undecode_html(bab_translate("The total number of accounts to create is nul", $GLOBALS['babAddonFolder']));
			$this->too_much_accounts_label = undecode_html(bab_translate("The total number of accounts to create is bigger than 99", $GLOBALS['babAddonFolder']));
			$this->undefined_level_label = undecode_html(bab_translate("No defined level for the class", $GLOBALS['babAddonFolder']));
			$this->identical_names_label = undecode_html(bab_translate("The class name and the level name are identical", $GLOBALS['babAddonFolder']));
			$this->errors_label = bab_translate("Error for the class", $GLOBALS['babAddonFolder']);
			$this->bgcolor = false;
			$this->waiting_accounts_default_value = WAITING_ACCOUNTS_NUMBER_DEFAULT;
			$this->count = MAX_SECTIONS_OR_LEVELS;
			$this->res = $babDB->db_query("
			SELECT
			`child_group`.`name` AS `delegated_group_name`
			FROM
			`bab_groups` AS `child_group`,
			`bab_groups` AS `parent_group`
			WHERE
			(`child_group`.`id_parent` = `parent_group`.`id`)
			AND
			(LOWER(`parent_group`.`name`) = LOWER('".$this->type."'))
			ORDER BY
			`delegated_group_name`
			");
			$this->nb_delegations = $babDB->db_num_rows($this->res);
			if ($this->nb_delegations > 0)
			{
				$babBody->addError(undecode_html(bab_translate("Fill for each class to create, the class name, the pupils number, the waiting accounts number and select the level", $GLOBALS['babAddonFolder'])));
				$this->delegation_list = "";
				$this->delegated_groups_name_array = array();
				$this->colums_number = $this->nb_delegations + 3;

				for ($i = 0; $i < $this->nb_delegations; $i++)
				{
					$temp = $babDB->db_fetch_array($this->res);
					$delegated_group_name = $temp['delegated_group_name'];
					$this->delegated_groups_name_array[$i] = $delegated_group_name;
					$this->delegation_list .= "<th align=\"center\">".$delegated_group_name."</th>";
				}
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No found level", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = 'S2';
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->flag = false;
				$this->bgcolor = !$this->bgcolor;
				$this->k = $k;
				$this->radio_list = "";
				for ($i = 0; $i < $this->nb_delegations; $i++)
				{
					$this->radio_list .= "<td><input type=\"radio\" name=\"level".$k."\" value=\"".$this->delegated_groups_name_array[$i]."\" alt=\"".$this->delegated_groups_name_array[$i]."\" title=\"".$this->delegated_groups_name_array[$i]."\"></td>\n";
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayAnnualCreationInHighSchoolForm();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "classes_creation_form"));
}



function displayAnnualCreationInHighSchoolWarningForm()
{
	global $babBody;
	class displayAnnualCreationInHighSchoolWarningFormClass
	{
		function displayAnnualCreationInHighSchoolWarningFormClass()
		{
			global $babBody;
			global $babDB;
			$this->type = "LGT";
			$res = $babDB->db_query("
			SELECT
			`child_group`.`name` AS `delegated_group_name`
			FROM
			`bab_groups` AS `child_group`,
			`bab_groups` AS `parent_group`
			WHERE
			(`child_group`.`id_parent` = `parent_group`.`id`)
			AND
			(LOWER(`parent_group`.`name`) = LOWER('".$this->type."'))
			ORDER BY
			`delegated_group_name`
			");
			$this->nb_delegations = $babDB->db_num_rows($res);
			if ($this->nb_delegations > 0)
			{
				$babBody->addError(undecode_html(bab_translate("Click on Next step button to continue", $GLOBALS['babAddonFolder'])));
				$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
				$this->next_code_op = 'S221';
				$this->validate_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No found level", $GLOBALS['babAddonFolder'])));
				$this->error_label = undecode_html(bab_translate("Critical error", $GLOBALS['babAddonFolder']));
				$this->message_label = undecode_html(bab_translate("You must before have created levels", $GLOBALS['babAddonFolder']));
				$this->next_code_op = 'S2';
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
			
		}
	}
	$obj= new displayAnnualCreationInHighSchoolWarningFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "classes_creation_warning"));
}

function displayAnnualManagingMenuForm()
{
	global $babBody;
	class displayAnnualManagingMenuFormClass
	{
		function displayAnnualManagingMenuFormClass()
		{
			$this->high_school_label = undecode_html(bab_translate("High school", $GLOBALS['babAddonFolder']));
			$this->former_students_in_high_school_level_management_label = undecode_html(bab_translate("Management of former students in high school", $GLOBALS['babAddonFolder']));
			$this->former_students_in_high_school_level_management_description = undecode_html(bab_translate("Removing former classes", $GLOBALS['babAddonFolder']));
			$this->new_students_in_high_school_level_management_label = undecode_html(bab_translate("Management of new students in high school", $GLOBALS['babAddonFolder']));
			$this->new_students_in_high_school_level_management_description = undecode_html(bab_translate("Creating new classes", $GLOBALS['babAddonFolder']));
			$this->professional_school_label = undecode_html(bab_translate("Professional school", $GLOBALS['babAddonFolder']));
			$this->former_students_in_professionnal_school_management_label = undecode_html(bab_translate("Management of former students in professional school", $GLOBALS['babAddonFolder']));
			$this->former_students_in_professionnal_school_management_description = undecode_html(bab_translate("Next year of study, repetition, drop", $GLOBALS['babAddonFolder']));
			$this->new_students_in_professionnal_school_management_label = undecode_html(bab_translate("Management of new students in professional school", $GLOBALS['babAddonFolder']));
			$this->new_students_in_professionnal_school_management_description = undecode_html(bab_translate("Creating new promotions", $GLOBALS['babAddonFolder']));
			$this->higher_technicians_section_label = undecode_html(bab_translate("Higher technicians sections", $GLOBALS['babAddonFolder']));
			$this->former_students_in_technicians_courses_management_label = undecode_html(bab_translate("Management of former students in higher technicians courses", $GLOBALS['babAddonFolder']));
			$this->former_students_in_technicians_courses_management_description = undecode_html(bab_translate("Next year of study, repetition, drop", $GLOBALS['babAddonFolder']));
			$this->new_students_in_technicians_courses_management_label = undecode_html(bab_translate("Management of new students in higher technicians courses", $GLOBALS['babAddonFolder']));
			$this->new_students_in_technicians_courses_management_description = undecode_html(bab_translate("Creating new promotions", $GLOBALS['babAddonFolder']));
			$this->return_to_previous_menu_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
		}
	}
	$obj= new displayAnnualManagingMenuFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "students_annual_management_menu"));
}

function actionDelegationDeleteForm()
{
	global $babBody;
	require_once($GLOBALS['babAddonPhpPath'].'functions.php');
	require_once($GLOBALS['babInstallPath'].'utilit/delincl.php');
	class actionDelegationDeleteFormClass
	{
		function actionDelegationDeleteFormClass()
		{
			global $babBody;
			
			$type = bab_pp('type', '');
			$this->delete_delegation_array = bab_pp('delete_delegation', array());
			$this->count = count($this->delete_delegation_array);
			$this->exist_deleted_delegations = false;
			$this->next_code_op = 'S1';
			$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			for ($i = 0; $i < $this->count; $i++)
			{
				if (isset($this->delete_delegation_array[$i])) $this->exist_deleted_delegations = true;
			}
			if ($this->exist_deleted_delegations)
			{
				switch (mb_strtoupper($type))
				{
					case 'LGT':
						$babBody->addError(undecode_html(bab_translate("Removing report:", $GLOBALS['babAddonFolder']))." ".undecode_html(bab_translate("The selected levels have been deleted.", $GLOBALS['babAddonFolder'])));
						break;
					
					case 'LP':
					case 'STS':
						$babBody->addError(undecode_html(bab_translate("Removing report:", $GLOBALS['babAddonFolder']))." ".undecode_html(bab_translate("The selected courses have been deleted.", $GLOBALS['babAddonFolder'])));
						break;
					
					default:
						break;
				}
				$this->delegation_name_label = undecode_html(bab_translate("Delegation", $GLOBALS['babAddonFolder'])) ;
				$this->action_label = undecode_html(bab_translate("Done actions", $GLOBALS['babAddonFolder'])) ;
				$this->delegation_title = undecode_html(bab_translate("The delegation", $GLOBALS['babAddonFolder'])) ;
				$this->is_deleted_title_f = undecode_html(bab_translate("is deleted_", $GLOBALS['babAddonFolder'])) ;
				$this->is_deleted_title_m = undecode_html(bab_translate("is deleted", $GLOBALS['babAddonFolder'])) ;
				$this->delegated_group_title = undecode_html(bab_translate("The delegated group", $GLOBALS['babAddonFolder'])) ;
				$this->account_title = undecode_html(bab_translate("The account with nickname", $GLOBALS['babAddonFolder'])) ;
				$type = bab_pp('type', '');
				$this->id_delegation_array = bab_pp('id_delegation', array());
				$this->delegation_name_array = bab_pp('delegation_name', array());
				$this->id_delegated_group_array = bab_pp('id_delegated_group', array());
			}
			else
			{
				switch (mb_strtoupper($type))
				{
					case 'LGT':
						$babBody->addError(undecode_html(bab_translate("There was no selected level to be deleted.", $GLOBALS['babAddonFolder'])));
						break;
					
					case 'LP':
					case 'STS':
						$babBody->addError(undecode_html(bab_translate("There was no selected course to be deleted.", $GLOBALS['babAddonFolder'])));
						break;
					
					default:
						break;
				}
			}
			$this->bgcolor = true;
			 
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->flag = false;

				$this->bgcolor = !$this->bgcolor;

				if (isset($this->delete_delegation_array[$k]))
				{
					$this->flag = true;
					$i = $this->delete_delegation_array[$k];

					$id_delegation = $this->id_delegation_array[$i];
					$this->delegation_name = $this->delegation_name_array[$i];
					$id_delegated_group = $this->id_delegated_group_array[$i];
					$this->admin_nickname = $this->delegation_name.ADMIN_FIRSTNAME;
					$this->gest_nickname = $this->delegation_name.GEST_FIRSTNAME;
					$this->delete_admin_flag = false;
					$this->delete_gest_flag = false;
					delete_delegation($id_delegation);
					if ($id_delegated_group > 0) remove_group_and_all_children($id_delegated_group);
					$id_delegation_admin = bab_getUserIdByNickname($this->admin_nickname);
					if ($id_delegation_admin > 0)
					{
						bab_deleteUser($id_delegation_admin);
						$this->delete_admin_flag = true ;
					}
					$id_delegation_gest = bab_getUserIdByNickname($this->gest_nickname);
					if ($id_delegation_gest > 0)
					{
						bab_deleteUser($id_delegation_gest);
						$this->delete_gest_flag = true;
					}
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionDelegationDeleteFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "action_delegation_delete_form"));
}



function displayHigherTechniciansCourseDeleteForm()
{
	global $babBody;
	class displayHigherTechniciansCourseDeleteFormClass
	{
		function displayHigherTechniciansCourseDeleteFormClass()
		{
			global $babBody;
			global $babDB;
			$this->warning_label = undecode_html(bab_translate("Warning", $GLOBALS['babAddonFolder'])) ;
			$this->warning_message = undecode_html(bab_translate("Before removing a course, you must delete all students accounts in this course!", $GLOBALS['babAddonFolder'])) ;
			$this->type = "STS";
			$this->exist_delegated_groups = false;
			$this->res = $babDB->db_query("
			SELECT
			`bab_dg_groups`.`id` AS `id_delegation`,
			`bab_dg_groups`.`name` AS `delegation_name`,
			`bab_dg_groups`.`description` AS  `delegation_description`,
			`id_group`
			FROM
			`bab_dg_groups`,
			`bab_groups` AS `child`,
			`bab_groups` AS `parent`
			WHERE
			(`id_group` = `child`.`id`)
			AND
			(`child`.`id_parent` = `parent`.`id`)
			AND
			(`parent`.`name` = '".$babDB->db_escape_string($this->type)."')
			ORDER BY
			`delegation_name`
			");
			$this->count = $babDB->db_num_rows($this->res);
			if ($this->count > 0) 
			{
				$this->exist_delegated_groups = true;
				$babBody->addError(undecode_html(bab_translate("Select in the list below the courses to be deleted.", $GLOBALS['babAddonFolder'])));
				$this->delegation_name_label = undecode_html(bab_translate("Course", $GLOBALS['babAddonFolder'])) ;
				$this->delegation_description_label = undecode_html(bab_translate("Description", $GLOBALS['babAddonFolder'])) ;
				$this->delete_label = undecode_html(bab_translate("Remove", $GLOBALS['babAddonFolder'])) ;
				$this->next_code_op = 'S161';
				$this->select_all = undecode_html(bab_translate("Select all", $GLOBALS['babAddonFolder'])) ;
				$this->unselect_all = undecode_html(bab_translate("Unselect all", $GLOBALS['babAddonFolder'])) ;
				$this->bgcolor = true;
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder'])) ;
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("There is no course to be deleted.", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = 'S1';
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder'])) ;
			}
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				$temp = $babDB->db_fetch_array($this->res);
				$this->id_delegation = $temp['id_delegation'];
				$this->delegation_name = $temp['delegation_name'];
				$this->delegation_description = $temp['delegation_description'];
				$this->id_delegated_group = $temp['id_group'];
				$this->disabled_state = "";
				$this->k = $k;
				$res = $babDB->db_query("
				SELECT
				`bab_users`.`id`
				FROM
				`bab_users`,
				`bab_users_groups` AS `table1`,
				`bab_users_groups` AS `table2`,
				`bab_groups`
				WHERE
				(`table1`.`id_object` = `bab_users`.`id`)
				AND
				(`table1`.`id_group` = '".$babDB->db_escape_string($this->id_delegated_group)."')
				AND
				(`table2`.`id_object` = `bab_users`.`id`)
				AND
				(`table2`.`id_group` = `bab_groups`.`id`)
				AND
				(`name` = '".$babDB->db_escape_string(STUDENTS_GROUP_NAME)."')
				");
				if ($babDB->db_num_rows($res) > 0) $this->disabled_state = " disabled title=\"".bab_translate("Disabled : there are students accounts in this course!", $GLOBALS['babAddonFolder'])."\" alt=\"".bab_translate("Disabled : there are students accounts in this course!", $GLOBALS['babAddonFolder'])."\"";
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayHigherTechniciansCourseDeleteFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "display_delegation_delete_form"));
}

function displayProfessionalSchoolCourseDeleteForm()
{
	global $babBody;
	class displayProfessionalSchoolCourseDeleteFormClass
	{
		function displayProfessionalSchoolCourseDeleteFormClass()
		{
			global $babBody;
			global $babDB;
			$this->warning_label = undecode_html(bab_translate("Warning", $GLOBALS['babAddonFolder'])) ;;
			$this->warning_message = undecode_html(bab_translate("Before removing a course, you must delete all pupils accounts in this course!", $GLOBALS['babAddonFolder'])) ;
			$this->type = "LP";
			$this->exist_delegated_groups = false;
			$this->res = $babDB->db_query("
			SELECT
			`bab_dg_groups`.`id` AS `id_delegation`,
			`bab_dg_groups`.`name` AS `delegation_name`,
			`bab_dg_groups`.`description` AS  `delegation_description`,
			`id_group`
			FROM
			`bab_dg_groups`,
			`bab_groups` AS `child`,
			`bab_groups` AS `parent`
			WHERE
			(`id_group` = `child`.`id`)
			AND
			(`child`.`id_parent` = `parent`.`id`)
			AND
			(`parent`.`name` = '".$babDB->db_escape_string($this->type)."')
			ORDER BY
			`delegation_name`
			");
			$this->count = $babDB->db_num_rows($this->res);
			if ($this->count > 0) 
			{
				$this->exist_delegated_groups = true;
				$babBody->addError(undecode_html(bab_translate("Select in the list below the courses to be deleted.", $GLOBALS['babAddonFolder'])));
				$this->delegation_name_label = undecode_html(bab_translate("Delegation", $GLOBALS['babAddonFolder'])) ;
				$this->delegation_description_label = undecode_html(bab_translate("Description", $GLOBALS['babAddonFolder'])) ;
				$this->delete_label = undecode_html(bab_translate("Remove", $GLOBALS['babAddonFolder'])) ;
				$this->next_code_op = 'S141';
				$this->select_all = undecode_html(bab_translate("Select all", $GLOBALS['babAddonFolder'])) ;
				$this->unselect_all = undecode_html(bab_translate("Unselect all", $GLOBALS['babAddonFolder'])) ;
				$this->bgcolor = true;
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder'])) ;
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("There is no course to be deleted.", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = 'S1';
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder'])) ;
			}
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				$temp = $babDB->db_fetch_array($this->res);
				$this->id_delegation = $temp['id_delegation'];
				$this->delegation_name = $temp['delegation_name'];
				$this->delegation_description = $temp['delegation_description'];
				$this->id_delegated_group = $temp['id_group'];
				$this->disabled_state = "";
				$this->k = $k;
				$res = $babDB->db_query("
				SELECT
				`bab_users`.`id`
				FROM
				`bab_users`,
				`bab_users_groups` AS `table1`,
				`bab_users_groups` AS `table2`,
				`bab_groups`
				WHERE
				(`table1`.`id_object` = `bab_users`.`id`)
				AND
				(`table1`.`id_group` = '".$babDB->db_escape_string($this->id_delegated_group)."')
				AND
				(`table2`.`id_object` = `bab_users`.`id`)
				AND
				(`table2`.`id_group` = `bab_groups`.`id`)
				AND
				(`name` = '".$babDB->db_escape_string(STUDENTS_GROUP_NAME)."')
				");
				if ($babDB->db_num_rows($res) > 0) $this->disabled_state = " disabled title=\"".bab_translate("Disabled : there are pupils accounts in this course!", $GLOBALS['babAddonFolder'])."\" alt=\"".bab_translate("Disabled : there are pupils accounts in this course!", $GLOBALS['babAddonFolder'])."\"";
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayProfessionalSchoolCourseDeleteFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "display_delegation_delete_form"));
}


function displayHighSchoolLevelDeleteForm()
{
	global $babBody;
	class displayHighSchoolLevelDeleteFormClass
	{
		function displayHighSchoolLevelDeleteFormClass()
		{
			global $babBody;
			global $babDB;
			$this->warning_label = undecode_html(bab_translate("Warning", $GLOBALS['babAddonFolder'])) ;
			$this->warning_message = undecode_html(bab_translate("Before removing a level, you must delete all pupils accounts in this level!", $GLOBALS['babAddonFolder'])) ;
			$this->type = "LGT";
			$this->exist_delegated_groups = false;
			$this->res = $babDB->db_query("
			SELECT
			`bab_dg_groups`.`id` AS `id_delegation`,
			`bab_dg_groups`.`name` AS `delegation_name`,
			`bab_dg_groups`.`description` AS  `delegation_description`,
			`id_group`
			FROM
			`bab_dg_groups`,
			`bab_groups` AS `child`,
			`bab_groups` AS `parent`
			WHERE
			(`id_group` = `child`.`id`)
			AND
			(`child`.`id_parent` = `parent`.`id`)
			AND
			(`parent`.`name` = '".$babDB->db_escape_string($this->type)."')
			ORDER BY
			`delegation_name`
			");
			$this->count = $babDB->db_num_rows($this->res);
			if ($this->count > 0)
			{
				$this->next_code_op = 'S121';
				$this->exist_delegated_groups = true;
				$babBody->addError(undecode_html(bab_translate("Select in the list below the levels to be deleted.", $GLOBALS['babAddonFolder'])));
				$this->delegation_name_label = undecode_html(bab_translate("Delegation", $GLOBALS['babAddonFolder'])) ;
				$this->delegation_description_label = undecode_html(bab_translate("Description", $GLOBALS['babAddonFolder'])) ;
				$this->delete_label = undecode_html(bab_translate("Remove", $GLOBALS['babAddonFolder'])) ;
				$this->select_all = undecode_html(bab_translate("Select all", $GLOBALS['babAddonFolder'])) ;
				$this->unselect_all = undecode_html(bab_translate("Unselect all", $GLOBALS['babAddonFolder'])) ;
				$this->bgcolor = true;
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder'])) ;}
			else
			{
				$this->next_code_op = 'S1';
				$babBody->addError(undecode_html(bab_translate("There is no level to be deleted.", $GLOBALS['babAddonFolder'])));
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder'])) ;
			}
			
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				$temp = $babDB->db_fetch_array($this->res);
				$this->id_delegation = $temp['id_delegation'];
				$this->delegation_name = $temp['delegation_name'];
				$this->delegation_description = $temp['delegation_description'];
				$this->id_delegated_group = $temp['id_group'];
				$this->disabled_state = "";
				$this->k = $k;
				$res = $babDB->db_query("
				SELECT
				`bab_users`.`id`
				FROM
				`bab_users`,
				`bab_users_groups` AS `table1`,
				`bab_users_groups` AS `table2`
				WHERE
				(`table1`.`id_object` = `bab_users`.`id`)
				AND
				(`table1`.`id_group` = '".$babDB->db_escape_string($this->id_delegated_group)."')
				AND
				(`table2`.`id_object` = `bab_users`.`id`)
				AND
				(`table2`.`id_group` = '".$babDB->db_escape_string(STUDENTS_GROUP_ID)."')
				");
				if ($babDB->db_num_rows($res) > 0) $this->disabled_state = " disabled = \"disabled\" title=\"".bab_translate("Disabled : there are pupils accounts in this level!", $GLOBALS['babAddonFolder'])."\" alt=\"".bab_translate("Disabled : there are pupils accounts in this level!", $GLOBALS['babAddonFolder'])."\"";
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayHighSchoolLevelDeleteFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "display_delegation_delete_form"));
}

function actionHigherTechniciansCreationForm()
{
	global $babBody;
	require_once($GLOBALS['babAddonPhpPath'].'functions.php');
	class actionHigherTechniciansCreationFormClass
	{
		function actionHigherTechniciansCreationFormClass()
		{
			global $babBody;
			$this->type = bab_pp('type');
			$this->isLGT = (mb_strtoupper($this->type) == 'LGT');
			$this->count = bab_pp('count', '0');;
			$this->delegation_name_table = unserialize(bab_pp("transmitted_delegation_name", ''));
			$this->years_number_table = unserialize(bab_pp("transmitted_years_number", ''));
			$this->degree_table = unserialize(bab_pp("transmitted_degree", ''));
			$password1 = trim(bab_pp('password1', ''));
			$password2 = trim(bab_pp('password2', ''));
			$this->error_password = false;
			if ($password1 != $password2)
			{
				$babBody->addError(undecode_html(bab_translate("The passwords do not match.", $GLOBALS['babAddonFolder'])));
				$this->error_password = true;
			}
			else
			{
				$this->password = $password1;
				if (strlen($this->password) < MIN_PASSWORD_LENGTH)
				{
					$babBody->addError(undecode_html(bab_translate("The passwords do not respect the minimal limit", $GLOBALS['babAddonFolder'])));
					$this->error_password = true;
				}
				else
				{
					$babBody->addError(undecode_html(bab_translate("Creation report", $GLOBALS['babAddonFolder'])));
					$this->password = $password1;
				}
			}
			$this->creation_label = undecode_html(bab_translate("Creating delegation", $GLOBALS['babAddonFolder']));
			$this->level_label = undecode_html(bab_translate("for the course", $GLOBALS['babAddonFolder']));
			$this->formation_label = undecode_html(bab_translate("formation in", $GLOBALS['babAddonFolder']));
			$this->years_label = undecode_html(bab_translate("year(s)", $GLOBALS['babAddonFolder']));
			$this->previous_code_op = "S1";
			$this->password_title = undecode_html(bab_translate("The default pasword for all created accounts is:", $GLOBALS['babAddonFolder']));
			$this->previous_menu_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->existing_account_label = undecode_html(bab_translate("Existing account; the password is not modified.", $GLOBALS['babAddonFolder']));
			$this->creating_account_label = undecode_html(bab_translate("New account; the password is the choosen default password.", $GLOBALS['babAddonFolder']));
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->not_empty_delegation = false;
				$this->delegation_name = $this->delegation_name_table[$k];
				$this->years_number = $this->years_number_table[$k];
				if (!empty($this->delegation_name))
				{
					$this->not_empty_delegation = true;
					$this->delegation_count++;
					$temp = create_delegation($this->delegation_name, $this->type, $this->years_number, $this->password);
					$this->delegation_short_name = str_replace(" ", "", ucwords(mb_strtolower($this->delegation_name)));
					$this->admin_nickname = str_replace(" ", "", ucwords(mb_strtolower($this->delegation_name))).ADMIN_FIRSTNAME;
					$this->admin_status = $temp[0];
					$this->gest_nickname = str_replace(" ", "", ucwords(mb_strtolower($this->delegation_name))).GEST_FIRSTNAME;
					$this->gest_status = $temp[1];
					$this->existing_delegation = false;
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionHigherTechniciansCreationFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "report_delegation_creation"));
}

function displayHigherTechniciansCreationForm()
{
	global $babBody;
	class displayHigherTechniciansCreationFormClass
	{
		function displayHigherTechniciansCreationFormClass()
		{
			$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
			$this->level_label = undecode_html(bab_translate("Level", $GLOBALS['babAddonFolder']));
			$this->next_code_op = 'S152';
			$this->validate_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
			$this->type = bab_pp('type', '');
			$this->count = LEVELS_NUMBERS;
			$this->courses_label = undecode_html(bab_translate("Course", $GLOBALS['babAddonFolder']));
			$this->years_label= undecode_html(bab_translate("Number of years", $GLOBALS['babAddonFolder']));
			$this->max_years_number = MAX_YEARS_NUMBER;
			$this->error_message_header = undecode_html(bab_translate("The following courses have no defined number of years:", $GLOBALS['babAddonFolder']));
		}

		function next()
		{
			global $babDB;
			static $j=0;
			$this->options_list2 = "<option value=''>".bab_translate("Choice", $GLOBALS['babAddonFolder'])."</option>";
			if( $j < $this->count)
			{
				$this->j = $j;
				for ($k = 1; $k <= MAX_YEARS_NUMBER; $k++)
				{
					$this->options_list2 = $this->options_list2."\n<option value = '".$k."'>".$k."</option>";
				}
				$j++;
				return true;
			}
			 else
			{
				return false;
			}
		}

		function next_year()
		{
			global $babDB;
			static $k=0;
			if( $k < MAX_YEARS_NUMBER)
			{
				$this->k = $k + 1;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayHigherTechniciansCreationFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "higher_technicians_creation_form"));
}


function displayHigherTechniciansCreationWarning()
{
	global $babBody;
	class displayHigherTechniciansCreationWarningClass
	{
		function displayHigherTechniciansCreationWarningClass()
		{
			$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
			$this->validate_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
			$this->next_code_op = 'S151';
			$this->type = "STS";
		}
	}
	$obj= new displayHigherTechniciansCreationWarningClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "higher_technicians_creation_warning"));
}

function actionProfessionalSchoolCreationForm()
{
	global $babBody;
	require_once($GLOBALS['babAddonPhpPath'].'functions.php');
	class actionProfessionalSchoolCreationFormClass
	{
		function actionProfessionalSchoolCreationFormClass()
		{
			global $babBody;
			$this->type = bab_pp('type');
			// if (mb_strtoupper($this->type) == "LGT") $this->isLGT = true; else $this->isLGT = false;
			$this->isLGT = (mb_strtoupper($this->type) == 'LGT');
			$this->count = bab_pp('count', '0');
			$this->delegation_name_table = unserialize(bab_pp("transmitted_delegation_name", ''));
			$this->years_number_table = unserialize(bab_pp("transmitted_years_number", ''));
			$this->degree_table = unserialize(bab_pp("transmitted_degree", ''));
			$password1 = trim(bab_pp('password1', ''));
			$password2 = trim(bab_pp('password2', ''));
			$this->error_password = false;
			if ($password1 != $password2)
			{
				$babBody->undecode_html(addError(bab_translate("The passwords do not match.", $GLOBALS['babAddonFolder'])));
				$this->error_password = true;
			}
			else
			{
				$this->password = $password1;
				if (strlen($this->password) < MIN_PASSWORD_LENGTH)
				{
					$babBody->addError(undecode_html(bab_translate("The passwords do not respect the minimal limit", $GLOBALS['babAddonFolder'])));
					$this->error_password = true;
				}
				else
				{
					$babBody->addError(undecode_html(bab_translate("Creation report", $GLOBALS['babAddonFolder'])));
					$this->password = $password1;
				}
			}
			$this->creation_label = undecode_html(bab_translate("Creating delegation", $GLOBALS['babAddonFolder']));
			$this->level_label = undecode_html(bab_translate("for the course", $GLOBALS['babAddonFolder']));
			$this->formation_label = undecode_html(bab_translate("formation in", $GLOBALS['babAddonFolder']));
			$this->years_label = undecode_html(bab_translate("year(s)", $GLOBALS['babAddonFolder']));
			$this->previous_code_op = "S1";
			$this->password_title = undecode_html(bab_translate("The default pasword for all created accounts is:", $GLOBALS['babAddonFolder']));
			$this->previous_menu_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->existing_account_label = undecode_html(bab_translate("Existing account; the password is not modified.", $GLOBALS['babAddonFolder']));
			$this->creating_account_label = undecode_html(bab_translate("New account; the password is the choosen default password.", $GLOBALS['babAddonFolder']));
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->not_empty_delegation = false;
				$this->delegation_name = $this->delegation_name_table[$k];
				$this->years_number = $this->years_number_table[$k];
				if (!empty($this->delegation_name))
				{
					$this->not_empty_delegation = true;
					$this->delegation_name = $this->degree_table[$k]." ".$this->delegation_name;
					$this->delegation_short_name = str_replace(" ", "", ucwords(mb_strtolower($this->delegation_name)));
					$temp = create_delegation($this->delegation_name, $this->type, $this->years_number, $this->password);
					$this->admin_nickname = str_replace(" ", "", ucwords(mb_strtolower($this->delegation_name))).ADMIN_FIRSTNAME;
					$this->admin_status = $temp[0];
					$this->gest_nickname = str_replace(" ", "", ucwords(mb_strtolower($this->delegation_name))).GEST_FIRSTNAME;
					$this->gest_status = $temp[1];
					$this->existing_delegation = false;
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionProfessionalSchoolCreationFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "report_delegation_creation"));
}

function displayProfessionalSchoolCreationForm()
{
	global $babBody;
	class displayProfessionalSchoolCreationFormClass
	{
		function displayProfessionalSchoolCreationFormClass()
		{
			$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
			$this->level_label = undecode_html(bab_translate("Level", $GLOBALS['babAddonFolder']));
			$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->validate_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
			$this->type = bab_pp('type', '');
			$this->count = LEVELS_NUMBERS;
			$this->degree_label = undecode_html(bab_translate("Type", $GLOBALS['babAddonFolder']));
			$this->course_label = undecode_html(bab_translate("Course", $GLOBALS['babAddonFolder']));
			$this->years_label= undecode_html(bab_translate("Number of years", $GLOBALS['babAddonFolder']));
			$this->max_years_number = MAX_YEARS_NUMBER;
			$this->error_message_header = undecode_html(bab_translate("The following courses have no defined type and/or no defined number of years:", $GLOBALS['babAddonFolder']));
		}

		function next()
		{
			global $babDB;
			static $j=0;
			$this->options_list1 = "<option value=''>".undecode_html(bab_translate("Choice", $GLOBALS['babAddonFolder']))."</option>";;
			$this->options_list2 = "<option value=''>".undecode_html(bab_translate("Choice", $GLOBALS['babAddonFolder']))."</option>";;
			if( $j < $this->count)
			{
				$this->j = $j;
				require_once($GLOBALS['babAddonPhpPath'].'gestutilisateurs_ini.php');
				$degree = $GLOBALS['degree'];
				$degree_count = count($degree);
				for ($k = 0; $k < $degree_count; $k++)
				{
					$this->options_list1 = $this->options_list1."\n<option value = '".$degree[$k]."'>".$degree[$k]."</option>";
				}
				for ($k = 1; $k <= MAX_YEARS_NUMBER; $k++)
				{
					$this->options_list2 = $this->options_list2."\n<option value = '".$k."'>".$k."</option>";
				}
				$j++;
				return true;
			}
			 else
			{
				return false;
			}
		}
	}
	$obj= new displayProfessionalSchoolCreationFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "professional_school_creation_form"));
}


function displayProfessionalSchoolCreationWarning()
{
	global $babBody;
	class displayProfessionalSchoolCreationWarningClass
	{
		function displayProfessionalSchoolCreationWarningClass()
		{
			$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
			$this->validate_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
			$this->next_code_op = 'S131';
			$this->type = "LP";
		}
	}
	$obj= new displayProfessionalSchoolCreationWarningClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "professional_school_creation_warning"));
}


function actionHighSchoolLevelCreationForm()
{
	global $babBody;
	require_once($GLOBALS['babAddonPhpPath'].'functions.php');
	class actionHighSchoolLevelCreationFormClass
	{
		function actionHighSchoolLevelCreationFormClass()
		{
			global $babBody;
			$this->type = bab_pp('type');
			$this->isLGT = (mb_strtoupper($this->type) == 'LGT');
			$this->count = bab_pp('count', '0');;
			$this->delegation_name_table = unserialize(bab_pp("transmitted_delegation_name", ''));
			$this->years_number_table = unserialize(bab_pp("transmitted_years_number", ''));
			$this->degrees_table = unserialize(bab_pp("transmitted_degree", ''));
			$password1 = trim(bab_pp('password1', ''));
			$password2 = trim(bab_pp('password2', ''));
			$this->error_password = false;
			if ($password1 != $password2)
			{
				$babBody->addError(undecode_html(bab_translate("The passwords do not match.", $GLOBALS['babAddonFolder'])));
				$this->error_password = true;
			}
			else
			{
				$this->password = $password1;
				if (strlen($this->password) < MIN_PASSWORD_LENGTH)
				{
					$babBody->addError(undecode_html(bab_translate("The passwords do not respect the minimal limit", $GLOBALS['babAddonFolder'])));
					$this->error_password = true;
				}
				else
				{
					$babBody->addError(undecode_html(bab_translate("Creation report", $GLOBALS['babAddonFolder'])));
					$this->password = $password1;
				}
			}
			$this->creation_label = undecode_html(bab_translate("Creating delegation", $GLOBALS['babAddonFolder']));
			$this->level_label = undecode_html(bab_translate("for the level", $GLOBALS['babAddonFolder']));
			$this->previous_code_op = "S1";
			$this->password_title = undecode_html(bab_translate("The default pasword for all created accounts is:", $GLOBALS['babAddonFolder']));
			$this->previous_menu_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->existing_account_label = undecode_html(bab_translate("Existing account; the password is not modified.", $GLOBALS['babAddonFolder']));
			$this->creating_account_label = undecode_html(bab_translate("New account; the password is the choosen default password.", $GLOBALS['babAddonFolder']));
		}
		
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->not_empty_delegation = false;
				$this->delegation_name = $this->delegation_name_table[$k];
				$this->years_number = $this->years_number_table[$k];
				if (!empty($this->delegation_name))
				{
					$this->not_empty_delegation = true;
					$this->delegation_short_name = str_replace(" ", "", ucwords(mb_strtolower($this->delegation_name)));
					$temp = create_delegation($this->delegation_name, $this->type, $this->years_number, $this->password);
					$this->admin_nickname = str_replace(" ", "", ucwords(mb_strtolower($this->delegation_name))).ADMIN_FIRSTNAME;
					$this->admin_status = $temp[0];
					$this->gest_nickname = str_replace(" ", "", ucwords(mb_strtolower($this->delegation_name))).GEST_FIRSTNAME;
					$this->gest_status = $temp[1];
					$this->existing_delegation = false;
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionHighSchoolLevelCreationFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "report_delegation_creation"));
}


function displayPasswordForm()
{
	global $babBody;
	class displayPasswordFormClass
	{
		function displayPasswordFormClass()
		{
			global $babBody;
			$this->type = bab_pp('type', '');
			$this->creation_flag = false;
			$level = array();
			$years_number = array();
			$degree = array();
			$j = 0;
			for ($i = 0; $i < LEVELS_NUMBERS ; $i++)
			{
				if (bab_pp('level'.$i, '') !='')
				{
					$level[$j] = bab_pp('level'.$i, '');
					$years_number[$j] = bab_pp('years_number'.$i, '');
					$degree[$j] = bab_pp('degree'.$i, '');
					$j++;
				}
			}
			if ($j > 0)
			{
				$this->creation_flag = true;
				$this->count = count($level);
				$babBody->addError(undecode_html(bab_translate("Choice the default password for the administrators and managers of the delegations and validate.", $GLOBALS['babAddonFolder'])));
				$this->transmitted_delegation_name = htmlentities(serialize($level), ENT_QUOTES);
				$this->transmitted_years_number = htmlentities(serialize($years_number), ENT_QUOTES);
				$this->transmitted_degree = htmlentities(serialize($degree), ENT_QUOTES);
				$code_op = bab_pp('code_op', '');
				switch($code_op)
				{
					case 'S112' :
						$this->next_code_op = 'S113';
						break;
					case 'S132' :
						$this->next_code_op = 'S133';
						break;
					case 'S152' :
						$this->next_code_op = 'S153';
						break;

				}
				$this->password_label = undecode_html(bab_translate("Enter the default password:", $GLOBALS['babAddonFolder']));
				$this->min_length = MIN_PASSWORD_LENGTH;
				$this->min_length_label = undecode_html(bab_translate("characters min.", $GLOBALS['babAddonFolder']));
				$this->confirm_label = undecode_html(bab_translate("Confirm the default password:", $GLOBALS['babAddonFolder']));
				$this->passwords_do_not_match_message = undecode_html(bab_translate("The passwords do not match", $GLOBALS['babAddonFolder']));
				$this->minimal_length_message = undecode_html(bab_translate("The passwords do not respect the minimal limit", $GLOBALS['babAddonFolder']));
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No delegation will be created!", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = 'S1';
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
		}
	}
	$obj= new displayPasswordFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "password_form"));
}



function displayHighSchoolLevelCreationForm()
{
	global $babBody;
	class displayHighSchoolLevelCreationFormClass
	{
		function displayHighSchoolLevelCreationFormClass()
		{
			$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
			$this->level_label = undecode_html(bab_translate("Level", $GLOBALS['babAddonFolder']));
			$this->return_to_previous_menu_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->next_step_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
			$this->type = bab_pp('type', '');
			$this->count = LEVELS_NUMBERS;
		}
		function next()
		{
			global $babDB;
			static $j=0;
			if( $j < $this->count)
			{
				$this->j = $j;
				$j++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayHighSchoolLevelCreationFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "high_school_level_creation_form"));
}

function displayHighSchoolLevelCreationWarning()
{
	global $babBody;
	class displayHighSchoolLevelCreationWarningClass
	{
		function displayHighSchoolLevelCreationWarningClass()
		{
			$this->information_label = undecode_html(bab_translate("Information", $GLOBALS['babAddonFolder']));
			$this->validate_label = undecode_html(bab_translate("Next step", $GLOBALS['babAddonFolder']));
			$this->next_code_op = 'S111';
			$this->type = "LGT";
		}
	}
	$obj= new displayHighSchoolLevelCreationWarningClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "high_school_level_creation_warning"));
}


function displayLevelCreationRemovalMenuForm()
{
	global $babBody;
	class displayLevelCreationRemovalMenuFormClass
	{
		function displayLevelCreationRemovalMenuFormClass()
		{
			$this->high_school_label = undecode_html(bab_translate("High school", $GLOBALS['babAddonFolder']));
			$this->high_school_level_creation_label = undecode_html(bab_translate("Creation of new levels in high school", $GLOBALS['babAddonFolder']));
			$this->high_school_level_removing_label = undecode_html(bab_translate("Removing of levels in high school", $GLOBALS['babAddonFolder']));
			$this->professional_school_label = undecode_html(bab_translate("Professional school", $GLOBALS['babAddonFolder']));
			$this->professional_school_courses_creation_label = undecode_html(bab_translate("Creation of new courses in professional school", $GLOBALS['babAddonFolder']));
			$this->professional_school_courses_removing_label = undecode_html(bab_translate("Removing of courses in professional school", $GLOBALS['babAddonFolder']));
			$this->higher_technicians_section_label = undecode_html(bab_translate("Higher technicians sections", $GLOBALS['babAddonFolder']));
			$this->technicians_section_creation_label = undecode_html(bab_translate("Creation of new sections in higher technicians courses", $GLOBALS['babAddonFolder']));
			$this->technicians_section_removing_label = undecode_html(bab_translate("Removing of sections in higher technicians courses", $GLOBALS['babAddonFolder']));
			$this->return_to_previous_menu_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
		}
	}
	$obj= new displayLevelCreationRemovalMenuFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "students_level_creation_removal_menu"));
}

function displayStudentsMainMenuForm()
{
	global $babBody;
	class displayStudentsMainMenuFormClass
	{
		function displayStudentsMainMenuFormClass()
		{
			$this->create_delete_label = undecode_html(bab_translate("Creation/deletion of levels or training courses", $GLOBALS['babAddonFolder']));
			$this->create_delete_description = undecode_html(bab_translate("At the opening or the closure of sections", $GLOBALS['babAddonFolder']));
			$this->annual_management_label = undecode_html(bab_translate("Annual students management", $GLOBALS['babAddonFolder']));
			$this->annual_management_description = undecode_html(bab_translate("Classes creation/removal, creation of  new promotion, orientation management at the end of school year", $GLOBALS['babAddonFolder']));
			$this->ponctual_management_label = undecode_html(bab_translate("Ponctual students management", $GLOBALS['babAddonFolder']));
			$this->ponctual_management_description = undecode_html(bab_translate("Punctual accounts add in constitued classes or promotions", $GLOBALS['babAddonFolder']));
			$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
		}
	}
	$obj= new displayStudentsMainMenuFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.students.html", "students_main_menu"));
}

?>