<?php
require_once 'base.php';

function actionAttachmentTeachersForm()
{
	global $babBody;
	class actionAttachmentTeachersFormClass
	{
		function actionAttachmentTeachersFormClass()
		{
			global $babBody;
			global $babDB;

			$babBody->addError(undecode_html(bab_translate("List of teachers by class", $GLOBALS['babAddonFolder'])));
			$this->classname_label = undecode_html(bab_translate("Classes", $GLOBALS['babAddonFolder']));
			$this->teachers_label = undecode_html(bab_translate("Teachers", $GLOBALS['babAddonFolder']));
			$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->id_users_array = bab_pp('id_user', array());
			$this->id_groups_array = bab_pp('id_group', array());
			$this->classes_name_array = bab_pp('class_name', array());
			$this->teachers_count = count($this->id_users_array);
			$this->classes_count = count($this->id_groups_array);
			$this->bgcolor = true;
			$this->res = $babDB->db_query("
			SELECT
			`id_object`
			FROM
			`bab_users_groups`
			WHERE
			`id_group` = '".$babDB->db_escape_string(TEACHERS_GROUP_ID)."'
			");
			$this->t_count = $babDB->db_num_rows($this->res);
		}

		// Parcours par classe puis par enseignant
		function next1()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->classes_count)
			{
				$this->bgcolor = !$this->bgcolor;
				$this->class_name = $this->classes_name_array[$k];
				$this->teachers_list = "";
				$i = 0;
				while ($i < $this->teachers_count)
				{
					$id_user = $this->id_users_array[$i];
					$id_group = $this->id_groups_array[$k];
					if (bab_pp("memberof".$i."-".$k, '') != "")
					{
						bab_attachUserToGroup($id_user, $id_group);
						$id_group = FindParentIdGroupFromId($id_group);
						bab_attachUserToGroup($id_user, $id_group);
						$id_group = FindParentIdGroupFromId($id_group);
						bab_attachUserToGroup($id_user, $id_group);
						$infos = bab_getUserInfos($id_user) ;
						$this->teachers_list .= $infos['sn']." ".$infos['givenname']."<br>\r\n";
					}
					else
					{
						bab_detachUserFromGroup($id_user, $id_group);
					}
					$i++;
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}

		// Parcours par enseignant puis par classe
		function next2()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->t_count)
			{
				$temp = $babDB->db_fetch_array($this->res);
				$id_user = $temp['id_object'];

				// Sections de lyce gnral ou technologique
				
				// Inscription et dsinscription ventuelles des groupes EtabProf>LgtProf et LGT
				$res = $babDB->db_query("
				SELECT
				`bab_users_groups`.`id`
				FROM
				`bab_users_groups`,
				`bab_groups` AS `child_group`,
				`bab_groups` AS `delegated_group`,
				`bab_groups` AS `parent_group`
				WHERE
				(`id_object` = '".$id_user."')
				AND
				(`id_group` = `child_group`.`id`)
				AND
				(`child_group`.`name` LIKE '%".TEACHERS_GROUP_SUFFIX."')
				AND
				(`child_group`.`id_parent` = `delegated_group`.`id`)
				AND
				(UPPER(`child_group`.`name`) != UPPER(CONCAT(`delegated_group`.`name`, '".TEACHERS_GROUP_SUFFIX."')))
				AND
				(`delegated_group`.`id_parent` = `parent_group`.`id`)
				AND
				(`parent_group`.`name` = 'LGT')
				AND
				(`parent_group`.`id_parent` = '".BAB_REGISTERED_GROUP."')
				");
				if ($babDB->db_num_rows($res) == 0)
				{
					$id_group = FindGroupIdFromName('LGT', BAB_REGISTERED_GROUP);
					bab_detachUserFromGroup($id_user, $id_group);
					$id_group = FindGroupIdFromName('LgtProf', TEACHERS_GROUP_ID);
					bab_detachUserFromGroup($id_user, $id_group);
				}
				else
				{
					$id_group = FindGroupIdFromName('LgtProf', TEACHERS_GROUP_ID);
					bab_attachUserToGroup($id_user, $id_group);
				}

				// Inscription ou dsinscription dans le groupe dlgu et le sous groupe des enseignants du groupe dlgu
				$res = $babDB->db_query("
				SELECT
				`id_group`
				FROM
				`bab_dg_groups`,
				`bab_groups` AS `delegated_group`,
				`bab_groups` AS `parent_group`
				WHERE
				(`id_group` = `delegated_group`.`id`)
				AND
				(`delegated_group`.`id_parent` = `parent_group`.`id`)
				AND
				(UPPER(`parent_group`.`name`) = UPPER('LGT'))
				");
				while($arr = $babDB->db_fetch_array($res))
				{
					$id_group = $arr['id_group'];
					$res1 = $babDB->db_query("
					SELECT
					`bab_users_groups`.`id`
					FROM
					`bab_users_groups`,
					`bab_groups` AS `delegated_group`,
					`bab_groups` AS `child_group`
					WHERE
					(`id_object` = '".$babDB->db_escape_string($id_user)."')
					AND
					(`id_group`= `child_group`.`id`)
					AND
					(`child_group`.`id_parent` = `delegated_group`.`id`)
					AND
					(`delegated_group`.`id` = '".$babDB->db_escape_string($id_group)."')
					AND
					(UPPER(`child_group`.`name`) LIKE UPPER('%".TEACHERS_GROUP_SUFFIX."'))
					AND
					(UPPER(`child_group`.`name`) != UPPER(CONCAT(`delegated_group`.`name`, '".TEACHERS_GROUP_SUFFIX."')))
					");
					$id_teachers_deleg_group = FindGroupIdFromName(bab_getGroupName($id_group, false).TEACHERS_GROUP_SUFFIX, $id_group);
					if ($babDB->db_num_rows($res1) == 0)
					{
						bab_detachUserFromGroup($id_user, $id_group);
						bab_detachUserFromGroup($id_user, $id_teachers_deleg_group);
					}
					else
					{
						bab_attachUserToGroup($id_user, $id_teachers_deleg_group);
					}	
				}
				
				// Sections de lyce professionnel
				
				// Inscription et dsinscription ventuelles des groupes EtabProf>LpProf et LP
				$res = $babDB->db_query("
				SELECT
				`bab_users_groups`.`id`
				FROM
				`bab_users_groups`,
				`bab_groups` AS `child_group`,
				`bab_groups` AS `delegated_group`,
				`bab_groups` AS `parent_group`
				WHERE
				(`id_object` = '".$id_user."')
				AND
				(`id_group` = `child_group`.`id`)
				AND
				(`child_group`.`name` LIKE '%".TEACHERS_GROUP_SUFFIX."')
				AND
				(`child_group`.`id_parent` = `delegated_group`.`id`)
				AND
				(`delegated_group`.`id_parent` = `parent_group`.`id`)
				AND
				(`parent_group`.`name` = 'LP')
				AND
				(`parent_group`.`id_parent` = '".BAB_REGISTERED_GROUP."')
				");
				if ($babDB->db_num_rows($res) == 0)
				{
					$id_group = FindGroupIdFromName('LP', BAB_REGISTERED_GROUP);
					bab_detachUserFromGroup($id_user, $id_group);
					$id_group = FindGroupIdFromName('LpProf', TEACHERS_GROUP_ID);
					bab_detachUserFromGroup($id_user, $id_group);
				}
				else
				{
					$id_group = FindGroupIdFromName('LpProf', TEACHERS_GROUP_ID);
					bab_attachUserToGroup($id_user, $id_group);
				}

				// Dsinscription ventuelle des groupes dlgus
				$res = $babDB->db_query("
				SELECT
				`id_group`
				FROM
				`bab_dg_groups`,
				`bab_groups` AS `delegated_group`,
				`bab_groups` AS `parent_group`
				WHERE
				(`id_group` = `delegated_group`.`id`)
				AND
				(`delegated_group`.`id_parent` = `parent_group`.`id`)
				AND
				(UPPER(`parent_group`.`name`) = UPPER('LP'))
				");
				while($arr = $babDB->db_fetch_array($res))
				{
					$id_group = $arr['id_group'];
					$res1 = $babDB->db_query("
					SELECT
					`bab_users_groups`.`id`
					FROM
					`bab_users_groups`,
					`bab_groups` AS `delegated_group`,
					`bab_groups` AS `child_group`
					WHERE
					(`id_object` = '".$babDB->db_escape_string($id_user)."')
					AND
					(`id_group`= `child_group`.`id`)
					AND
					(`child_group`.`id_parent` = '".$babDB->db_escape_string($id_group)."')
					AND
					(`child_group`.`name` LIKE '%".TEACHERS_GROUP_SUFFIX."')
					");
					if ($babDB->db_num_rows($res1) === 0) bab_detachUserFromGroup($id_user, $id_group);
				}

				// Sections de techniciens suprieurs
				
				// Inscription et dsinscription ventuelles des groupes EtabProf>StsProf et STS
				$res = $babDB->db_query("
				SELECT
				`bab_users_groups`.`id`
				FROM
				`bab_users_groups`,
				`bab_groups` AS `child_group`,
				`bab_groups` AS `delegated_group`,
				`bab_groups` AS `parent_group`
				WHERE
				(`id_object` = '".$id_user."')
				AND
				(`id_group` = `child_group`.`id`)
				AND
				(`child_group`.`name` LIKE '%".TEACHERS_GROUP_SUFFIX."')
				AND
				(`child_group`.`id_parent` = `delegated_group`.`id`)
				AND
				(`delegated_group`.`id_parent` = `parent_group`.`id`)
				AND
				(`parent_group`.`name` = 'STS')
				AND
				(`parent_group`.`id_parent` = '".BAB_REGISTERED_GROUP."')
				");
				if ($babDB->db_num_rows($res) == 0)
				{
					$id_group = FindGroupIdFromName('STS', BAB_REGISTERED_GROUP);
					bab_detachUserFromGroup($id_user, $id_group);
					$id_group = FindGroupIdFromName('StsProf', TEACHERS_GROUP_ID);
					bab_detachUserFromGroup($id_user, $id_group);
				}
				else
				{
					$id_group = FindGroupIdFromName('StsProf', TEACHERS_GROUP_ID);
					bab_attachUserToGroup($id_user, $id_group);
				}

				// Dsinscription ventuelle des groupes dlgus
				$res = $babDB->db_query("
				SELECT
				`id_group`
				FROM
				`bab_dg_groups`,
				`bab_groups` AS `delegated_group`,
				`bab_groups` AS `parent_group`
				WHERE
				(`id_group` = `delegated_group`.`id`)
				AND
				(`delegated_group`.`id_parent` = `parent_group`.`id`)
				AND
				(UPPER(`parent_group`.`name`) = UPPER('STS'))
				");
				while($arr = $babDB->db_fetch_array($res))
				{
					$id_group = $arr['id_group'];
					$res1 = $babDB->db_query("
					SELECT
					`bab_users_groups`.`id`
					FROM
					`bab_users_groups`,
					`bab_groups` AS `delegated_group`,
					`bab_groups` AS `child_group`
					WHERE
					(`id_object` = '".$babDB->db_escape_string($id_user)."')
					AND
					(`id_group`= `child_group`.`id`)
					AND
					(`child_group`.`id_parent` = '".$babDB->db_escape_string($id_group)."')
					AND
					(`child_group`.`name` LIKE '%".TEACHERS_GROUP_SUFFIX."')
					");
					if ($babDB->db_num_rows($res1) === 0) bab_detachUserFromGroup($id_user, $id_group);
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionAttachmentTeachersFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.teachers.html", "attachment_report"));
}

function displayAttachmentTeachersForm()
{
	global $babBody;
	class displayAttachmentTeachersFormClass
	{
		function displayAttachmentTeachersFormClass()
		{
			global $babBody;
			global $babDB;
			$res = $babDB->db_query("
			SELECT
			`bab_groups1`.`id` AS `id_group`,
			SUBSTRING(`bab_groups1`.`name` FROM 1 FOR (CHAR_LENGTH(`bab_groups1`.`name`) - CHAR_LENGTH( '".TEACHERS_GROUP_SUFFIX."'))) AS `class_name`,
			`bab_groups2`.`id`,
			`bab_groups3`.`id`,
			`bab_groups3`.`name`
			FROM
			`bab_groups` AS `bab_groups1`,
			`bab_groups` AS `bab_groups2`,
			`bab_groups` AS `bab_groups3`
			WHERE
			(
				(`bab_groups3`.`name` = 'LGT')
				AND
				(`bab_groups3`.`id_parent` = '".$babDB->db_escape_string(BAB_REGISTERED_GROUP)."')
				AND
				(`bab_groups2`.`id_parent` = `bab_groups3`.`id`)
				AND
				(`bab_groups2`.`id` = `bab_groups1`.`id_parent`)
				AND
				(`bab_groups1`.`name` LIKE '%".TEACHERS_GROUP_SUFFIX."')
				AND
				(CONCAT(`bab_groups2`.`name`, '".TEACHERS_GROUP_SUFFIX."') != `bab_groups1`.`name`)
			)
			OR
			(
				(`bab_groups3`.`name` IN ('LP', 'STS'))
				AND
				(`bab_groups3`.`id_parent` = '".$babDB->db_escape_string(BAB_REGISTERED_GROUP)."')
				AND
				(`bab_groups2`.`id_parent` = `bab_groups3`.`id`)
				AND
				(`bab_groups2`.`id` = `bab_groups1`.`id_parent`)
				AND
				(`bab_groups1`.`name` LIKE '%".TEACHERS_GROUP_SUFFIX."')
			)
			ORDER BY
			`bab_groups3`.`name`,
			`bab_groups2`.`name`,
			`bab_groups1`.`name`
			");
			$this->classes_count = $babDB->db_num_rows($res);
			$this->classes_list = "";
			if ($this->classes_count > 0)
			{
				$this->id_group = array();
				for ($i = 0; $i < $this->classes_count; $i++)
				{
					$temp = $babDB->db_fetch_array($res);
					$this->class_name[$i] = $temp['class_name'];
					$this->id_group[$i] = $temp['id_group'];
					$this->classes_list .= "<th align=\"center\"><input type=\"hidden\" name=\"id_group[]\" value=\"".$this->id_group[$i]."\" /><input type=\"hidden\" name=\"class_name[]\" value=\"".$this->class_name[$i]."\" />".$this->class_name[$i]."</th>\r\n";
				}
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No class has been created!", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = "";
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
			$this->res = $babDB->db_query("
			SELECT
			`bab_users`.`id` AS `id_user`,
			`nickname`,
			`lastname`,
			`firstname`
			FROM
			`bab_users`,
			`bab_users_groups`
			WHERE
			(`id_object` = `bab_users`.`id`)
			AND
			(`id_group`= '".$babDB->db_escape_string(TEACHERS_GROUP_ID)."')
			ORDER BY
			`lastname` ASC,
			`firstname` ASC
			");
			$this->count = $babDB->db_num_rows($this->res);
			if ($this->count > 0)
			{
				$babBody->addError(undecode_html(bab_translate("Select for each teacher the classes of witch he is member", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = "T32";
				$this->nickname_label = undecode_html(bab_translate("Nickname", $GLOBALS['babAddonFolder']));
				$this->lastname_label = undecode_html(bab_translate("Lastname", $GLOBALS['babAddonFolder']));
				$this->firstname_label = undecode_html(bab_translate("Firstname", $GLOBALS['babAddonFolder']));
				$this->colspan = $this->classes_count + 2;
				$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
				$this->bgcolor = true;
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No teacher account has been created!", $GLOBALS['babAddonFolder'])));
				$this->next_code_op = "";
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				$this->k = $k;
				$temp = $babDB->db_fetch_array($this->res);
				$this->id_user = $temp['id_user'];
				$this->nickname = $temp['nickname'];
				$this->lastname = $temp['lastname'];
				$this->firstname = $temp['firstname'];
				$this->groups_list = "";
				for ($i = 0; $i < $this->classes_count; $i++)
				{
					$this->groups_list .= "<td align=\"center\"><input type=\"checkbox\" name=\"memberof".$k."-".$i."\" value=\"".$this->id_group[$i]."\" title=\"".$this->class_name[$i]."\" alt=\"".$this->class_name[$i]."\"";
					if (bab_isMemberOfGroup($this->id_group[$i], $this->id_user)) $this->groups_list .= " checked=\"checked\" ";
					$this->groups_list .="/></td>\r\n";
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayAttachmentTeachersFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.teachers.html", "attachment_form"));
}

function actionRemovingFormerTeachersForm()
{
	global $babBody;
	class actionRemovingFormerTeachersFormClass
	{
		function actionRemovingFormerTeachersFormClass()
		{
			global $babBody;
			global $babDB;
			global $babInstallPath;
			require_once($babInstallPath."utilit/delincl.php");
			$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->nickname_label = undecode_html(bab_translate("Nickname", $GLOBALS['babAddonFolder']));
			$this->lastname_label = undecode_html(bab_translate("Lastname", $GLOBALS['babAddonFolder']));
			$this->firstname_label = undecode_html(bab_translate("Firstname", $GLOBALS['babAddonFolder']));
			$this->delete_user_array = bab_pp("delete_user", array());
			$this->id_user_array = bab_pp("id_user", array());
			$this->count = bab_pp('count', '0');
			$this->delete_user_count = count($this->delete_user_array);
			if ($this->delete_user_count > 0)
			{
				$babBody->addError(undecode_html(bab_translate("List of the deleted accounts", $GLOBALS['babAddonFolder'])));
				$this->exist_deleted_accounts = true;
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No account has been deleted.", $GLOBALS['babAddonFolder'])));
				$this->exist_deleted_accounts = false;
			}
			$this->bgcolor = true;
		}
		function next()
		{
			static $k=0;
			if( $k < $this->delete_user_count)
			{
				$delete_user_flag = $this->delete_user_array[$k];
				$this->id_user = $delete_user_flag;
				$user_infos = bab_getUserInfos($this->id_user);
				$this->nickname = bab_getUserNickname($this->id_user);
				$this->lastname = $user_infos["sn"];
				$this->firstname = $user_infos["givenname"];
				bab_deleteUser($this->id_user);
				$this->bgcolor = !$this->bgcolor;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionRemovingFormerTeachersFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.teachers.html", "deleted_teachers_report"));
}


function displayRemovingFormerTeachersForm()
{
	global $babBody;
	class displayRemovingFormerTeachersFormClass
	{
		function displayRemovingFormerTeachersFormClass()
		{
			global $babBody;
			global $babDB;
			global $babInstallPath;
			$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
			$this->nickname_label = undecode_html(bab_translate("Nickname", $GLOBALS['babAddonFolder']));
			$this->lastname_label = undecode_html(bab_translate("Lastname", $GLOBALS['babAddonFolder']));
			$this->firstname_label = undecode_html(bab_translate("Firstname", $GLOBALS['babAddonFolder']));
			$this->to_be_deleted_label = undecode_html(bab_translate("To be deleted", $GLOBALS['babAddonFolder']));
			$this->select_all = undecode_html(bab_translate("Select all", $GLOBALS['babAddonFolder']));
			$this->unselect_all = undecode_html(bab_translate("Unselect all", $GLOBALS['babAddonFolder']));
			$this->res = $babDB->db_query("SELECT
			`bab_users`.`id` AS `id_user`,
			`nickname`,
			`lastname`,
			`firstname`
			FROM
			`bab_users`,
			`bab_users_groups`
			WHERE
			`bab_users_groups`.`id_object` = `bab_users`.`id`
			AND
			`id_group` = '".$babDB->db_escape_string(TEACHERS_GROUP_ID)."'
			ORDER BY `lastname`, `firstname`");
			$this->count = $babDB->db_num_rows($this->res);
			$this->bgcolor = true;
			if ($this->count > 0)
			{
				$this->next_code_op = 'T22';
				$babBody->addError(undecode_html(bab_translate("Select the accounts which must be deleted.", $GLOBALS['babAddonFolder'])));
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("There is no accounts to delete.", $GLOBALS['babAddonFolder'])));
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			}
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$arr = $babDB->db_fetch_array($this->res);
				$this->id_user = $arr['id_user'];
				$this->nickname = $arr['nickname'];
				$this->lastname = $arr['lastname'];
				$this->firstname = $arr['firstname'];
				$this->indice = $k;
				$this->bgcolor = !$this->bgcolor;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayRemovingFormerTeachersFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.teachers.html", "teachers_delete_form"));
}

function actionTeachersCreationForm()
{
	global $babBody;
	class actionTeachersCreationFormClass
	{
		function actionTeachersCreationFormClass()
		{
			$this->nickname_label = undecode_html(bab_translate("Nickname", $GLOBALS['babAddonFolder']));
			$this->lastname_label = undecode_html(bab_translate("Lastname", $GLOBALS['babAddonFolder']));
			$this->firstname_label = undecode_html(bab_translate("Firstname", $GLOBALS['babAddonFolder']));
			$this->email_label = undecode_html(bab_translate("Email", $GLOBALS['babAddonFolder']));
			$this->password_label = undecode_html(bab_translate("Password", $GLOBALS['babAddonFolder']));
			$this->warning_label = undecode_html(bab_translate("Warning", $GLOBALS['babAddonFolder']));
			$this->return_label = bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']);
			$this->lastname_array = bab_pp('lastname', array());
			$this->firstname_array = bab_pp('firstname', array());
			$this->email_array = bab_pp('email', array());
			$this->password = bab_pp('password', '');
			$this->nickname_rule = bab_pp('nickname_rule', '');
			$this->count = count($this->lastname_array);
			$this->bgcolor = true;
		}
		function next()
		{
			global $babDB;
			global $babBody;
			static $k=0;
			if( $k < $this->count)
			{

				if (!empty($this->lastname_array[$k]))
				{
					$this->not_empty_row = true;
					$this->lastname = mb_strtoupper(trim($this->lastname_array[$k]), CHARSET);
					$this->firstname = mb_convert_case(mb_strtolower(trim($this->firstname_array[$k]), CHARSET), MB_CASE_TITLE, CHARSET);
					$this->middlename = "";
					$this->res = $babDB->db_query("
					SELECT
					`id`
					FROM
					`bab_dbdir_entries`
					WHERE
					(`sn` = '".$babDB->db_escape_string($this->lastname)."')
					AND
					(`givenname` = '".$babDB->db_escape_string($this->firstname)."')
					AND
					(`mn` = '".$babDB->db_escape_string($this->middlename)."')
					");
					if ($babDB->db_num_rows($this->res) != 0)
					{
						$i = 0;
						while ($babDB->db_num_rows($this->res) != 0)
						{
							$this->middlename = $i;
							$this->res = $babDB->db_query("
							SELECT
							`id`
							FROM
							`bab_dbdir_entries`
							WHERE
							(`sn` = '".$babDB->db_escape_string($this->lastname)."')
							AND
							(`givenname` = '".$babDB->db_escape_string($this->firstname)."')
							AND
							(`mn` = '".$babDB->db_escape_string($this->middlename)."')");
							$i++;
						}
					}
					if (empty($this->email_array[$k]))
					{
						$this->email = DEFAULT_MAIL;
					}
					else
					{
						$this->email = trim($this->email_array[$k]);
					}
					switch ($this->nickname_rule)
					{
						case 'name':
							if (strlen($this->lastname) < 9)
							{
								$this->nickname = mb_strtolower($this->lastname, CHARSET);
							}
							else
							{
								$this->nickname = mb_substr(mb_strtolower($this->lastname, CHARSET), 0, 8, CHARSET);
							}
							$this->nickname = str_replace(" ", '-', $this->nickname);
							$id_user = bab_registerUser($this->firstname, $this->lastname, $this->middlename, $this->email, $this->nickname, $this->password, $this->password, '1', $error, $bgroup = true);
							if ($id_user == false)
							{
								$i = 0;
								while ($id_user == false)
								{
									if (mb_strlen($this->lastname, CHARSET) < 8)
									{
										$this->nickname = mb_strtolower($this->lastname, CHARSET).$i;
									}
									else
									{
										$this->nickname = mb_substr(mb_strtolower($this->lastname, CHARSET), 0, 7, CHARSET).$i;
									}
									$this->nickname = str_replace(" ", '-', $this->nickname);
									$id_user = bab_registerUser($this->firstname, $this->lastname, $this->middlename, $this->email, $this->nickname, $this->password, $this->password, '1', $error, $bgroup = true);
									$i++;
								}
							}
							break;
						case 'li':
							$this->nickname = mb_strtolower($this->lastname.mb_substr($this->firstname, 0, 1, CHARSET), CHARSET);
							$this->nickname = str_replace(" ", '-', $this->nickname);
							$id_user = bab_registerUser($this->firstname, $this->lastname, $this->middlename, $this->email, $this->nickname, $this->password, $this->password, '1', $error, $bgroup = true);
							if ($id_user == false)
							{
								$i = 0;
								while ($id_user == false)
								{
									$this->nickname = mb_strtolower($this->lastname.substr($this->firstname, 0, 1), CHARSET).$i;
									$this->nickname = str_replace(" ", '-', $this->nickname);
									$id_user = bab_registerUser($this->firstname, $this->lastname, $this->middlename, $this->email, $this->nickname, $this->password, $this->password, '1', $error, $bgroup = true);
									$i++;
								}
							}
							break;
						case 'il':
							$this->nickname = strtolower(mb_substr($this->firstname, 0, 1, CHARSET).$this->lastname);
							$this->nickname = str_replace(" ", '-', $this->nickname);
							$id_user = bab_registerUser($this->firstname, $this->lastname, $this->middlename, $this->email, $this->nickname, $this->password, $this->password, '1', $error, $bgroup = true);
							if ($id_user == false)
							{
								$i = 0;
								while ($id_user == false)
								{
									$this->nickname = mb_strtolower(mb_substr($this->firstname, 0, 1, CHARSET).$this->lastname, CHARSET).$i;
									$this->nickname = str_replace(" ", '-', $this->nickname);
									$id_user = bab_registerUser($this->firstname, $this->lastname, $this->middlename, $this->email, $this->nickname, $this->password, $this->password, '1', $error, $bgroup = true);
									$i++;
								}
							}
							break;
						case 'lf':
							$this->nickname = mb_strtolower($this->lastname.".".$this->firstname, CHARSET);
							$this->nickname = str_replace(" ", '-', $this->nickname);
							$id_user = bab_registerUser($this->firstname, $this->lastname, $this->middlename, $this->email, $this->nickname, $this->password, $this->password, '1', $error, $bgroup = true);
							if ($id_user == false)
							{
								$i = 0;
								while ($id_user == false)
								{
									$this->nickname = mb_strtolower($this->lastname.".".$this->firstname, CHARSET).$i;
									$this->nickname = str_replace(" ", '-', $this->nickname);
									$id_user = bab_registerUser($this->firstname, $this->lastname, $this->middlename, $this->email, $this->nickname, $this->password, $this->password, '1', $error, $bgroup = true);
									$i++;
								}
							}
							break;
						case 'fl':
							$this->nickname = mb_strtolower($this->firstname.".".$this->lastname, CHARSET);
							$this->nickname = str_replace(" ", '-', $this->nickname);
							$id_user = bab_registerUser($this->firstname, $this->lastname, $this->middlename, $this->email, $this->nickname, $this->password, $this->password, '1', $error, $bgroup = true);
							if ($id_user == false)
							{
								$i = 0;
								while ($id_user == false)
								{
									$this->nickname = mb_strtolower($this->firstname.".".$this->lastname, CHARSET).$i;
									$this->nickname = str_replace(" ", '-', $this->nickname);
									$id_user = bab_registerUser($this->firstname, $this->lastname, $this->middlename, $this->email, $this->nickname, $this->password, $this->password, '1', $error, $bgroup = true);
									$i++;
								}
							}
							break;
					}
					$info = bab_getUserInfos($id_user);
					$info['cn'] = $this->nickname;
					$error = "";
					bab_updateUserById($id_user, $info, $error); 					
					$id_group = TEACHERS_GROUP_ID;
					bab_attachUserToGroup($id_user, $id_group);
					$this->bgcolor = !$this->bgcolor;
				}
				else
				{
					$this->not_empty_row = false;
				}
				$k++;
				return true;

			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionTeachersCreationFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.teachers.html", "teachers_creation_report"));
}

function displayTeachersNicknameForm()
{
	global $babBody;
	class displayTeachersNicknameFormClass
	{
		function displayTeachersNicknameFormClass()
		{

			$this->password = bab_pp('password1', '');
			$this->name8_label = undecode_html(bab_translate("First 8 characters of the lastname", $GLOBALS['babAddonFolder']));
			$this->namei_label = undecode_html(bab_translate("Lastname Initial of the firstname", $GLOBALS['babAddonFolder']));
			$this->iname_label = undecode_html(bab_translate("Initial of the firstname Lastname", $GLOBALS['babAddonFolder']));
			$this->lastname_firstname_label = undecode_html(bab_translate("Lastname.Firstname", $GLOBALS['babAddonFolder']));
			$this->firstname_lastname_label = undecode_html(bab_translate("Firstname.Lastname", $GLOBALS['babAddonFolder']));
			$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
			$this->lastname_array = bab_pp('lastname', array());
			$this->firstname_array = bab_pp('firstname', array());
			$this->email_array = bab_pp('email', array());
			$this->count = count($this->lastname_array);
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->lastname = $this->lastname_array[$k];
				$this->firstname = $this->firstname_array[$k];
				$this->email = $this->email_array[$k];
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayTeachersNicknameFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.teachers.html", "teachers_nickname_form"));
}

function displayTeachersPasswordForm()
{
	global $babBody;
	class displayTeachersPasswordFormClass
	{
		function displayTeachersPasswordFormClass()
		{
			global $babBody;
			$this->next_code_op = 'T13';
			$this->password_label = undecode_html(bab_translate("Enter the default password:", $GLOBALS['babAddonFolder']));
			$this->min_length = MIN_PASSWORD_LENGTH;
			$this->min_length_label = undecode_html(bab_translate("characters min.", $GLOBALS['babAddonFolder']));
			$this->confirm_label = undecode_html(bab_translate("Confirm the default password:", $GLOBALS['babAddonFolder']));
			$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
			$this->passwords_do_not_match_message = undecode_html(bab_translate("The passwords do not match", $GLOBALS['babAddonFolder']));
			$this->minimal_length_message = undecode_html(bab_translate("The passwords do not respect the minimal limit", $GLOBALS['babAddonFolder']));
			$this->count = TEACHER_ACCOUNTS_NUMBER;
			$i = 0;
			while ( ($i < $this->count) && ( bab_pp('lastname'.$i, '') == "" ) )
			{
				$i++;
			}
			if ($i == $this->count)
			{
				$this->empty_form = true;
				$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
				$babBody->addError(undecode_html(bab_translate("No account will be created!", $GLOBALS['babAddonFolder'])));
			}
			else
			{
				$this->empty_form = false;
				$babBody->addError(undecode_html(bab_translate("Choice a default password for the new teachers.", $GLOBALS['babAddonFolder'])));
			}

		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->lastname = bab_pp('lastname'.$k, '');
				if (!empty($this->lastname)) $this->not_empty_fields = true; else $this->not_empty_fields = false;
				$this->firstname = bab_pp('firstname'.$k, '');
				$this->email = bab_pp('email'.$k, DEFAULT_MAIL);
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayTeachersPasswordFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.teachers.html", "teachers_password_form"));
}

function displayTeachersInscriptionForm()
{
	global $babBody;
	class displayTeachersInscriptionFormClass
	{
		function displayTeachersInscriptionFormClass()
		{
			$this->next_code_op = 'T12';
			$this->count = TEACHER_ACCOUNTS_NUMBER;
			$this->lastname_label = undecode_html(bab_translate("Lastname", $GLOBALS['babAddonFolder']));
			$this->firstname_label = undecode_html(bab_translate("Firstname", $GLOBALS['babAddonFolder']));
			$this->lastname_message = undecode_html(bab_translate("The lastname is required!", $GLOBALS['babAddonFolder']));
			$this->firstname_message = undecode_html(bab_translate("The firstname is required!", $GLOBALS['babAddonFolder']));
			$this->email_label = undecode_html(bab_translate("Email", $GLOBALS['babAddonFolder']));
			$this->required = undecode_html(bab_translate("required", $GLOBALS['babAddonFolder']));
			$this->optional = undecode_html(bab_translate("optional", $GLOBALS['babAddonFolder']));
			$this->bgcolor = true;
			$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
			
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$this->bgcolor = !$this->bgcolor;
				$this->k = $k;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayTeachersInscriptionFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.teachers.html", "teachers_inscription_form"));
}


function displayTeachersMainMenuForm()
{
	global $babBody;
	class displayTeachersMainMenuFormClass
	{
		function displayTeachersMainMenuFormClass()
		{
			$this->create_account_label = undecode_html(bab_translate("Creation of new teachers accounts", $GLOBALS['babAddonFolder']));
			$this->create_account_description = undecode_html(bab_translate("Creation of users accounts for the teachears arriving in the establishment and their personal ressources", $GLOBALS['babAddonFolder']));
			$this->delete_account_label = undecode_html(bab_translate("Delete of former teachers accounts", $GLOBALS['babAddonFolder']));
			$this->delete_account_description = undecode_html(bab_translate("Delete of the users accounts for the teachers leaving the establishment and their personal ressources", $GLOBALS['babAddonFolder']));
			$this->affectation_account_label = undecode_html(bab_translate("Affectation of teachers in classes groups", $GLOBALS['babAddonFolder']));
			$this->warning = undecode_html(bab_translate("This operations can be made at any time during the school year", $GLOBALS['babAddonFolder']));
			$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
		}
	}
	$obj= new displayTeachersMainMenuFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.teachers.html", "teachers_main_menu"));
}

?>