<?php
require_once 'base.php';

function displayRemovingDesactivedUsersForm()
{
	global $babBody;
	class displayRemovingDesactivedUsersFormClass
	{
		function displayRemovingDesactivedUsersFormClass()
		{
			global $babBody;
			global $babDB;
			global $babInstallPath;
			$this->validate_label = undecode_html(bab_translate("Validate", $GLOBALS['babAddonFolder']));
			$this->nickname_label = undecode_html(bab_translate("Nickname", $GLOBALS['babAddonFolder'])); 
			$this->lastname_label = undecode_html(bab_translate("Lastname", $GLOBALS['babAddonFolder'])); 
			$this->firstname_label = undecode_html(bab_translate("Firstname", $GLOBALS['babAddonFolder'])); 
			$this->to_be_deleted_label = undecode_html(bab_translate("To be deleted", $GLOBALS['babAddonFolder']));
			$this->select_all = undecode_html(bab_translate("Select all", $GLOBALS['babAddonFolder']));
			$this->unselect_all = undecode_html(bab_translate("Unselect all", $GLOBALS['babAddonFolder']));
			$this->res = $babDB->db_query("SELECT `id`, `nickname`,`lastname`, `firstname` FROM `bab_users`WHERE `disabled` = 1 ORDER BY `lastname`, `firstname`");
			$this->count = $babDB->db_num_rows($this->res);
			if ($this->count > 0)
			{
				$babBody->addError(undecode_html(bab_translate("Select users whose desactived account must be removed.", $GLOBALS['babAddonFolder'])));
				$this->exist_desactivated_accounts = true;
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("There is no desactivated accounts.", $GLOBALS['babAddonFolder'])));
				$this->exist_desactivated_accounts = false;
			}
			$this->bgcolor = true;
		}
		function next()
		{
			global $babDB;
			static $k=0;
			if( $k < $this->count)
			{
				$arr = $babDB->db_fetch_array($this->res);
				$this->id_user = $arr['id'];
				$this->nickname = $arr['nickname'];
				$this->lastname = $arr['lastname'];
				$this->firstname = $arr['firstname'];
				$this->indice = $k;
				$this->bgcolor = !$this->bgcolor;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new displayRemovingDesactivedUsersFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.utilities.html", "select_desactived_accounts"));
}

function actionRemovingDesactivedUsersForm()
{
	global $babBody;
	class actionRemovingDesactivedUsersFormClass
	{
		function actionRemovingDesactivedUsersFormClass()
		{
			global $babBody;
			global $babDB;
			global $babInstallPath;
			require_once($babInstallPath."utilit/delincl.php");
			$this->return_label = undecode_html(bab_translate("Return to previous menu", $GLOBALS['babAddonFolder']));
			$this->nickname_label = undecode_html(bab_translate("Nickname", $GLOBALS['babAddonFolder'])); 
			$this->lastname_label = undecode_html(bab_translate("Lastname", $GLOBALS['babAddonFolder'])); 
			$this->firstname_label = undecode_html(bab_translate("Firstname", $GLOBALS['babAddonFolder'])); 
			$this->res = $babDB->db_query("SELECT `id`, `nickname`,`lastname`, `firstname` FROM `bab_users`WHERE `disabled` = 1 ORDER BY `lastname`, `firstname`");
			$this->count = count(bab_pp("delete_user", array()));
			if ($this->count > 0)
			{
				$babBody->addError(undecode_html(bab_translate("List of the deleted accounts", $GLOBALS['babAddonFolder'])));
				$this->exist_deleted_accounts = true;
			}
			else
			{
				$babBody->addError(undecode_html(bab_translate("No account has been deleted.", $GLOBALS['babAddonFolder'])));
				$this->exist_deleted_accounts = false;
			}
			$this->bgcolor = true;
		}
		function next()
		{
			static $k=0;
			if( $k < $this->count)
			{
				$delete_user = bab_pp("delete_user", array());
				if (!empty($delete_user[$k]))
				{
					$this->id_user = $delete_user[$k];
					$user_infos = bab_getUserInfos($this->id_user);
					$this->nickname = bab_getUserNickname($this->id_user);
					$this->lastname = $user_infos["sn"];
					$this->firstname = $user_infos["givenname"];
					bab_deleteUser($this->id_user);
					$this->bgcolor = !$this->bgcolor;
				}
				$k++;
				return true;
				
			}
			else
			{
				return false;
			}
		}
	}
	$obj= new actionRemovingDesactivedUsersFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS['babAddonHtmlPath']."users_management.utilities.html", "report_deleted_accounts"));
}
?>